
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: 'RBRACE', 1: '$END', 2: '__ANON_0', 3: '__ANON_2', 4: '__ANON_1', 5: '__anon_star_0', 6: 'new_line_or_comment', 7: '__anon_plus_2', 8: 'one_line_block', 9: 'identifier', 10: 'start', 11: 'body', 12: 'attribute', 13: '__ANON_3', 14: 'block', 15: 'MINUS', 16: 'IF', 17: 'FOR', 18: 'LSQB', 19: 'LBRACE', 20: 'DECIMAL', 21: 'IN', 22: 'RPAR', 23: 'BANG', 24: 'NULL', 25: 'TRUE', 26: 'STRING_LIT', 27: '__ANON_11', 28: 'COMMA', 29: '__ANON_10', 30: 'LPAR', 31: 'FALSE', 32: 'RSQB', 33: '__anon_star_1', 34: 'EQUAL', 35: 'QMARK', 36: '__ANON_12', 37: '__ANON_6', 38: 'SLASH', 39: 'COLON', 40: '__ANON_9', 41: '__ANON_4', 42: 'MORETHAN', 43: 'DOT', 44: '__ANON_7', 45: 'LESSTHAN', 46: 'STAR', 47: '__ANON_14', 48: 'PERCENT', 49: 'PLUS', 50: '__ANON_5', 51: '__ANON_13', 52: '__ANON_8', 53: 'attr_splat_expr_term', 54: 'expr_term', 55: 'for_object_expr', 56: 'object', 57: 'heredoc_template_trim', 58: 'full_splat_expr_term', 59: '__anon_plus_3', 60: 'binary_op', 61: 'true_lit', 62: 'for_tuple_expr', 63: 'heredoc_template', 64: 'function_call', 65: 'operation', 66: 'expression', 67: 'unary_op', 68: 'float_lit', 69: 'index_expr_term', 70: 'get_attr_expr_term', 71: 'int_lit', 72: 'false_lit', 73: 'conditional', 74: 'tuple', 75: 'null_lit', 76: 'for_intro', 77: 'attr_splat', 78: 'index', 79: 'get_attr', 80: 'full_splat', 81: 'object_elem', 82: 'EXP_MARK', 83: 'binary_operator', 84: 'binary_term', 85: '__anon_star_4', 86: '__anon_star_6', 87: '__anon_star_5', 88: 'new_line_and_or_comma', 89: 'arguments', 90: 'for_cond', 91: '__anon_star_7'}, 'states': {0: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (0, 11), 3: (0, 10), 4: (0, 7), 5: (0, 1), 6: (0, 2), 7: (0, 3), 8: (0, 4), 9: (0, 5), 10: (0, 6), 11: (0, 8), 12: (0, 9), 13: (0, 12), 14: (0, 13)}, 1: {0: (1, {'@': 46}), 1: (1, {'@': 46}), 2: (1, {'@': 46}), 3: (1, {'@': 46}), 4: (1, {'@': 46}), 9: (0, 5), 14: (0, 14), 12: (0, 15), 13: (0, 12), 8: (0, 16)}, 2: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 8: (0, 4), 9: (0, 5), 11: (0, 17), 12: (0, 9), 13: (0, 12), 14: (0, 13)}, 3: {15: (1, {'@': 47}), 16: (1, {'@': 47}), 2: (0, 18), 17: (1, {'@': 47}), 1: (1, {'@': 47}), 18: (1, {'@': 47}), 19: (1, {'@': 47}), 20: (1, {'@': 47}), 21: (1, {'@': 47}), 22: (1, {'@': 47}), 0: (1, {'@': 47}), 4: (0, 20), 23: (1, {'@': 47}), 3: (0, 19), 24: (1, {'@': 47}), 25: (1, {'@': 47}), 26: (1, {'@': 47}), 27: (1, {'@': 47}), 28: (1, {'@': 47}), 29: (1, {'@': 47}), 30: (1, {'@': 47}), 13: (1, {'@': 47}), 31: (1, {'@': 47}), 32: (1, {'@': 47})}, 4: {0: (1, {'@': 48}), 3: (1, {'@': 48}), 2: (1, {'@': 48}), 1: (1, {'@': 48}), 13: (1, {'@': 48}), 4: (1, {'@': 48})}, 5: {33: (0, 21), 19: (0, 22), 13: (0, 12), 26: (0, 23), 34: (0, 24), 9: (0, 25)}, 6: {1: (0, 26)}, 7: {16: (1, {'@': 49}), 2: (1, {'@': 49}), 17: (1, {'@': 49}), 1: (1, {'@': 49}), 20: (1, {'@': 49}), 22: (1, {'@': 49}), 4: (1, {'@': 49}), 25: (1, {'@': 49}), 29: (1, {'@': 49}), 30: (1, {'@': 49}), 13: (1, {'@': 49}), 32: (1, {'@': 49}), 15: (1, {'@': 49}), 18: (1, {'@': 49}), 19: (1, {'@': 49}), 21: (1, {'@': 49}), 0: (1, {'@': 49}), 23: (1, {'@': 49}), 24: (1, {'@': 49}), 26: (1, {'@': 49}), 27: (1, {'@': 49}), 28: (1, {'@': 49}), 3: (1, {'@': 49}), 31: (1, {'@': 49})}, 8: {1: (1, {'@': 50}), 3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 27), 4: (0, 7)}, 9: {0: (1, {'@': 51}), 3: (1, {'@': 51}), 2: (1, {'@': 51}), 1: (1, {'@': 51}), 13: (1, {'@': 51}), 4: (1, {'@': 51})}, 10: {16: (1, {'@': 52}), 2: (1, {'@': 52}), 17: (1, {'@': 52}), 1: (1, {'@': 52}), 20: (1, {'@': 52}), 22: (1, {'@': 52}), 4: (1, {'@': 52}), 25: (1, {'@': 52}), 29: (1, {'@': 52}), 30: (1, {'@': 52}), 13: (1, {'@': 52}), 32: (1, {'@': 52}), 15: (1, {'@': 52}), 18: (1, {'@': 52}), 19: (1, {'@': 52}), 21: (1, {'@': 52}), 0: (1, {'@': 52}), 23: (1, {'@': 52}), 24: (1, {'@': 52}), 26: (1, {'@': 52}), 27: (1, {'@': 52}), 28: (1, {'@': 52}), 3: (1, {'@': 52}), 31: (1, {'@': 52})}, 11: {16: (1, {'@': 53}), 2: (1, {'@': 53}), 17: (1, {'@': 53}), 1: (1, {'@': 53}), 20: (1, {'@': 53}), 22: (1, {'@': 53}), 4: (1, {'@': 53}), 25: (1, {'@': 53}), 29: (1, {'@': 53}), 30: (1, {'@': 53}), 13: (1, {'@': 53}), 32: (1, {'@': 53}), 15: (1, {'@': 53}), 18: (1, {'@': 53}), 19: (1, {'@': 53}), 21: (1, {'@': 53}), 0: (1, {'@': 53}), 23: (1, {'@': 53}), 24: (1, {'@': 53}), 26: (1, {'@': 53}), 27: (1, {'@': 53}), 28: (1, {'@': 53}), 3: (1, {'@': 53}), 31: (1, {'@': 53})}, 12: {16: (1, {'@': 54}), 2: (1, {'@': 54}), 34: (1, {'@': 54}), 35: (1, {'@': 54}), 36: (1, {'@': 54}), 20: (1, {'@': 54}), 37: (1, {'@': 54}), 4: (1, {'@': 54}), 38: (1, {'@': 54}), 22: (1, {'@': 54}), 25: (1, {'@': 54}), 39: (1, {'@': 54}), 29: (1, {'@': 54}), 30: (1, {'@': 54}), 40: (1, {'@': 54}), 41: (1, {'@': 54}), 42: (1, {'@': 54}), 43: (1, {'@': 54}), 32: (1, {'@': 54}), 15: (1, {'@': 54}), 44: (1, {'@': 54}), 45: (1, {'@': 54}), 46: (1, {'@': 54}), 47: (1, {'@': 54}), 18: (1, {'@': 54}), 19: (1, {'@': 54}), 21: (1, {'@': 54}), 0: (1, {'@': 54}), 23: (1, {'@': 54}), 3: (1, {'@': 54}), 24: (1, {'@': 54}), 48: (1, {'@': 54}), 49: (1, {'@': 54}), 26: (1, {'@': 54}), 50: (1, {'@': 54}), 51: (1, {'@': 54}), 27: (1, {'@': 54}), 52: (1, {'@': 54}), 28: (1, {'@': 54}), 13: (1, {'@': 54}), 31: (1, {'@': 54})}, 13: {0: (1, {'@': 55}), 3: (1, {'@': 55}), 2: (1, {'@': 55}), 1: (1, {'@': 55}), 13: (1, {'@': 55}), 4: (1, {'@': 55})}, 14: {0: (1, {'@': 56}), 3: (1, {'@': 56}), 2: (1, {'@': 56}), 1: (1, {'@': 56}), 13: (1, {'@': 56}), 4: (1, {'@': 56})}, 15: {0: (1, {'@': 57}), 3: (1, {'@': 57}), 2: (1, {'@': 57}), 1: (1, {'@': 57}), 13: (1, {'@': 57}), 4: (1, {'@': 57})}, 16: {0: (1, {'@': 58}), 3: (1, {'@': 58}), 2: (1, {'@': 58}), 1: (1, {'@': 58}), 13: (1, {'@': 58}), 4: (1, {'@': 58})}, 17: {1: (1, {'@': 59}), 7: (0, 3), 3: (0, 10), 2: (0, 11), 4: (0, 7), 6: (0, 28)}, 18: {16: (1, {'@': 60}), 2: (1, {'@': 60}), 17: (1, {'@': 60}), 1: (1, {'@': 60}), 20: (1, {'@': 60}), 22: (1, {'@': 60}), 4: (1, {'@': 60}), 25: (1, {'@': 60}), 29: (1, {'@': 60}), 30: (1, {'@': 60}), 13: (1, {'@': 60}), 32: (1, {'@': 60}), 15: (1, {'@': 60}), 18: (1, {'@': 60}), 19: (1, {'@': 60}), 21: (1, {'@': 60}), 0: (1, {'@': 60}), 23: (1, {'@': 60}), 24: (1, {'@': 60}), 26: (1, {'@': 60}), 27: (1, {'@': 60}), 28: (1, {'@': 60}), 3: (1, {'@': 60}), 31: (1, {'@': 60})}, 19: {16: (1, {'@': 61}), 2: (1, {'@': 61}), 17: (1, {'@': 61}), 1: (1, {'@': 61}), 20: (1, {'@': 61}), 22: (1, {'@': 61}), 4: (1, {'@': 61}), 25: (1, {'@': 61}), 29: (1, {'@': 61}), 30: (1, {'@': 61}), 13: (1, {'@': 61}), 32: (1, {'@': 61}), 15: (1, {'@': 61}), 18: (1, {'@': 61}), 19: (1, {'@': 61}), 21: (1, {'@': 61}), 0: (1, {'@': 61}), 23: (1, {'@': 61}), 24: (1, {'@': 61}), 26: (1, {'@': 61}), 27: (1, {'@': 61}), 28: (1, {'@': 61}), 3: (1, {'@': 61}), 31: (1, {'@': 61})}, 20: {16: (1, {'@': 62}), 2: (1, {'@': 62}), 17: (1, {'@': 62}), 1: (1, {'@': 62}), 20: (1, {'@': 62}), 22: (1, {'@': 62}), 4: (1, {'@': 62}), 25: (1, {'@': 62}), 29: (1, {'@': 62}), 30: (1, {'@': 62}), 13: (1, {'@': 62}), 32: (1, {'@': 62}), 15: (1, {'@': 62}), 18: (1, {'@': 62}), 19: (1, {'@': 62}), 21: (1, {'@': 62}), 0: (1, {'@': 62}), 23: (1, {'@': 62}), 24: (1, {'@': 62}), 26: (1, {'@': 62}), 27: (1, {'@': 62}), 28: (1, {'@': 62}), 3: (1, {'@': 62}), 31: (1, {'@': 62})}, 21: {13: (0, 12), 19: (0, 29), 26: (0, 30), 9: (0, 31)}, 22: {6: (0, 32), 9: (0, 33), 3: (0, 10), 7: (0, 3), 2: (0, 11), 13: (0, 12), 4: (0, 7), 0: (0, 34)}, 23: {19: (1, {'@': 63}), 13: (1, {'@': 63}), 26: (1, {'@': 63})}, 24: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 54), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 25: {19: (1, {'@': 64}), 13: (1, {'@': 64}), 26: (1, {'@': 64})}, 26: {}, 27: {1: (1, {'@': 65})}, 28: {1: (1, {'@': 66})}, 29: {3: (0, 10), 7: (0, 3), 0: (0, 71), 2: (0, 11), 13: (0, 12), 9: (0, 72), 4: (0, 7), 6: (0, 73)}, 30: {19: (1, {'@': 67}), 13: (1, {'@': 67}), 26: (1, {'@': 67})}, 31: {19: (1, {'@': 68}), 13: (1, {'@': 68}), 26: (1, {'@': 68})}, 32: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 11: (0, 74), 8: (0, 4), 9: (0, 5), 12: (0, 9), 13: (0, 12), 14: (0, 13)}, 33: {34: (0, 75)}, 34: {3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 6: (0, 76)}, 35: {6: (0, 77), 18: (0, 35), 66: (0, 78), 54: (0, 37), 53: (0, 36), 55: (0, 38), 19: (0, 39), 17: (0, 79), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 76: (0, 80), 15: (0, 46), 59: (0, 45), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 32: (0, 81), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 31: (0, 70), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 36: {16: (1, {'@': 69}), 52: (1, {'@': 69}), 2: (1, {'@': 69}), 34: (1, {'@': 69}), 35: (1, {'@': 69}), 20: (1, {'@': 69}), 37: (1, {'@': 69}), 4: (1, {'@': 69}), 38: (1, {'@': 69}), 22: (1, {'@': 69}), 25: (1, {'@': 69}), 39: (1, {'@': 69}), 40: (1, {'@': 69}), 30: (1, {'@': 69}), 41: (1, {'@': 69}), 13: (1, {'@': 69}), 42: (1, {'@': 69}), 43: (1, {'@': 69}), 29: (1, {'@': 69}), 15: (1, {'@': 69}), 32: (1, {'@': 69}), 44: (1, {'@': 69}), 45: (1, {'@': 69}), 46: (1, {'@': 69}), 47: (1, {'@': 69}), 18: (1, {'@': 69}), 19: (1, {'@': 69}), 0: (1, {'@': 69}), 23: (1, {'@': 69}), 24: (1, {'@': 69}), 48: (1, {'@': 69}), 49: (1, {'@': 69}), 26: (1, {'@': 69}), 50: (1, {'@': 69}), 51: (1, {'@': 69}), 27: (1, {'@': 69}), 36: (1, {'@': 69}), 28: (1, {'@': 69}), 3: (1, {'@': 69}), 31: (1, {'@': 69})}, 37: {35: (1, {'@': 70}), 37: (1, {'@': 70}), 38: (1, {'@': 70}), 40: (1, {'@': 70}), 42: (1, {'@': 70}), 45: (1, {'@': 70}), 46: (1, {'@': 70}), 0: (1, {'@': 70}), 23: (1, {'@': 70}), 3: (1, {'@': 70}), 48: (1, {'@': 70}), 49: (1, {'@': 70}), 26: (1, {'@': 70}), 27: (1, {'@': 70}), 52: (1, {'@': 70}), 28: (1, {'@': 70}), 16: (1, {'@': 70}), 2: (1, {'@': 70}), 34: (1, {'@': 70}), 20: (1, {'@': 70}), 22: (1, {'@': 70}), 4: (1, {'@': 70}), 25: (1, {'@': 70}), 39: (1, {'@': 70}), 29: (1, {'@': 70}), 30: (1, {'@': 70}), 41: (1, {'@': 70}), 32: (1, {'@': 70}), 15: (1, {'@': 70}), 44: (1, {'@': 70}), 47: (1, {'@': 70}), 18: (0, 83), 19: (1, {'@': 70}), 24: (1, {'@': 70}), 50: (1, {'@': 70}), 36: (1, {'@': 70}), 13: (1, {'@': 70}), 31: (1, {'@': 70}), 77: (0, 82), 51: (0, 84), 78: (0, 85), 43: (0, 86), 79: (0, 87), 80: (0, 88)}, 38: {16: (1, {'@': 71}), 52: (1, {'@': 71}), 2: (1, {'@': 71}), 34: (1, {'@': 71}), 35: (1, {'@': 71}), 20: (1, {'@': 71}), 37: (1, {'@': 71}), 4: (1, {'@': 71}), 38: (1, {'@': 71}), 22: (1, {'@': 71}), 25: (1, {'@': 71}), 39: (1, {'@': 71}), 40: (1, {'@': 71}), 30: (1, {'@': 71}), 41: (1, {'@': 71}), 13: (1, {'@': 71}), 42: (1, {'@': 71}), 43: (1, {'@': 71}), 29: (1, {'@': 71}), 15: (1, {'@': 71}), 32: (1, {'@': 71}), 44: (1, {'@': 71}), 45: (1, {'@': 71}), 46: (1, {'@': 71}), 47: (1, {'@': 71}), 18: (1, {'@': 71}), 19: (1, {'@': 71}), 0: (1, {'@': 71}), 23: (1, {'@': 71}), 24: (1, {'@': 71}), 48: (1, {'@': 71}), 49: (1, {'@': 71}), 26: (1, {'@': 71}), 50: (1, {'@': 71}), 51: (1, {'@': 71}), 27: (1, {'@': 71}), 36: (1, {'@': 71}), 28: (1, {'@': 71}), 3: (1, {'@': 71}), 31: (1, {'@': 71})}, 39: {18: (0, 35), 53: (0, 36), 54: (0, 37), 76: (0, 89), 55: (0, 38), 19: (0, 39), 17: (0, 79), 56: (0, 40), 30: (0, 41), 57: (0, 42), 6: (0, 90), 66: (0, 91), 7: (0, 3), 9: (0, 92), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 81: (0, 93), 62: (0, 49), 63: (0, 50), 64: (0, 51), 0: (0, 94), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 31: (0, 70), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 40: {16: (1, {'@': 72}), 52: (1, {'@': 72}), 2: (1, {'@': 72}), 34: (1, {'@': 72}), 35: (1, {'@': 72}), 20: (1, {'@': 72}), 37: (1, {'@': 72}), 4: (1, {'@': 72}), 38: (1, {'@': 72}), 22: (1, {'@': 72}), 25: (1, {'@': 72}), 39: (1, {'@': 72}), 40: (1, {'@': 72}), 30: (1, {'@': 72}), 41: (1, {'@': 72}), 13: (1, {'@': 72}), 42: (1, {'@': 72}), 43: (1, {'@': 72}), 29: (1, {'@': 72}), 15: (1, {'@': 72}), 32: (1, {'@': 72}), 44: (1, {'@': 72}), 45: (1, {'@': 72}), 46: (1, {'@': 72}), 47: (1, {'@': 72}), 18: (1, {'@': 72}), 19: (1, {'@': 72}), 0: (1, {'@': 72}), 23: (1, {'@': 72}), 24: (1, {'@': 72}), 48: (1, {'@': 72}), 49: (1, {'@': 72}), 26: (1, {'@': 72}), 50: (1, {'@': 72}), 51: (1, {'@': 72}), 27: (1, {'@': 72}), 36: (1, {'@': 72}), 28: (1, {'@': 72}), 3: (1, {'@': 72}), 31: (1, {'@': 72})}, 41: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 6: (0, 95), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 96), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 42: {16: (1, {'@': 73}), 52: (1, {'@': 73}), 2: (1, {'@': 73}), 34: (1, {'@': 73}), 35: (1, {'@': 73}), 20: (1, {'@': 73}), 37: (1, {'@': 73}), 4: (1, {'@': 73}), 38: (1, {'@': 73}), 22: (1, {'@': 73}), 25: (1, {'@': 73}), 39: (1, {'@': 73}), 40: (1, {'@': 73}), 30: (1, {'@': 73}), 41: (1, {'@': 73}), 13: (1, {'@': 73}), 42: (1, {'@': 73}), 43: (1, {'@': 73}), 29: (1, {'@': 73}), 15: (1, {'@': 73}), 32: (1, {'@': 73}), 44: (1, {'@': 73}), 45: (1, {'@': 73}), 46: (1, {'@': 73}), 47: (1, {'@': 73}), 18: (1, {'@': 73}), 19: (1, {'@': 73}), 0: (1, {'@': 73}), 23: (1, {'@': 73}), 24: (1, {'@': 73}), 48: (1, {'@': 73}), 49: (1, {'@': 73}), 26: (1, {'@': 73}), 50: (1, {'@': 73}), 51: (1, {'@': 73}), 27: (1, {'@': 73}), 36: (1, {'@': 73}), 28: (1, {'@': 73}), 3: (1, {'@': 73}), 31: (1, {'@': 73})}, 43: {16: (1, {'@': 74}), 52: (1, {'@': 74}), 2: (1, {'@': 74}), 34: (1, {'@': 74}), 35: (1, {'@': 74}), 20: (1, {'@': 74}), 37: (1, {'@': 74}), 4: (1, {'@': 74}), 38: (1, {'@': 74}), 22: (1, {'@': 74}), 25: (1, {'@': 74}), 39: (1, {'@': 74}), 40: (1, {'@': 74}), 30: (0, 97), 41: (1, {'@': 74}), 13: (1, {'@': 74}), 42: (1, {'@': 74}), 43: (1, {'@': 74}), 29: (1, {'@': 74}), 15: (1, {'@': 74}), 32: (1, {'@': 74}), 44: (1, {'@': 74}), 45: (1, {'@': 74}), 46: (1, {'@': 74}), 47: (1, {'@': 74}), 18: (1, {'@': 74}), 19: (1, {'@': 74}), 0: (1, {'@': 74}), 23: (1, {'@': 74}), 24: (1, {'@': 74}), 48: (1, {'@': 74}), 49: (1, {'@': 74}), 26: (1, {'@': 74}), 50: (1, {'@': 74}), 51: (1, {'@': 74}), 27: (1, {'@': 74}), 36: (1, {'@': 74}), 28: (1, {'@': 74}), 3: (1, {'@': 74}), 31: (1, {'@': 74})}, 44: {16: (1, {'@': 75}), 52: (1, {'@': 75}), 2: (1, {'@': 75}), 34: (1, {'@': 75}), 35: (1, {'@': 75}), 20: (1, {'@': 75}), 37: (1, {'@': 75}), 4: (1, {'@': 75}), 38: (1, {'@': 75}), 22: (1, {'@': 75}), 25: (1, {'@': 75}), 39: (1, {'@': 75}), 40: (1, {'@': 75}), 30: (1, {'@': 75}), 41: (1, {'@': 75}), 13: (1, {'@': 75}), 42: (1, {'@': 75}), 43: (1, {'@': 75}), 29: (1, {'@': 75}), 15: (1, {'@': 75}), 32: (1, {'@': 75}), 44: (1, {'@': 75}), 45: (1, {'@': 75}), 46: (1, {'@': 75}), 47: (1, {'@': 75}), 18: (1, {'@': 75}), 19: (1, {'@': 75}), 0: (1, {'@': 75}), 23: (1, {'@': 75}), 24: (1, {'@': 75}), 48: (1, {'@': 75}), 49: (1, {'@': 75}), 26: (1, {'@': 75}), 50: (1, {'@': 75}), 51: (1, {'@': 75}), 27: (1, {'@': 75}), 36: (1, {'@': 75}), 28: (1, {'@': 75}), 3: (1, {'@': 75}), 31: (1, {'@': 75})}, 45: {16: (1, {'@': 76}), 2: (1, {'@': 76}), 34: (1, {'@': 76}), 35: (1, {'@': 76}), 36: (1, {'@': 76}), 20: (0, 99), 37: (1, {'@': 76}), 4: (1, {'@': 76}), 38: (1, {'@': 76}), 22: (1, {'@': 76}), 25: (1, {'@': 76}), 39: (1, {'@': 76}), 40: (1, {'@': 76}), 30: (1, {'@': 76}), 41: (1, {'@': 76}), 13: (1, {'@': 76}), 42: (1, {'@': 76}), 43: (0, 100), 29: (1, {'@': 76}), 15: (1, {'@': 76}), 32: (1, {'@': 76}), 44: (1, {'@': 76}), 45: (1, {'@': 76}), 46: (1, {'@': 76}), 47: (1, {'@': 76}), 18: (1, {'@': 76}), 19: (1, {'@': 76}), 0: (1, {'@': 76}), 23: (1, {'@': 76}), 24: (1, {'@': 76}), 48: (1, {'@': 76}), 49: (1, {'@': 76}), 26: (1, {'@': 76}), 50: (1, {'@': 76}), 51: (1, {'@': 76}), 27: (1, {'@': 76}), 52: (1, {'@': 76}), 28: (1, {'@': 76}), 3: (1, {'@': 76}), 31: (1, {'@': 76}), 82: (0, 98)}, 46: {18: (0, 35), 53: (0, 36), 54: (0, 101), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 29: (0, 55), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 71: (0, 65), 72: (0, 66), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 47: {16: (1, {'@': 77}), 52: (1, {'@': 77}), 2: (1, {'@': 77}), 34: (1, {'@': 77}), 35: (1, {'@': 77}), 20: (1, {'@': 77}), 37: (1, {'@': 77}), 4: (1, {'@': 77}), 38: (1, {'@': 77}), 22: (1, {'@': 77}), 25: (1, {'@': 77}), 39: (1, {'@': 77}), 40: (1, {'@': 77}), 30: (1, {'@': 77}), 41: (1, {'@': 77}), 13: (1, {'@': 77}), 42: (1, {'@': 77}), 29: (1, {'@': 77}), 32: (1, {'@': 77}), 15: (1, {'@': 77}), 44: (1, {'@': 77}), 45: (1, {'@': 77}), 46: (1, {'@': 77}), 47: (1, {'@': 77}), 18: (1, {'@': 77}), 19: (1, {'@': 77}), 0: (1, {'@': 77}), 23: (1, {'@': 77}), 24: (1, {'@': 77}), 48: (1, {'@': 77}), 49: (1, {'@': 77}), 26: (1, {'@': 77}), 50: (1, {'@': 77}), 27: (1, {'@': 77}), 36: (1, {'@': 77}), 28: (1, {'@': 77}), 3: (1, {'@': 77}), 31: (1, {'@': 77})}, 48: {16: (1, {'@': 78}), 52: (1, {'@': 78}), 2: (1, {'@': 78}), 34: (1, {'@': 78}), 35: (1, {'@': 78}), 20: (1, {'@': 78}), 37: (1, {'@': 78}), 4: (1, {'@': 78}), 38: (1, {'@': 78}), 22: (1, {'@': 78}), 25: (1, {'@': 78}), 39: (1, {'@': 78}), 40: (1, {'@': 78}), 30: (1, {'@': 78}), 41: (1, {'@': 78}), 13: (1, {'@': 78}), 42: (1, {'@': 78}), 43: (1, {'@': 78}), 29: (1, {'@': 78}), 15: (1, {'@': 78}), 32: (1, {'@': 78}), 44: (1, {'@': 78}), 45: (1, {'@': 78}), 46: (1, {'@': 78}), 47: (1, {'@': 78}), 18: (1, {'@': 78}), 19: (1, {'@': 78}), 0: (1, {'@': 78}), 23: (1, {'@': 78}), 24: (1, {'@': 78}), 48: (1, {'@': 78}), 49: (1, {'@': 78}), 26: (1, {'@': 78}), 50: (1, {'@': 78}), 51: (1, {'@': 78}), 27: (1, {'@': 78}), 36: (1, {'@': 78}), 28: (1, {'@': 78}), 3: (1, {'@': 78}), 31: (1, {'@': 78})}, 49: {16: (1, {'@': 79}), 52: (1, {'@': 79}), 2: (1, {'@': 79}), 34: (1, {'@': 79}), 35: (1, {'@': 79}), 20: (1, {'@': 79}), 37: (1, {'@': 79}), 4: (1, {'@': 79}), 38: (1, {'@': 79}), 22: (1, {'@': 79}), 25: (1, {'@': 79}), 39: (1, {'@': 79}), 40: (1, {'@': 79}), 30: (1, {'@': 79}), 41: (1, {'@': 79}), 13: (1, {'@': 79}), 42: (1, {'@': 79}), 43: (1, {'@': 79}), 29: (1, {'@': 79}), 15: (1, {'@': 79}), 32: (1, {'@': 79}), 44: (1, {'@': 79}), 45: (1, {'@': 79}), 46: (1, {'@': 79}), 47: (1, {'@': 79}), 18: (1, {'@': 79}), 19: (1, {'@': 79}), 0: (1, {'@': 79}), 23: (1, {'@': 79}), 24: (1, {'@': 79}), 48: (1, {'@': 79}), 49: (1, {'@': 79}), 26: (1, {'@': 79}), 50: (1, {'@': 79}), 51: (1, {'@': 79}), 27: (1, {'@': 79}), 36: (1, {'@': 79}), 28: (1, {'@': 79}), 3: (1, {'@': 79}), 31: (1, {'@': 79})}, 50: {16: (1, {'@': 80}), 52: (1, {'@': 80}), 2: (1, {'@': 80}), 34: (1, {'@': 80}), 35: (1, {'@': 80}), 20: (1, {'@': 80}), 37: (1, {'@': 80}), 4: (1, {'@': 80}), 38: (1, {'@': 80}), 22: (1, {'@': 80}), 25: (1, {'@': 80}), 39: (1, {'@': 80}), 40: (1, {'@': 80}), 30: (1, {'@': 80}), 41: (1, {'@': 80}), 13: (1, {'@': 80}), 42: (1, {'@': 80}), 43: (1, {'@': 80}), 29: (1, {'@': 80}), 15: (1, {'@': 80}), 32: (1, {'@': 80}), 44: (1, {'@': 80}), 45: (1, {'@': 80}), 46: (1, {'@': 80}), 47: (1, {'@': 80}), 18: (1, {'@': 80}), 19: (1, {'@': 80}), 0: (1, {'@': 80}), 23: (1, {'@': 80}), 24: (1, {'@': 80}), 48: (1, {'@': 80}), 49: (1, {'@': 80}), 26: (1, {'@': 80}), 50: (1, {'@': 80}), 51: (1, {'@': 80}), 27: (1, {'@': 80}), 36: (1, {'@': 80}), 28: (1, {'@': 80}), 3: (1, {'@': 80}), 31: (1, {'@': 80})}, 51: {16: (1, {'@': 81}), 52: (1, {'@': 81}), 2: (1, {'@': 81}), 34: (1, {'@': 81}), 35: (1, {'@': 81}), 20: (1, {'@': 81}), 37: (1, {'@': 81}), 4: (1, {'@': 81}), 38: (1, {'@': 81}), 22: (1, {'@': 81}), 25: (1, {'@': 81}), 39: (1, {'@': 81}), 40: (1, {'@': 81}), 30: (1, {'@': 81}), 41: (1, {'@': 81}), 13: (1, {'@': 81}), 42: (1, {'@': 81}), 43: (1, {'@': 81}), 29: (1, {'@': 81}), 15: (1, {'@': 81}), 32: (1, {'@': 81}), 44: (1, {'@': 81}), 45: (1, {'@': 81}), 46: (1, {'@': 81}), 47: (1, {'@': 81}), 18: (1, {'@': 81}), 19: (1, {'@': 81}), 0: (1, {'@': 81}), 23: (1, {'@': 81}), 24: (1, {'@': 81}), 48: (1, {'@': 81}), 49: (1, {'@': 81}), 26: (1, {'@': 81}), 50: (1, {'@': 81}), 51: (1, {'@': 81}), 27: (1, {'@': 81}), 36: (1, {'@': 81}), 28: (1, {'@': 81}), 3: (1, {'@': 81}), 31: (1, {'@': 81})}, 52: {16: (1, {'@': 82}), 2: (1, {'@': 82}), 34: (1, {'@': 82}), 35: (1, {'@': 82}), 36: (1, {'@': 82}), 20: (1, {'@': 82}), 37: (1, {'@': 82}), 4: (1, {'@': 82}), 38: (1, {'@': 82}), 22: (1, {'@': 82}), 25: (1, {'@': 82}), 39: (1, {'@': 82}), 40: (1, {'@': 82}), 30: (1, {'@': 82}), 41: (1, {'@': 82}), 13: (1, {'@': 82}), 42: (1, {'@': 82}), 43: (1, {'@': 82}), 29: (1, {'@': 82}), 15: (1, {'@': 82}), 32: (1, {'@': 82}), 44: (1, {'@': 82}), 45: (1, {'@': 82}), 46: (1, {'@': 82}), 47: (1, {'@': 82}), 18: (1, {'@': 82}), 19: (1, {'@': 82}), 0: (1, {'@': 82}), 23: (1, {'@': 82}), 24: (1, {'@': 82}), 48: (1, {'@': 82}), 49: (1, {'@': 82}), 26: (1, {'@': 82}), 50: (1, {'@': 82}), 51: (1, {'@': 82}), 27: (1, {'@': 82}), 52: (1, {'@': 82}), 28: (1, {'@': 82}), 3: (1, {'@': 82}), 31: (1, {'@': 82})}, 53: {35: (1, {'@': 83}), 37: (1, {'@': 83}), 38: (1, {'@': 83}), 40: (1, {'@': 83}), 42: (1, {'@': 83}), 45: (1, {'@': 83}), 46: (1, {'@': 83}), 0: (1, {'@': 83}), 23: (1, {'@': 83}), 3: (1, {'@': 83}), 48: (1, {'@': 83}), 49: (1, {'@': 83}), 26: (1, {'@': 83}), 27: (1, {'@': 83}), 52: (1, {'@': 83}), 28: (1, {'@': 83}), 16: (1, {'@': 83}), 2: (1, {'@': 83}), 34: (1, {'@': 83}), 20: (1, {'@': 83}), 22: (1, {'@': 83}), 4: (1, {'@': 83}), 25: (1, {'@': 83}), 39: (1, {'@': 83}), 29: (1, {'@': 83}), 30: (1, {'@': 83}), 41: (1, {'@': 83}), 32: (1, {'@': 83}), 15: (1, {'@': 83}), 44: (1, {'@': 83}), 47: (1, {'@': 83}), 18: (1, {'@': 83}), 19: (1, {'@': 83}), 24: (1, {'@': 83}), 50: (1, {'@': 83}), 36: (1, {'@': 83}), 13: (1, {'@': 83}), 31: (1, {'@': 83})}, 54: {35: (0, 102), 42: (0, 103), 7: (0, 3), 44: (0, 104), 83: (0, 105), 4: (0, 7), 48: (0, 106), 38: (0, 107), 3: (0, 10), 2: (0, 11), 37: (0, 108), 6: (0, 109), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 55: {16: (1, {'@': 84}), 2: (1, {'@': 84}), 34: (1, {'@': 84}), 35: (1, {'@': 84}), 36: (1, {'@': 84}), 20: (1, {'@': 84}), 37: (1, {'@': 84}), 4: (1, {'@': 84}), 38: (1, {'@': 84}), 22: (1, {'@': 84}), 25: (1, {'@': 84}), 39: (1, {'@': 84}), 40: (1, {'@': 84}), 30: (1, {'@': 84}), 41: (1, {'@': 84}), 13: (1, {'@': 84}), 42: (1, {'@': 84}), 43: (1, {'@': 84}), 29: (1, {'@': 84}), 15: (1, {'@': 84}), 32: (1, {'@': 84}), 44: (1, {'@': 84}), 45: (1, {'@': 84}), 46: (1, {'@': 84}), 47: (1, {'@': 84}), 18: (1, {'@': 84}), 19: (1, {'@': 84}), 0: (1, {'@': 84}), 23: (1, {'@': 84}), 24: (1, {'@': 84}), 48: (1, {'@': 84}), 49: (1, {'@': 84}), 26: (1, {'@': 84}), 50: (1, {'@': 84}), 51: (1, {'@': 84}), 27: (1, {'@': 84}), 52: (1, {'@': 84}), 28: (1, {'@': 84}), 3: (1, {'@': 84}), 31: (1, {'@': 84})}, 56: {16: (1, {'@': 85}), 52: (1, {'@': 85}), 2: (1, {'@': 85}), 34: (1, {'@': 85}), 35: (1, {'@': 85}), 20: (1, {'@': 85}), 37: (1, {'@': 85}), 4: (1, {'@': 85}), 38: (1, {'@': 85}), 22: (1, {'@': 85}), 25: (1, {'@': 85}), 39: (1, {'@': 85}), 40: (1, {'@': 85}), 30: (1, {'@': 85}), 41: (1, {'@': 85}), 13: (1, {'@': 85}), 42: (1, {'@': 85}), 29: (1, {'@': 85}), 32: (1, {'@': 85}), 15: (1, {'@': 85}), 44: (1, {'@': 85}), 45: (1, {'@': 85}), 46: (1, {'@': 85}), 47: (1, {'@': 85}), 18: (1, {'@': 85}), 19: (1, {'@': 85}), 0: (1, {'@': 85}), 23: (1, {'@': 85}), 24: (1, {'@': 85}), 48: (1, {'@': 85}), 49: (1, {'@': 85}), 26: (1, {'@': 85}), 50: (1, {'@': 85}), 27: (1, {'@': 85}), 36: (1, {'@': 85}), 28: (1, {'@': 85}), 3: (1, {'@': 85}), 31: (1, {'@': 85})}, 57: {16: (1, {'@': 86}), 52: (1, {'@': 86}), 2: (1, {'@': 86}), 34: (1, {'@': 86}), 35: (1, {'@': 86}), 20: (1, {'@': 86}), 37: (1, {'@': 86}), 4: (1, {'@': 86}), 38: (1, {'@': 86}), 22: (1, {'@': 86}), 25: (1, {'@': 86}), 39: (1, {'@': 86}), 40: (1, {'@': 86}), 30: (1, {'@': 86}), 41: (1, {'@': 86}), 13: (1, {'@': 86}), 42: (1, {'@': 86}), 43: (1, {'@': 86}), 29: (1, {'@': 86}), 15: (1, {'@': 86}), 32: (1, {'@': 86}), 44: (1, {'@': 86}), 45: (1, {'@': 86}), 46: (1, {'@': 86}), 47: (1, {'@': 86}), 18: (1, {'@': 86}), 19: (1, {'@': 86}), 0: (1, {'@': 86}), 23: (1, {'@': 86}), 24: (1, {'@': 86}), 48: (1, {'@': 86}), 49: (1, {'@': 86}), 26: (1, {'@': 86}), 50: (1, {'@': 86}), 51: (1, {'@': 86}), 27: (1, {'@': 86}), 36: (1, {'@': 86}), 28: (1, {'@': 86}), 3: (1, {'@': 86}), 31: (1, {'@': 86})}, 58: {16: (1, {'@': 87}), 2: (1, {'@': 87}), 34: (1, {'@': 87}), 35: (1, {'@': 87}), 36: (1, {'@': 87}), 20: (1, {'@': 87}), 37: (1, {'@': 87}), 4: (1, {'@': 87}), 38: (1, {'@': 87}), 22: (1, {'@': 87}), 25: (1, {'@': 87}), 39: (1, {'@': 87}), 40: (1, {'@': 87}), 30: (1, {'@': 87}), 41: (1, {'@': 87}), 13: (1, {'@': 87}), 42: (1, {'@': 87}), 43: (1, {'@': 87}), 29: (1, {'@': 87}), 15: (1, {'@': 87}), 32: (1, {'@': 87}), 44: (1, {'@': 87}), 45: (1, {'@': 87}), 46: (1, {'@': 87}), 47: (1, {'@': 87}), 18: (1, {'@': 87}), 19: (1, {'@': 87}), 0: (1, {'@': 87}), 23: (1, {'@': 87}), 24: (1, {'@': 87}), 48: (1, {'@': 87}), 49: (1, {'@': 87}), 26: (1, {'@': 87}), 50: (1, {'@': 87}), 51: (1, {'@': 87}), 27: (1, {'@': 87}), 52: (1, {'@': 87}), 28: (1, {'@': 87}), 3: (1, {'@': 87}), 31: (1, {'@': 87})}, 59: {16: (1, {'@': 88}), 2: (1, {'@': 88}), 34: (1, {'@': 88}), 35: (1, {'@': 88}), 36: (1, {'@': 88}), 20: (1, {'@': 88}), 37: (1, {'@': 88}), 4: (1, {'@': 88}), 38: (1, {'@': 88}), 22: (1, {'@': 88}), 25: (1, {'@': 88}), 39: (1, {'@': 88}), 40: (1, {'@': 88}), 30: (1, {'@': 88}), 41: (1, {'@': 88}), 13: (1, {'@': 88}), 42: (1, {'@': 88}), 43: (1, {'@': 88}), 29: (1, {'@': 88}), 15: (1, {'@': 88}), 32: (1, {'@': 88}), 44: (1, {'@': 88}), 45: (1, {'@': 88}), 46: (1, {'@': 88}), 47: (1, {'@': 88}), 18: (1, {'@': 88}), 19: (1, {'@': 88}), 0: (1, {'@': 88}), 23: (1, {'@': 88}), 24: (1, {'@': 88}), 48: (1, {'@': 88}), 49: (1, {'@': 88}), 26: (1, {'@': 88}), 50: (1, {'@': 88}), 51: (1, {'@': 88}), 27: (1, {'@': 88}), 52: (1, {'@': 88}), 28: (1, {'@': 88}), 3: (1, {'@': 88}), 31: (1, {'@': 88})}, 60: {16: (1, {'@': 89}), 52: (1, {'@': 89}), 2: (1, {'@': 89}), 34: (1, {'@': 89}), 35: (1, {'@': 89}), 20: (1, {'@': 89}), 37: (1, {'@': 89}), 4: (1, {'@': 89}), 38: (1, {'@': 89}), 22: (1, {'@': 89}), 25: (1, {'@': 89}), 39: (1, {'@': 89}), 40: (1, {'@': 89}), 30: (1, {'@': 89}), 41: (1, {'@': 89}), 13: (1, {'@': 89}), 42: (1, {'@': 89}), 43: (1, {'@': 89}), 29: (1, {'@': 89}), 15: (1, {'@': 89}), 32: (1, {'@': 89}), 44: (1, {'@': 89}), 45: (1, {'@': 89}), 46: (1, {'@': 89}), 47: (1, {'@': 89}), 18: (1, {'@': 89}), 19: (1, {'@': 89}), 82: (1, {'@': 89}), 0: (1, {'@': 89}), 23: (1, {'@': 89}), 24: (1, {'@': 89}), 48: (1, {'@': 89}), 49: (1, {'@': 89}), 26: (1, {'@': 89}), 50: (1, {'@': 89}), 51: (1, {'@': 89}), 27: (1, {'@': 89}), 36: (1, {'@': 89}), 28: (1, {'@': 89}), 3: (1, {'@': 89}), 31: (1, {'@': 89})}, 61: {16: (1, {'@': 90}), 52: (1, {'@': 90}), 2: (1, {'@': 90}), 34: (1, {'@': 90}), 35: (1, {'@': 90}), 20: (1, {'@': 90}), 37: (1, {'@': 90}), 4: (1, {'@': 90}), 38: (1, {'@': 90}), 22: (1, {'@': 90}), 25: (1, {'@': 90}), 39: (1, {'@': 90}), 40: (1, {'@': 90}), 30: (1, {'@': 90}), 41: (1, {'@': 90}), 13: (1, {'@': 90}), 42: (1, {'@': 90}), 43: (1, {'@': 90}), 29: (1, {'@': 90}), 15: (1, {'@': 90}), 32: (1, {'@': 90}), 44: (1, {'@': 90}), 45: (1, {'@': 90}), 46: (1, {'@': 90}), 47: (1, {'@': 90}), 18: (1, {'@': 90}), 19: (1, {'@': 90}), 0: (1, {'@': 90}), 23: (1, {'@': 90}), 24: (1, {'@': 90}), 48: (1, {'@': 90}), 49: (1, {'@': 90}), 26: (1, {'@': 90}), 50: (1, {'@': 90}), 51: (1, {'@': 90}), 27: (1, {'@': 90}), 36: (1, {'@': 90}), 28: (1, {'@': 90}), 3: (1, {'@': 90}), 31: (1, {'@': 90})}, 62: {16: (1, {'@': 91}), 52: (1, {'@': 91}), 2: (1, {'@': 91}), 34: (1, {'@': 91}), 35: (1, {'@': 91}), 20: (1, {'@': 91}), 37: (1, {'@': 91}), 4: (1, {'@': 91}), 38: (1, {'@': 91}), 22: (1, {'@': 91}), 25: (1, {'@': 91}), 39: (1, {'@': 91}), 40: (1, {'@': 91}), 30: (1, {'@': 91}), 41: (1, {'@': 91}), 13: (1, {'@': 91}), 42: (1, {'@': 91}), 43: (1, {'@': 91}), 29: (1, {'@': 91}), 15: (1, {'@': 91}), 32: (1, {'@': 91}), 44: (1, {'@': 91}), 45: (1, {'@': 91}), 46: (1, {'@': 91}), 47: (1, {'@': 91}), 18: (1, {'@': 91}), 19: (1, {'@': 91}), 0: (1, {'@': 91}), 23: (1, {'@': 91}), 24: (1, {'@': 91}), 48: (1, {'@': 91}), 49: (1, {'@': 91}), 26: (1, {'@': 91}), 50: (1, {'@': 91}), 51: (1, {'@': 91}), 27: (1, {'@': 91}), 36: (1, {'@': 91}), 28: (1, {'@': 91}), 3: (1, {'@': 91}), 31: (1, {'@': 91})}, 63: {16: (1, {'@': 92}), 52: (1, {'@': 92}), 2: (1, {'@': 92}), 34: (1, {'@': 92}), 35: (1, {'@': 92}), 20: (1, {'@': 92}), 37: (1, {'@': 92}), 4: (1, {'@': 92}), 38: (1, {'@': 92}), 22: (1, {'@': 92}), 25: (1, {'@': 92}), 39: (1, {'@': 92}), 40: (1, {'@': 92}), 30: (1, {'@': 92}), 41: (1, {'@': 92}), 13: (1, {'@': 92}), 42: (1, {'@': 92}), 43: (1, {'@': 92}), 29: (1, {'@': 92}), 15: (1, {'@': 92}), 32: (1, {'@': 92}), 44: (1, {'@': 92}), 45: (1, {'@': 92}), 46: (1, {'@': 92}), 47: (1, {'@': 92}), 18: (1, {'@': 92}), 19: (1, {'@': 92}), 0: (1, {'@': 92}), 23: (1, {'@': 92}), 24: (1, {'@': 92}), 48: (1, {'@': 92}), 49: (1, {'@': 92}), 26: (1, {'@': 92}), 50: (1, {'@': 92}), 51: (1, {'@': 92}), 27: (1, {'@': 92}), 36: (1, {'@': 92}), 28: (1, {'@': 92}), 3: (1, {'@': 92}), 31: (1, {'@': 92})}, 64: {18: (0, 35), 53: (0, 36), 54: (0, 119), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 29: (0, 55), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 71: (0, 65), 72: (0, 66), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 65: {16: (1, {'@': 93}), 52: (1, {'@': 93}), 2: (1, {'@': 93}), 34: (1, {'@': 93}), 35: (1, {'@': 93}), 20: (1, {'@': 93}), 37: (1, {'@': 93}), 4: (1, {'@': 93}), 38: (1, {'@': 93}), 22: (1, {'@': 93}), 25: (1, {'@': 93}), 39: (1, {'@': 93}), 40: (1, {'@': 93}), 30: (1, {'@': 93}), 41: (1, {'@': 93}), 13: (1, {'@': 93}), 42: (1, {'@': 93}), 43: (1, {'@': 93}), 29: (1, {'@': 93}), 15: (1, {'@': 93}), 32: (1, {'@': 93}), 44: (1, {'@': 93}), 45: (1, {'@': 93}), 46: (1, {'@': 93}), 47: (1, {'@': 93}), 18: (1, {'@': 93}), 19: (1, {'@': 93}), 0: (1, {'@': 93}), 23: (1, {'@': 93}), 24: (1, {'@': 93}), 48: (1, {'@': 93}), 49: (1, {'@': 93}), 26: (1, {'@': 93}), 50: (1, {'@': 93}), 51: (1, {'@': 93}), 27: (1, {'@': 93}), 36: (1, {'@': 93}), 28: (1, {'@': 93}), 3: (1, {'@': 93}), 31: (1, {'@': 93})}, 66: {16: (1, {'@': 94}), 52: (1, {'@': 94}), 2: (1, {'@': 94}), 34: (1, {'@': 94}), 35: (1, {'@': 94}), 20: (1, {'@': 94}), 37: (1, {'@': 94}), 4: (1, {'@': 94}), 38: (1, {'@': 94}), 22: (1, {'@': 94}), 25: (1, {'@': 94}), 39: (1, {'@': 94}), 40: (1, {'@': 94}), 30: (1, {'@': 94}), 41: (1, {'@': 94}), 13: (1, {'@': 94}), 42: (1, {'@': 94}), 43: (1, {'@': 94}), 29: (1, {'@': 94}), 15: (1, {'@': 94}), 32: (1, {'@': 94}), 44: (1, {'@': 94}), 45: (1, {'@': 94}), 46: (1, {'@': 94}), 47: (1, {'@': 94}), 18: (1, {'@': 94}), 19: (1, {'@': 94}), 0: (1, {'@': 94}), 23: (1, {'@': 94}), 24: (1, {'@': 94}), 48: (1, {'@': 94}), 49: (1, {'@': 94}), 26: (1, {'@': 94}), 50: (1, {'@': 94}), 51: (1, {'@': 94}), 27: (1, {'@': 94}), 36: (1, {'@': 94}), 28: (1, {'@': 94}), 3: (1, {'@': 94}), 31: (1, {'@': 94})}, 67: {35: (1, {'@': 95}), 37: (1, {'@': 95}), 38: (1, {'@': 95}), 40: (1, {'@': 95}), 42: (1, {'@': 95}), 45: (1, {'@': 95}), 46: (1, {'@': 95}), 0: (1, {'@': 95}), 23: (1, {'@': 95}), 3: (1, {'@': 95}), 48: (1, {'@': 95}), 49: (1, {'@': 95}), 26: (1, {'@': 95}), 27: (1, {'@': 95}), 52: (1, {'@': 95}), 28: (1, {'@': 95}), 16: (1, {'@': 95}), 2: (1, {'@': 95}), 34: (1, {'@': 95}), 20: (1, {'@': 95}), 22: (1, {'@': 95}), 4: (1, {'@': 95}), 25: (1, {'@': 95}), 39: (1, {'@': 95}), 29: (1, {'@': 95}), 30: (1, {'@': 95}), 41: (1, {'@': 95}), 32: (1, {'@': 95}), 15: (1, {'@': 95}), 44: (1, {'@': 95}), 47: (1, {'@': 95}), 18: (1, {'@': 95}), 19: (1, {'@': 95}), 24: (1, {'@': 95}), 50: (1, {'@': 95}), 36: (1, {'@': 95}), 13: (1, {'@': 95}), 31: (1, {'@': 95})}, 68: {16: (1, {'@': 96}), 52: (1, {'@': 96}), 2: (1, {'@': 96}), 34: (1, {'@': 96}), 35: (1, {'@': 96}), 20: (1, {'@': 96}), 37: (1, {'@': 96}), 4: (1, {'@': 96}), 38: (1, {'@': 96}), 22: (1, {'@': 96}), 25: (1, {'@': 96}), 39: (1, {'@': 96}), 40: (1, {'@': 96}), 30: (1, {'@': 96}), 41: (1, {'@': 96}), 13: (1, {'@': 96}), 42: (1, {'@': 96}), 43: (1, {'@': 96}), 29: (1, {'@': 96}), 15: (1, {'@': 96}), 32: (1, {'@': 96}), 44: (1, {'@': 96}), 45: (1, {'@': 96}), 46: (1, {'@': 96}), 47: (1, {'@': 96}), 18: (1, {'@': 96}), 19: (1, {'@': 96}), 0: (1, {'@': 96}), 23: (1, {'@': 96}), 24: (1, {'@': 96}), 48: (1, {'@': 96}), 49: (1, {'@': 96}), 26: (1, {'@': 96}), 50: (1, {'@': 96}), 51: (1, {'@': 96}), 27: (1, {'@': 96}), 36: (1, {'@': 96}), 28: (1, {'@': 96}), 3: (1, {'@': 96}), 31: (1, {'@': 96})}, 69: {16: (1, {'@': 97}), 52: (1, {'@': 97}), 2: (1, {'@': 97}), 34: (1, {'@': 97}), 35: (1, {'@': 97}), 20: (1, {'@': 97}), 37: (1, {'@': 97}), 4: (1, {'@': 97}), 38: (1, {'@': 97}), 22: (1, {'@': 97}), 25: (1, {'@': 97}), 39: (1, {'@': 97}), 40: (1, {'@': 97}), 30: (1, {'@': 97}), 41: (1, {'@': 97}), 13: (1, {'@': 97}), 42: (1, {'@': 97}), 43: (1, {'@': 97}), 29: (1, {'@': 97}), 15: (1, {'@': 97}), 32: (1, {'@': 97}), 44: (1, {'@': 97}), 45: (1, {'@': 97}), 46: (1, {'@': 97}), 47: (1, {'@': 97}), 18: (1, {'@': 97}), 19: (1, {'@': 97}), 0: (1, {'@': 97}), 23: (1, {'@': 97}), 24: (1, {'@': 97}), 48: (1, {'@': 97}), 49: (1, {'@': 97}), 26: (1, {'@': 97}), 50: (1, {'@': 97}), 51: (1, {'@': 97}), 27: (1, {'@': 97}), 36: (1, {'@': 97}), 28: (1, {'@': 97}), 3: (1, {'@': 97}), 31: (1, {'@': 97})}, 70: {16: (1, {'@': 98}), 2: (1, {'@': 98}), 34: (1, {'@': 98}), 35: (1, {'@': 98}), 36: (1, {'@': 98}), 20: (1, {'@': 98}), 37: (1, {'@': 98}), 4: (1, {'@': 98}), 38: (1, {'@': 98}), 22: (1, {'@': 98}), 25: (1, {'@': 98}), 39: (1, {'@': 98}), 40: (1, {'@': 98}), 30: (1, {'@': 98}), 41: (1, {'@': 98}), 13: (1, {'@': 98}), 42: (1, {'@': 98}), 43: (1, {'@': 98}), 29: (1, {'@': 98}), 15: (1, {'@': 98}), 32: (1, {'@': 98}), 44: (1, {'@': 98}), 45: (1, {'@': 98}), 46: (1, {'@': 98}), 47: (1, {'@': 98}), 18: (1, {'@': 98}), 19: (1, {'@': 98}), 0: (1, {'@': 98}), 23: (1, {'@': 98}), 24: (1, {'@': 98}), 48: (1, {'@': 98}), 49: (1, {'@': 98}), 26: (1, {'@': 98}), 50: (1, {'@': 98}), 51: (1, {'@': 98}), 27: (1, {'@': 98}), 52: (1, {'@': 98}), 28: (1, {'@': 98}), 3: (1, {'@': 98}), 31: (1, {'@': 98})}, 71: {3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 6: (0, 120)}, 72: {34: (0, 121)}, 73: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 8: (0, 4), 9: (0, 5), 12: (0, 9), 11: (0, 122), 13: (0, 12), 14: (0, 13)}, 74: {0: (0, 123)}, 75: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 66: (0, 124), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 76: {0: (1, {'@': 99}), 3: (1, {'@': 99}), 2: (1, {'@': 99}), 1: (1, {'@': 99}), 13: (1, {'@': 99}), 4: (1, {'@': 99})}, 77: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 76: (0, 125), 66: (0, 126), 17: (0, 79), 56: (0, 40), 57: (0, 42), 30: (0, 41), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 32: (0, 127), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 31: (0, 70), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 78: {42: (0, 103), 83: (0, 105), 32: (0, 128), 48: (0, 106), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 49: (0, 117), 6: (0, 129), 85: (0, 130), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 28: (0, 131), 4: (0, 7), 38: (0, 107), 3: (0, 10), 2: (0, 11), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 79: {9: (0, 132), 6: (0, 133), 7: (0, 3), 13: (0, 12), 4: (0, 7), 3: (0, 10), 2: (0, 11)}, 80: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 6: (0, 134), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 66: (0, 135), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 81: {16: (1, {'@': 100}), 2: (1, {'@': 100}), 34: (1, {'@': 100}), 35: (1, {'@': 100}), 36: (1, {'@': 100}), 20: (1, {'@': 100}), 37: (1, {'@': 100}), 4: (1, {'@': 100}), 38: (1, {'@': 100}), 22: (1, {'@': 100}), 25: (1, {'@': 100}), 39: (1, {'@': 100}), 40: (1, {'@': 100}), 30: (1, {'@': 100}), 41: (1, {'@': 100}), 13: (1, {'@': 100}), 42: (1, {'@': 100}), 43: (1, {'@': 100}), 29: (1, {'@': 100}), 15: (1, {'@': 100}), 32: (1, {'@': 100}), 44: (1, {'@': 100}), 45: (1, {'@': 100}), 46: (1, {'@': 100}), 47: (1, {'@': 100}), 18: (1, {'@': 100}), 19: (1, {'@': 100}), 0: (1, {'@': 100}), 23: (1, {'@': 100}), 24: (1, {'@': 100}), 48: (1, {'@': 100}), 49: (1, {'@': 100}), 26: (1, {'@': 100}), 50: (1, {'@': 100}), 51: (1, {'@': 100}), 27: (1, {'@': 100}), 52: (1, {'@': 100}), 28: (1, {'@': 100}), 3: (1, {'@': 100}), 31: (1, {'@': 100})}, 82: {16: (1, {'@': 101}), 2: (1, {'@': 101}), 34: (1, {'@': 101}), 35: (1, {'@': 101}), 36: (1, {'@': 101}), 20: (1, {'@': 101}), 37: (1, {'@': 101}), 4: (1, {'@': 101}), 38: (1, {'@': 101}), 22: (1, {'@': 101}), 25: (1, {'@': 101}), 39: (1, {'@': 101}), 40: (1, {'@': 101}), 30: (1, {'@': 101}), 41: (1, {'@': 101}), 13: (1, {'@': 101}), 42: (1, {'@': 101}), 43: (1, {'@': 101}), 29: (1, {'@': 101}), 15: (1, {'@': 101}), 32: (1, {'@': 101}), 44: (1, {'@': 101}), 45: (1, {'@': 101}), 46: (1, {'@': 101}), 47: (1, {'@': 101}), 18: (1, {'@': 101}), 19: (1, {'@': 101}), 0: (1, {'@': 101}), 23: (1, {'@': 101}), 24: (1, {'@': 101}), 48: (1, {'@': 101}), 49: (1, {'@': 101}), 26: (1, {'@': 101}), 50: (1, {'@': 101}), 51: (1, {'@': 101}), 27: (1, {'@': 101}), 52: (1, {'@': 101}), 28: (1, {'@': 101}), 3: (1, {'@': 101}), 31: (1, {'@': 101})}, 83: {18: (0, 35), 66: (0, 136), 46: (0, 137), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 6: (0, 138), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 84: {16: (1, {'@': 102}), 52: (1, {'@': 102}), 2: (1, {'@': 102}), 34: (1, {'@': 102}), 35: (1, {'@': 102}), 20: (1, {'@': 102}), 37: (1, {'@': 102}), 4: (1, {'@': 102}), 38: (1, {'@': 102}), 22: (1, {'@': 102}), 25: (1, {'@': 102}), 39: (1, {'@': 102}), 40: (1, {'@': 102}), 30: (1, {'@': 102}), 41: (1, {'@': 102}), 13: (1, {'@': 102}), 42: (1, {'@': 102}), 43: (0, 86), 29: (1, {'@': 102}), 15: (1, {'@': 102}), 32: (1, {'@': 102}), 44: (1, {'@': 102}), 45: (1, {'@': 102}), 46: (1, {'@': 102}), 47: (1, {'@': 102}), 18: (1, {'@': 102}), 19: (1, {'@': 102}), 0: (1, {'@': 102}), 23: (1, {'@': 102}), 24: (1, {'@': 102}), 48: (1, {'@': 102}), 49: (1, {'@': 102}), 26: (1, {'@': 102}), 50: (1, {'@': 102}), 51: (1, {'@': 102}), 27: (1, {'@': 102}), 36: (1, {'@': 102}), 28: (1, {'@': 102}), 3: (1, {'@': 102}), 31: (1, {'@': 102}), 79: (0, 139), 86: (0, 140)}, 85: {16: (1, {'@': 103}), 2: (1, {'@': 103}), 34: (1, {'@': 103}), 35: (1, {'@': 103}), 36: (1, {'@': 103}), 20: (1, {'@': 103}), 37: (1, {'@': 103}), 4: (1, {'@': 103}), 38: (1, {'@': 103}), 22: (1, {'@': 103}), 25: (1, {'@': 103}), 39: (1, {'@': 103}), 40: (1, {'@': 103}), 30: (1, {'@': 103}), 41: (1, {'@': 103}), 13: (1, {'@': 103}), 42: (1, {'@': 103}), 43: (1, {'@': 103}), 29: (1, {'@': 103}), 15: (1, {'@': 103}), 32: (1, {'@': 103}), 44: (1, {'@': 103}), 45: (1, {'@': 103}), 46: (1, {'@': 103}), 47: (1, {'@': 103}), 18: (1, {'@': 103}), 19: (1, {'@': 103}), 0: (1, {'@': 103}), 23: (1, {'@': 103}), 24: (1, {'@': 103}), 48: (1, {'@': 103}), 49: (1, {'@': 103}), 26: (1, {'@': 103}), 50: (1, {'@': 103}), 51: (1, {'@': 103}), 27: (1, {'@': 103}), 52: (1, {'@': 103}), 28: (1, {'@': 103}), 3: (1, {'@': 103}), 31: (1, {'@': 103})}, 86: {13: (0, 12), 9: (0, 141)}, 87: {16: (1, {'@': 104}), 2: (1, {'@': 104}), 34: (1, {'@': 104}), 35: (1, {'@': 104}), 36: (1, {'@': 104}), 20: (1, {'@': 104}), 37: (1, {'@': 104}), 4: (1, {'@': 104}), 38: (1, {'@': 104}), 22: (1, {'@': 104}), 25: (1, {'@': 104}), 39: (1, {'@': 104}), 40: (1, {'@': 104}), 30: (1, {'@': 104}), 41: (1, {'@': 104}), 13: (1, {'@': 104}), 42: (1, {'@': 104}), 43: (1, {'@': 104}), 29: (1, {'@': 104}), 15: (1, {'@': 104}), 32: (1, {'@': 104}), 44: (1, {'@': 104}), 45: (1, {'@': 104}), 46: (1, {'@': 104}), 47: (1, {'@': 104}), 18: (1, {'@': 104}), 19: (1, {'@': 104}), 0: (1, {'@': 104}), 23: (1, {'@': 104}), 24: (1, {'@': 104}), 48: (1, {'@': 104}), 49: (1, {'@': 104}), 26: (1, {'@': 104}), 50: (1, {'@': 104}), 51: (1, {'@': 104}), 27: (1, {'@': 104}), 52: (1, {'@': 104}), 28: (1, {'@': 104}), 3: (1, {'@': 104}), 31: (1, {'@': 104})}, 88: {16: (1, {'@': 105}), 2: (1, {'@': 105}), 34: (1, {'@': 105}), 35: (1, {'@': 105}), 36: (1, {'@': 105}), 20: (1, {'@': 105}), 37: (1, {'@': 105}), 4: (1, {'@': 105}), 38: (1, {'@': 105}), 22: (1, {'@': 105}), 25: (1, {'@': 105}), 39: (1, {'@': 105}), 40: (1, {'@': 105}), 30: (1, {'@': 105}), 41: (1, {'@': 105}), 13: (1, {'@': 105}), 42: (1, {'@': 105}), 43: (1, {'@': 105}), 29: (1, {'@': 105}), 15: (1, {'@': 105}), 32: (1, {'@': 105}), 44: (1, {'@': 105}), 45: (1, {'@': 105}), 46: (1, {'@': 105}), 47: (1, {'@': 105}), 18: (1, {'@': 105}), 19: (1, {'@': 105}), 0: (1, {'@': 105}), 23: (1, {'@': 105}), 24: (1, {'@': 105}), 48: (1, {'@': 105}), 49: (1, {'@': 105}), 26: (1, {'@': 105}), 50: (1, {'@': 105}), 51: (1, {'@': 105}), 27: (1, {'@': 105}), 52: (1, {'@': 105}), 28: (1, {'@': 105}), 3: (1, {'@': 105}), 31: (1, {'@': 105})}, 89: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 66: (0, 142), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 90: {81: (0, 143), 18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 76: (0, 144), 17: (0, 79), 56: (0, 40), 30: (0, 41), 57: (0, 42), 66: (0, 91), 9: (0, 92), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 31: (0, 70), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 91: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 35: (0, 102), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 145), 60: (0, 47), 61: (0, 48), 62: (0, 49), 40: (0, 115), 63: (0, 50), 64: (0, 51), 83: (0, 105), 66: (0, 146), 46: (0, 118), 27: (0, 52), 65: (0, 53), 29: (0, 55), 45: (0, 114), 67: (0, 56), 42: (0, 103), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 50: (0, 113), 49: (0, 117), 68: (0, 61), 44: (0, 104), 69: (0, 62), 38: (0, 107), 41: (0, 116), 34: (0, 147), 48: (0, 106), 70: (0, 63), 13: (0, 12), 84: (0, 111), 52: (0, 112), 23: (0, 64), 71: (0, 65), 72: (0, 66), 37: (0, 108), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 92: {16: (1, {'@': 74}), 52: (1, {'@': 74}), 2: (1, {'@': 74}), 34: (0, 150), 35: (1, {'@': 74}), 20: (0, 60), 37: (1, {'@': 74}), 4: (1, {'@': 74}), 38: (1, {'@': 74}), 22: (1, {'@': 74}), 25: (0, 58), 39: (1, {'@': 74}), 40: (1, {'@': 74}), 30: (0, 148), 41: (1, {'@': 74}), 13: (0, 12), 42: (1, {'@': 74}), 43: (1, {'@': 74}), 29: (0, 55), 15: (0, 46), 32: (1, {'@': 74}), 44: (1, {'@': 74}), 45: (1, {'@': 74}), 46: (1, {'@': 74}), 47: (1, {'@': 74}), 18: (0, 35), 19: (0, 39), 0: (1, {'@': 74}), 23: (0, 64), 24: (0, 59), 48: (1, {'@': 74}), 49: (1, {'@': 74}), 26: (0, 57), 50: (1, {'@': 74}), 51: (1, {'@': 74}), 27: (0, 52), 36: (1, {'@': 74}), 28: (1, {'@': 74}), 3: (1, {'@': 74}), 31: (0, 70), 53: (0, 36), 54: (0, 37), 55: (0, 38), 56: (0, 40), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 53), 66: (0, 149), 67: (0, 56), 68: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 93: {87: (0, 151), 7: (0, 3), 4: (0, 7), 28: (0, 152), 3: (0, 10), 88: (0, 153), 6: (0, 154), 2: (0, 11), 0: (0, 155)}, 94: {16: (1, {'@': 106}), 2: (1, {'@': 106}), 34: (1, {'@': 106}), 35: (1, {'@': 106}), 36: (1, {'@': 106}), 20: (1, {'@': 106}), 37: (1, {'@': 106}), 4: (1, {'@': 106}), 38: (1, {'@': 106}), 22: (1, {'@': 106}), 25: (1, {'@': 106}), 39: (1, {'@': 106}), 40: (1, {'@': 106}), 30: (1, {'@': 106}), 41: (1, {'@': 106}), 13: (1, {'@': 106}), 42: (1, {'@': 106}), 43: (1, {'@': 106}), 29: (1, {'@': 106}), 15: (1, {'@': 106}), 32: (1, {'@': 106}), 44: (1, {'@': 106}), 45: (1, {'@': 106}), 46: (1, {'@': 106}), 47: (1, {'@': 106}), 18: (1, {'@': 106}), 19: (1, {'@': 106}), 0: (1, {'@': 106}), 23: (1, {'@': 106}), 24: (1, {'@': 106}), 48: (1, {'@': 106}), 49: (1, {'@': 106}), 26: (1, {'@': 106}), 50: (1, {'@': 106}), 51: (1, {'@': 106}), 27: (1, {'@': 106}), 52: (1, {'@': 106}), 28: (1, {'@': 106}), 3: (1, {'@': 106}), 31: (1, {'@': 106})}, 95: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 156), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 96: {35: (0, 102), 42: (0, 103), 7: (0, 3), 44: (0, 104), 83: (0, 105), 4: (0, 7), 6: (0, 157), 48: (0, 106), 38: (0, 107), 3: (0, 10), 2: (0, 11), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 22: (0, 158), 46: (0, 118)}, 97: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 66: (0, 159), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 6: (0, 160), 63: (0, 50), 64: (0, 51), 22: (0, 161), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 89: (0, 162), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 31: (0, 70), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 98: {59: (0, 163), 20: (0, 60)}, 99: {16: (1, {'@': 107}), 52: (1, {'@': 107}), 2: (1, {'@': 107}), 34: (1, {'@': 107}), 35: (1, {'@': 107}), 20: (1, {'@': 107}), 37: (1, {'@': 107}), 4: (1, {'@': 107}), 38: (1, {'@': 107}), 22: (1, {'@': 107}), 25: (1, {'@': 107}), 39: (1, {'@': 107}), 40: (1, {'@': 107}), 30: (1, {'@': 107}), 41: (1, {'@': 107}), 13: (1, {'@': 107}), 42: (1, {'@': 107}), 43: (1, {'@': 107}), 29: (1, {'@': 107}), 15: (1, {'@': 107}), 32: (1, {'@': 107}), 44: (1, {'@': 107}), 45: (1, {'@': 107}), 46: (1, {'@': 107}), 47: (1, {'@': 107}), 18: (1, {'@': 107}), 19: (1, {'@': 107}), 82: (1, {'@': 107}), 0: (1, {'@': 107}), 23: (1, {'@': 107}), 24: (1, {'@': 107}), 48: (1, {'@': 107}), 49: (1, {'@': 107}), 26: (1, {'@': 107}), 50: (1, {'@': 107}), 51: (1, {'@': 107}), 27: (1, {'@': 107}), 36: (1, {'@': 107}), 28: (1, {'@': 107}), 3: (1, {'@': 107}), 31: (1, {'@': 107})}, 100: {59: (0, 164), 20: (0, 60)}, 101: {16: (1, {'@': 108}), 2: (1, {'@': 108}), 34: (1, {'@': 108}), 35: (1, {'@': 108}), 36: (1, {'@': 108}), 20: (1, {'@': 108}), 37: (1, {'@': 108}), 4: (1, {'@': 108}), 38: (1, {'@': 108}), 22: (1, {'@': 108}), 25: (1, {'@': 108}), 39: (1, {'@': 108}), 40: (1, {'@': 108}), 30: (1, {'@': 108}), 41: (1, {'@': 108}), 13: (1, {'@': 108}), 42: (1, {'@': 108}), 29: (1, {'@': 108}), 32: (1, {'@': 108}), 15: (1, {'@': 108}), 44: (1, {'@': 108}), 45: (1, {'@': 108}), 46: (1, {'@': 108}), 47: (1, {'@': 108}), 18: (0, 83), 19: (1, {'@': 108}), 0: (1, {'@': 108}), 23: (1, {'@': 108}), 24: (1, {'@': 108}), 48: (1, {'@': 108}), 49: (1, {'@': 108}), 26: (1, {'@': 108}), 50: (1, {'@': 108}), 27: (1, {'@': 108}), 52: (1, {'@': 108}), 28: (1, {'@': 108}), 3: (1, {'@': 108}), 31: (1, {'@': 108}), 77: (0, 82), 51: (0, 84), 78: (0, 85), 43: (0, 86), 79: (0, 87), 80: (0, 88)}, 102: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 165), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 103: {15: (1, {'@': 109}), 13: (1, {'@': 109}), 2: (1, {'@': 109}), 18: (1, {'@': 109}), 19: (1, {'@': 109}), 20: (1, {'@': 109}), 4: (1, {'@': 109}), 23: (1, {'@': 109}), 24: (1, {'@': 109}), 25: (1, {'@': 109}), 26: (1, {'@': 109}), 27: (1, {'@': 109}), 29: (1, {'@': 109}), 30: (1, {'@': 109}), 3: (1, {'@': 109}), 31: (1, {'@': 109})}, 104: {15: (1, {'@': 110}), 13: (1, {'@': 110}), 2: (1, {'@': 110}), 18: (1, {'@': 110}), 19: (1, {'@': 110}), 20: (1, {'@': 110}), 4: (1, {'@': 110}), 23: (1, {'@': 110}), 24: (1, {'@': 110}), 25: (1, {'@': 110}), 26: (1, {'@': 110}), 27: (1, {'@': 110}), 29: (1, {'@': 110}), 30: (1, {'@': 110}), 3: (1, {'@': 110}), 31: (1, {'@': 110})}, 105: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 166), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 6: (0, 167), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 106: {15: (1, {'@': 111}), 13: (1, {'@': 111}), 2: (1, {'@': 111}), 18: (1, {'@': 111}), 19: (1, {'@': 111}), 20: (1, {'@': 111}), 4: (1, {'@': 111}), 23: (1, {'@': 111}), 24: (1, {'@': 111}), 25: (1, {'@': 111}), 26: (1, {'@': 111}), 27: (1, {'@': 111}), 29: (1, {'@': 111}), 30: (1, {'@': 111}), 3: (1, {'@': 111}), 31: (1, {'@': 111})}, 107: {15: (1, {'@': 112}), 13: (1, {'@': 112}), 2: (1, {'@': 112}), 18: (1, {'@': 112}), 19: (1, {'@': 112}), 20: (1, {'@': 112}), 4: (1, {'@': 112}), 23: (1, {'@': 112}), 24: (1, {'@': 112}), 25: (1, {'@': 112}), 26: (1, {'@': 112}), 27: (1, {'@': 112}), 29: (1, {'@': 112}), 30: (1, {'@': 112}), 3: (1, {'@': 112}), 31: (1, {'@': 112})}, 108: {15: (1, {'@': 113}), 13: (1, {'@': 113}), 2: (1, {'@': 113}), 18: (1, {'@': 113}), 19: (1, {'@': 113}), 20: (1, {'@': 113}), 4: (1, {'@': 113}), 23: (1, {'@': 113}), 24: (1, {'@': 113}), 25: (1, {'@': 113}), 26: (1, {'@': 113}), 27: (1, {'@': 113}), 29: (1, {'@': 113}), 30: (1, {'@': 113}), 3: (1, {'@': 113}), 31: (1, {'@': 113})}, 109: {0: (1, {'@': 114}), 3: (1, {'@': 114}), 2: (1, {'@': 114}), 1: (1, {'@': 114}), 13: (1, {'@': 114}), 4: (1, {'@': 114})}, 110: {15: (1, {'@': 115}), 13: (1, {'@': 115}), 2: (1, {'@': 115}), 18: (1, {'@': 115}), 19: (1, {'@': 115}), 20: (1, {'@': 115}), 4: (1, {'@': 115}), 23: (1, {'@': 115}), 24: (1, {'@': 115}), 25: (1, {'@': 115}), 26: (1, {'@': 115}), 27: (1, {'@': 115}), 29: (1, {'@': 115}), 30: (1, {'@': 115}), 3: (1, {'@': 115}), 31: (1, {'@': 115})}, 111: {16: (1, {'@': 116}), 2: (1, {'@': 116}), 34: (1, {'@': 116}), 35: (1, {'@': 116}), 36: (1, {'@': 116}), 20: (1, {'@': 116}), 37: (1, {'@': 116}), 4: (1, {'@': 116}), 38: (1, {'@': 116}), 22: (1, {'@': 116}), 25: (1, {'@': 116}), 39: (1, {'@': 116}), 40: (1, {'@': 116}), 30: (1, {'@': 116}), 41: (1, {'@': 116}), 13: (1, {'@': 116}), 42: (1, {'@': 116}), 29: (1, {'@': 116}), 32: (1, {'@': 116}), 15: (1, {'@': 116}), 44: (1, {'@': 116}), 45: (1, {'@': 116}), 46: (1, {'@': 116}), 47: (1, {'@': 116}), 18: (1, {'@': 116}), 19: (1, {'@': 116}), 0: (1, {'@': 116}), 23: (1, {'@': 116}), 24: (1, {'@': 116}), 48: (1, {'@': 116}), 49: (1, {'@': 116}), 26: (1, {'@': 116}), 50: (1, {'@': 116}), 27: (1, {'@': 116}), 52: (1, {'@': 116}), 28: (1, {'@': 116}), 3: (1, {'@': 116}), 31: (1, {'@': 116})}, 112: {15: (1, {'@': 117}), 13: (1, {'@': 117}), 2: (1, {'@': 117}), 18: (1, {'@': 117}), 19: (1, {'@': 117}), 20: (1, {'@': 117}), 4: (1, {'@': 117}), 23: (1, {'@': 117}), 24: (1, {'@': 117}), 25: (1, {'@': 117}), 26: (1, {'@': 117}), 27: (1, {'@': 117}), 29: (1, {'@': 117}), 30: (1, {'@': 117}), 3: (1, {'@': 117}), 31: (1, {'@': 117})}, 113: {15: (1, {'@': 118}), 13: (1, {'@': 118}), 2: (1, {'@': 118}), 18: (1, {'@': 118}), 19: (1, {'@': 118}), 20: (1, {'@': 118}), 4: (1, {'@': 118}), 23: (1, {'@': 118}), 24: (1, {'@': 118}), 25: (1, {'@': 118}), 26: (1, {'@': 118}), 27: (1, {'@': 118}), 29: (1, {'@': 118}), 30: (1, {'@': 118}), 3: (1, {'@': 118}), 31: (1, {'@': 118})}, 114: {15: (1, {'@': 119}), 13: (1, {'@': 119}), 2: (1, {'@': 119}), 18: (1, {'@': 119}), 19: (1, {'@': 119}), 20: (1, {'@': 119}), 4: (1, {'@': 119}), 23: (1, {'@': 119}), 24: (1, {'@': 119}), 25: (1, {'@': 119}), 26: (1, {'@': 119}), 27: (1, {'@': 119}), 29: (1, {'@': 119}), 30: (1, {'@': 119}), 3: (1, {'@': 119}), 31: (1, {'@': 119})}, 115: {15: (1, {'@': 120}), 13: (1, {'@': 120}), 2: (1, {'@': 120}), 18: (1, {'@': 120}), 19: (1, {'@': 120}), 20: (1, {'@': 120}), 4: (1, {'@': 120}), 23: (1, {'@': 120}), 24: (1, {'@': 120}), 25: (1, {'@': 120}), 26: (1, {'@': 120}), 27: (1, {'@': 120}), 29: (1, {'@': 120}), 30: (1, {'@': 120}), 3: (1, {'@': 120}), 31: (1, {'@': 120})}, 116: {15: (1, {'@': 121}), 13: (1, {'@': 121}), 2: (1, {'@': 121}), 18: (1, {'@': 121}), 19: (1, {'@': 121}), 20: (1, {'@': 121}), 4: (1, {'@': 121}), 23: (1, {'@': 121}), 24: (1, {'@': 121}), 25: (1, {'@': 121}), 26: (1, {'@': 121}), 27: (1, {'@': 121}), 29: (1, {'@': 121}), 30: (1, {'@': 121}), 3: (1, {'@': 121}), 31: (1, {'@': 121})}, 117: {15: (1, {'@': 122}), 13: (1, {'@': 122}), 2: (1, {'@': 122}), 18: (1, {'@': 122}), 19: (1, {'@': 122}), 20: (1, {'@': 122}), 4: (1, {'@': 122}), 23: (1, {'@': 122}), 24: (1, {'@': 122}), 25: (1, {'@': 122}), 26: (1, {'@': 122}), 27: (1, {'@': 122}), 29: (1, {'@': 122}), 30: (1, {'@': 122}), 3: (1, {'@': 122}), 31: (1, {'@': 122})}, 118: {15: (1, {'@': 123}), 13: (1, {'@': 123}), 2: (1, {'@': 123}), 18: (1, {'@': 123}), 19: (1, {'@': 123}), 20: (1, {'@': 123}), 4: (1, {'@': 123}), 23: (1, {'@': 123}), 24: (1, {'@': 123}), 25: (1, {'@': 123}), 26: (1, {'@': 123}), 27: (1, {'@': 123}), 29: (1, {'@': 123}), 30: (1, {'@': 123}), 3: (1, {'@': 123}), 31: (1, {'@': 123})}, 119: {16: (1, {'@': 124}), 2: (1, {'@': 124}), 34: (1, {'@': 124}), 35: (1, {'@': 124}), 36: (1, {'@': 124}), 20: (1, {'@': 124}), 37: (1, {'@': 124}), 4: (1, {'@': 124}), 38: (1, {'@': 124}), 22: (1, {'@': 124}), 25: (1, {'@': 124}), 39: (1, {'@': 124}), 40: (1, {'@': 124}), 30: (1, {'@': 124}), 41: (1, {'@': 124}), 13: (1, {'@': 124}), 42: (1, {'@': 124}), 29: (1, {'@': 124}), 32: (1, {'@': 124}), 15: (1, {'@': 124}), 44: (1, {'@': 124}), 45: (1, {'@': 124}), 46: (1, {'@': 124}), 47: (1, {'@': 124}), 18: (0, 83), 19: (1, {'@': 124}), 0: (1, {'@': 124}), 23: (1, {'@': 124}), 24: (1, {'@': 124}), 48: (1, {'@': 124}), 49: (1, {'@': 124}), 26: (1, {'@': 124}), 50: (1, {'@': 124}), 27: (1, {'@': 124}), 52: (1, {'@': 124}), 28: (1, {'@': 124}), 3: (1, {'@': 124}), 31: (1, {'@': 124}), 77: (0, 82), 51: (0, 84), 78: (0, 85), 43: (0, 86), 79: (0, 87), 80: (0, 88)}, 120: {0: (1, {'@': 125}), 3: (1, {'@': 125}), 2: (1, {'@': 125}), 1: (1, {'@': 125}), 13: (1, {'@': 125}), 4: (1, {'@': 125})}, 121: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 66: (0, 168), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 122: {0: (0, 169)}, 123: {3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 6: (0, 170)}, 124: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 0: (0, 171), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 125: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 66: (0, 172), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 6: (0, 173), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 126: {42: (0, 103), 83: (0, 105), 28: (0, 174), 6: (0, 175), 85: (0, 176), 48: (0, 106), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 49: (0, 117), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 4: (0, 7), 32: (0, 177), 38: (0, 107), 3: (0, 10), 2: (0, 11), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 127: {16: (1, {'@': 126}), 2: (1, {'@': 126}), 34: (1, {'@': 126}), 35: (1, {'@': 126}), 36: (1, {'@': 126}), 20: (1, {'@': 126}), 37: (1, {'@': 126}), 4: (1, {'@': 126}), 38: (1, {'@': 126}), 22: (1, {'@': 126}), 25: (1, {'@': 126}), 39: (1, {'@': 126}), 40: (1, {'@': 126}), 30: (1, {'@': 126}), 41: (1, {'@': 126}), 13: (1, {'@': 126}), 42: (1, {'@': 126}), 43: (1, {'@': 126}), 29: (1, {'@': 126}), 15: (1, {'@': 126}), 32: (1, {'@': 126}), 44: (1, {'@': 126}), 45: (1, {'@': 126}), 46: (1, {'@': 126}), 47: (1, {'@': 126}), 18: (1, {'@': 126}), 19: (1, {'@': 126}), 0: (1, {'@': 126}), 23: (1, {'@': 126}), 24: (1, {'@': 126}), 48: (1, {'@': 126}), 49: (1, {'@': 126}), 26: (1, {'@': 126}), 50: (1, {'@': 126}), 51: (1, {'@': 126}), 27: (1, {'@': 126}), 52: (1, {'@': 126}), 28: (1, {'@': 126}), 3: (1, {'@': 126}), 31: (1, {'@': 126})}, 128: {16: (1, {'@': 127}), 2: (1, {'@': 127}), 34: (1, {'@': 127}), 35: (1, {'@': 127}), 36: (1, {'@': 127}), 20: (1, {'@': 127}), 37: (1, {'@': 127}), 4: (1, {'@': 127}), 38: (1, {'@': 127}), 22: (1, {'@': 127}), 25: (1, {'@': 127}), 39: (1, {'@': 127}), 40: (1, {'@': 127}), 30: (1, {'@': 127}), 41: (1, {'@': 127}), 13: (1, {'@': 127}), 42: (1, {'@': 127}), 43: (1, {'@': 127}), 29: (1, {'@': 127}), 15: (1, {'@': 127}), 32: (1, {'@': 127}), 44: (1, {'@': 127}), 45: (1, {'@': 127}), 46: (1, {'@': 127}), 47: (1, {'@': 127}), 18: (1, {'@': 127}), 19: (1, {'@': 127}), 0: (1, {'@': 127}), 23: (1, {'@': 127}), 24: (1, {'@': 127}), 48: (1, {'@': 127}), 49: (1, {'@': 127}), 26: (1, {'@': 127}), 50: (1, {'@': 127}), 51: (1, {'@': 127}), 27: (1, {'@': 127}), 52: (1, {'@': 127}), 28: (1, {'@': 127}), 3: (1, {'@': 127}), 31: (1, {'@': 127})}, 129: {28: (0, 178), 3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 179), 4: (0, 7), 32: (0, 180)}, 130: {6: (0, 181), 28: (0, 182), 7: (0, 3), 4: (0, 7), 32: (0, 183), 3: (0, 10), 2: (0, 11)}, 131: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 32: (0, 184), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 185), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 6: (0, 186), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 132: {28: (0, 187), 6: (0, 188), 7: (0, 3), 21: (0, 189), 4: (0, 7), 3: (0, 10), 2: (0, 11)}, 133: {9: (0, 190), 13: (0, 12)}, 134: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 66: (0, 191), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 135: {42: (0, 103), 6: (0, 192), 83: (0, 105), 48: (0, 106), 16: (0, 193), 32: (0, 194), 15: (0, 110), 84: (0, 111), 90: (0, 195), 52: (0, 112), 50: (0, 113), 49: (0, 117), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 4: (0, 7), 38: (0, 107), 3: (0, 10), 2: (0, 11), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 136: {35: (0, 102), 42: (0, 103), 7: (0, 3), 44: (0, 104), 83: (0, 105), 4: (0, 7), 48: (0, 106), 38: (0, 107), 32: (0, 196), 3: (0, 10), 2: (0, 11), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 6: (0, 197), 46: (0, 118)}, 137: {32: (0, 198)}, 138: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 66: (0, 199), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 139: {16: (1, {'@': 128}), 2: (1, {'@': 128}), 34: (1, {'@': 128}), 35: (1, {'@': 128}), 36: (1, {'@': 128}), 20: (1, {'@': 128}), 37: (1, {'@': 128}), 4: (1, {'@': 128}), 38: (1, {'@': 128}), 22: (1, {'@': 128}), 25: (1, {'@': 128}), 39: (1, {'@': 128}), 40: (1, {'@': 128}), 30: (1, {'@': 128}), 41: (1, {'@': 128}), 13: (1, {'@': 128}), 42: (1, {'@': 128}), 43: (1, {'@': 128}), 29: (1, {'@': 128}), 15: (1, {'@': 128}), 32: (1, {'@': 128}), 44: (1, {'@': 128}), 45: (1, {'@': 128}), 46: (1, {'@': 128}), 47: (1, {'@': 128}), 18: (1, {'@': 128}), 19: (1, {'@': 128}), 0: (1, {'@': 128}), 23: (1, {'@': 128}), 24: (1, {'@': 128}), 48: (1, {'@': 128}), 49: (1, {'@': 128}), 26: (1, {'@': 128}), 50: (1, {'@': 128}), 51: (1, {'@': 128}), 27: (1, {'@': 128}), 52: (1, {'@': 128}), 28: (1, {'@': 128}), 3: (1, {'@': 128}), 31: (1, {'@': 128})}, 140: {16: (1, {'@': 129}), 52: (1, {'@': 129}), 2: (1, {'@': 129}), 34: (1, {'@': 129}), 35: (1, {'@': 129}), 20: (1, {'@': 129}), 37: (1, {'@': 129}), 4: (1, {'@': 129}), 38: (1, {'@': 129}), 22: (1, {'@': 129}), 25: (1, {'@': 129}), 39: (1, {'@': 129}), 40: (1, {'@': 129}), 30: (1, {'@': 129}), 41: (1, {'@': 129}), 13: (1, {'@': 129}), 42: (1, {'@': 129}), 43: (0, 86), 29: (1, {'@': 129}), 15: (1, {'@': 129}), 32: (1, {'@': 129}), 44: (1, {'@': 129}), 45: (1, {'@': 129}), 46: (1, {'@': 129}), 47: (1, {'@': 129}), 18: (1, {'@': 129}), 19: (1, {'@': 129}), 0: (1, {'@': 129}), 23: (1, {'@': 129}), 24: (1, {'@': 129}), 48: (1, {'@': 129}), 49: (1, {'@': 129}), 26: (1, {'@': 129}), 50: (1, {'@': 129}), 51: (1, {'@': 129}), 27: (1, {'@': 129}), 36: (1, {'@': 129}), 28: (1, {'@': 129}), 3: (1, {'@': 129}), 31: (1, {'@': 129}), 79: (0, 200)}, 141: {16: (1, {'@': 130}), 52: (1, {'@': 130}), 2: (1, {'@': 130}), 34: (1, {'@': 130}), 35: (1, {'@': 130}), 20: (1, {'@': 130}), 37: (1, {'@': 130}), 4: (1, {'@': 130}), 38: (1, {'@': 130}), 22: (1, {'@': 130}), 25: (1, {'@': 130}), 39: (1, {'@': 130}), 40: (1, {'@': 130}), 30: (1, {'@': 130}), 41: (1, {'@': 130}), 13: (1, {'@': 130}), 42: (1, {'@': 130}), 43: (1, {'@': 130}), 29: (1, {'@': 130}), 15: (1, {'@': 130}), 32: (1, {'@': 130}), 44: (1, {'@': 130}), 45: (1, {'@': 130}), 46: (1, {'@': 130}), 47: (1, {'@': 130}), 18: (1, {'@': 130}), 19: (1, {'@': 130}), 0: (1, {'@': 130}), 23: (1, {'@': 130}), 24: (1, {'@': 130}), 48: (1, {'@': 130}), 49: (1, {'@': 130}), 26: (1, {'@': 130}), 50: (1, {'@': 130}), 51: (1, {'@': 130}), 27: (1, {'@': 130}), 36: (1, {'@': 130}), 28: (1, {'@': 130}), 3: (1, {'@': 130}), 31: (1, {'@': 130})}, 142: {47: (0, 201), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 84: (0, 111), 15: (0, 110), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 143: {7: (0, 3), 88: (0, 202), 4: (0, 7), 28: (0, 152), 87: (0, 203), 0: (0, 204), 3: (0, 10), 6: (0, 154), 2: (0, 11)}, 144: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 66: (0, 205), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 145: {15: (1, {'@': 115}), 13: (0, 12), 2: (1, {'@': 115}), 18: (0, 35), 19: (0, 39), 20: (0, 60), 4: (1, {'@': 115}), 23: (1, {'@': 115}), 24: (0, 59), 25: (0, 58), 26: (0, 57), 27: (0, 52), 29: (0, 55), 30: (0, 41), 3: (1, {'@': 115}), 31: (0, 70), 53: (0, 36), 54: (0, 101), 55: (0, 38), 56: (0, 40), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 68: (0, 61), 69: (0, 62), 70: (0, 63), 71: (0, 65), 72: (0, 66), 74: (0, 68), 75: (0, 69)}, 146: {0: (1, {'@': 131}), 2: (1, {'@': 131}), 28: (1, {'@': 131}), 3: (1, {'@': 131}), 4: (1, {'@': 131}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 147: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 206), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 148: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 6: (0, 207), 58: (0, 44), 66: (0, 208), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 22: (0, 161), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 89: (0, 162), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 31: (0, 70), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 149: {0: (1, {'@': 132}), 2: (1, {'@': 132}), 28: (1, {'@': 132}), 3: (1, {'@': 132}), 4: (1, {'@': 132}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 150: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 66: (0, 209), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 151: {3: (0, 10), 7: (0, 3), 6: (0, 154), 2: (0, 11), 88: (0, 210), 4: (0, 7), 28: (0, 152), 0: (0, 211)}, 152: {15: (1, {'@': 133}), 23: (1, {'@': 133}), 24: (1, {'@': 133}), 25: (1, {'@': 133}), 26: (1, {'@': 133}), 27: (1, {'@': 133}), 18: (1, {'@': 133}), 19: (1, {'@': 133}), 20: (1, {'@': 133}), 30: (1, {'@': 133}), 29: (1, {'@': 133}), 13: (1, {'@': 133}), 31: (1, {'@': 133}), 0: (1, {'@': 133}), 3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 6: (0, 212)}, 153: {18: (0, 35), 81: (0, 213), 0: (0, 214), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 66: (0, 91), 9: (0, 92), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 154: {15: (1, {'@': 134}), 23: (1, {'@': 134}), 24: (1, {'@': 134}), 25: (1, {'@': 134}), 26: (1, {'@': 134}), 27: (1, {'@': 134}), 18: (1, {'@': 134}), 19: (1, {'@': 134}), 20: (1, {'@': 134}), 30: (1, {'@': 134}), 29: (1, {'@': 134}), 13: (1, {'@': 134}), 31: (1, {'@': 134}), 0: (1, {'@': 134})}, 155: {16: (1, {'@': 135}), 2: (1, {'@': 135}), 34: (1, {'@': 135}), 35: (1, {'@': 135}), 36: (1, {'@': 135}), 20: (1, {'@': 135}), 37: (1, {'@': 135}), 4: (1, {'@': 135}), 38: (1, {'@': 135}), 22: (1, {'@': 135}), 25: (1, {'@': 135}), 39: (1, {'@': 135}), 40: (1, {'@': 135}), 30: (1, {'@': 135}), 41: (1, {'@': 135}), 13: (1, {'@': 135}), 42: (1, {'@': 135}), 43: (1, {'@': 135}), 29: (1, {'@': 135}), 15: (1, {'@': 135}), 32: (1, {'@': 135}), 44: (1, {'@': 135}), 45: (1, {'@': 135}), 46: (1, {'@': 135}), 47: (1, {'@': 135}), 18: (1, {'@': 135}), 19: (1, {'@': 135}), 0: (1, {'@': 135}), 23: (1, {'@': 135}), 24: (1, {'@': 135}), 48: (1, {'@': 135}), 49: (1, {'@': 135}), 26: (1, {'@': 135}), 50: (1, {'@': 135}), 51: (1, {'@': 135}), 27: (1, {'@': 135}), 52: (1, {'@': 135}), 28: (1, {'@': 135}), 3: (1, {'@': 135}), 31: (1, {'@': 135})}, 156: {35: (0, 102), 42: (0, 103), 7: (0, 3), 6: (0, 215), 44: (0, 104), 83: (0, 105), 4: (0, 7), 22: (0, 216), 48: (0, 106), 38: (0, 107), 3: (0, 10), 2: (0, 11), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 157: {22: (0, 217)}, 158: {16: (1, {'@': 136}), 52: (1, {'@': 136}), 2: (1, {'@': 136}), 34: (1, {'@': 136}), 35: (1, {'@': 136}), 20: (1, {'@': 136}), 37: (1, {'@': 136}), 4: (1, {'@': 136}), 38: (1, {'@': 136}), 22: (1, {'@': 136}), 25: (1, {'@': 136}), 39: (1, {'@': 136}), 40: (1, {'@': 136}), 30: (1, {'@': 136}), 41: (1, {'@': 136}), 13: (1, {'@': 136}), 42: (1, {'@': 136}), 43: (1, {'@': 136}), 29: (1, {'@': 136}), 15: (1, {'@': 136}), 32: (1, {'@': 136}), 44: (1, {'@': 136}), 45: (1, {'@': 136}), 46: (1, {'@': 136}), 47: (1, {'@': 136}), 18: (1, {'@': 136}), 19: (1, {'@': 136}), 0: (1, {'@': 136}), 23: (1, {'@': 136}), 24: (1, {'@': 136}), 48: (1, {'@': 136}), 49: (1, {'@': 136}), 26: (1, {'@': 136}), 50: (1, {'@': 136}), 51: (1, {'@': 136}), 27: (1, {'@': 136}), 36: (1, {'@': 136}), 28: (1, {'@': 136}), 3: (1, {'@': 136}), 31: (1, {'@': 136})}, 159: {4: (0, 7), 3: (0, 10), 22: (1, {'@': 137}), 2: (0, 11), 36: (0, 218), 42: (0, 103), 28: (0, 219), 83: (0, 105), 85: (0, 220), 48: (0, 106), 6: (0, 221), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 49: (0, 117), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 38: (0, 107), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 160: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 66: (0, 159), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 89: (0, 222), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 6: (0, 223), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 31: (0, 70), 72: (0, 66), 22: (0, 224), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 161: {16: (1, {'@': 138}), 2: (1, {'@': 138}), 34: (1, {'@': 138}), 35: (1, {'@': 138}), 36: (1, {'@': 138}), 20: (1, {'@': 138}), 37: (1, {'@': 138}), 4: (1, {'@': 138}), 38: (1, {'@': 138}), 22: (1, {'@': 138}), 25: (1, {'@': 138}), 39: (1, {'@': 138}), 40: (1, {'@': 138}), 30: (1, {'@': 138}), 41: (1, {'@': 138}), 13: (1, {'@': 138}), 42: (1, {'@': 138}), 43: (1, {'@': 138}), 29: (1, {'@': 138}), 15: (1, {'@': 138}), 32: (1, {'@': 138}), 44: (1, {'@': 138}), 45: (1, {'@': 138}), 46: (1, {'@': 138}), 47: (1, {'@': 138}), 18: (1, {'@': 138}), 19: (1, {'@': 138}), 0: (1, {'@': 138}), 23: (1, {'@': 138}), 24: (1, {'@': 138}), 48: (1, {'@': 138}), 49: (1, {'@': 138}), 26: (1, {'@': 138}), 50: (1, {'@': 138}), 51: (1, {'@': 138}), 27: (1, {'@': 138}), 52: (1, {'@': 138}), 28: (1, {'@': 138}), 3: (1, {'@': 138}), 31: (1, {'@': 138})}, 162: {3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 225), 4: (0, 7), 22: (0, 226)}, 163: {16: (1, {'@': 139}), 2: (1, {'@': 139}), 34: (1, {'@': 139}), 35: (1, {'@': 139}), 36: (1, {'@': 139}), 20: (0, 99), 37: (1, {'@': 139}), 4: (1, {'@': 139}), 38: (1, {'@': 139}), 22: (1, {'@': 139}), 25: (1, {'@': 139}), 39: (1, {'@': 139}), 40: (1, {'@': 139}), 30: (1, {'@': 139}), 41: (1, {'@': 139}), 13: (1, {'@': 139}), 42: (1, {'@': 139}), 43: (1, {'@': 139}), 29: (1, {'@': 139}), 15: (1, {'@': 139}), 32: (1, {'@': 139}), 44: (1, {'@': 139}), 45: (1, {'@': 139}), 46: (1, {'@': 139}), 47: (1, {'@': 139}), 18: (1, {'@': 139}), 19: (1, {'@': 139}), 0: (1, {'@': 139}), 23: (1, {'@': 139}), 24: (1, {'@': 139}), 48: (1, {'@': 139}), 49: (1, {'@': 139}), 26: (1, {'@': 139}), 50: (1, {'@': 139}), 51: (1, {'@': 139}), 27: (1, {'@': 139}), 52: (1, {'@': 139}), 28: (1, {'@': 139}), 3: (1, {'@': 139}), 31: (1, {'@': 139})}, 164: {16: (1, {'@': 140}), 2: (1, {'@': 140}), 34: (1, {'@': 140}), 35: (1, {'@': 140}), 36: (1, {'@': 140}), 20: (0, 99), 37: (1, {'@': 140}), 4: (1, {'@': 140}), 38: (1, {'@': 140}), 22: (1, {'@': 140}), 25: (1, {'@': 140}), 39: (1, {'@': 140}), 40: (1, {'@': 140}), 30: (1, {'@': 140}), 41: (1, {'@': 140}), 13: (1, {'@': 140}), 42: (1, {'@': 140}), 43: (1, {'@': 140}), 29: (1, {'@': 140}), 15: (1, {'@': 140}), 32: (1, {'@': 140}), 44: (1, {'@': 140}), 45: (1, {'@': 140}), 46: (1, {'@': 140}), 47: (1, {'@': 140}), 18: (1, {'@': 140}), 19: (1, {'@': 140}), 0: (1, {'@': 140}), 23: (1, {'@': 140}), 24: (1, {'@': 140}), 48: (1, {'@': 140}), 49: (1, {'@': 140}), 26: (1, {'@': 140}), 50: (1, {'@': 140}), 51: (1, {'@': 140}), 27: (1, {'@': 140}), 52: (1, {'@': 140}), 28: (1, {'@': 140}), 3: (1, {'@': 140}), 31: (1, {'@': 140}), 82: (0, 227)}, 165: {35: (0, 102), 42: (0, 103), 44: (0, 104), 39: (0, 228), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 166: {16: (1, {'@': 141}), 52: (0, 112), 2: (1, {'@': 141}), 34: (1, {'@': 141}), 35: (0, 102), 20: (1, {'@': 141}), 37: (0, 108), 4: (1, {'@': 141}), 38: (0, 107), 22: (1, {'@': 141}), 25: (1, {'@': 141}), 39: (1, {'@': 141}), 40: (0, 115), 30: (1, {'@': 141}), 41: (0, 116), 13: (1, {'@': 141}), 42: (0, 103), 29: (1, {'@': 141}), 32: (1, {'@': 141}), 15: (0, 110), 44: (0, 104), 45: (0, 114), 46: (0, 118), 47: (1, {'@': 141}), 18: (1, {'@': 141}), 19: (1, {'@': 141}), 0: (1, {'@': 141}), 23: (1, {'@': 141}), 24: (1, {'@': 141}), 48: (0, 106), 49: (0, 117), 26: (1, {'@': 141}), 50: (0, 113), 27: (1, {'@': 141}), 36: (1, {'@': 141}), 28: (1, {'@': 141}), 3: (1, {'@': 141}), 31: (1, {'@': 141}), 83: (0, 105), 84: (0, 111)}, 167: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 229), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 168: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 0: (0, 230), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 169: {3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 231), 4: (0, 7)}, 170: {0: (1, {'@': 142}), 3: (1, {'@': 142}), 2: (1, {'@': 142}), 1: (1, {'@': 142}), 13: (1, {'@': 142}), 4: (1, {'@': 142})}, 171: {3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 6: (0, 232)}, 172: {42: (0, 103), 83: (0, 105), 32: (0, 233), 6: (0, 234), 48: (0, 106), 90: (0, 235), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 49: (0, 117), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 4: (0, 7), 38: (0, 107), 3: (0, 10), 16: (0, 193), 2: (0, 11), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 173: {18: (0, 35), 53: (0, 36), 54: (0, 37), 66: (0, 236), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 174: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 32: (0, 237), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 6: (0, 238), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 185), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 175: {28: (0, 239), 3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 240), 4: (0, 7), 32: (0, 241)}, 176: {6: (0, 242), 28: (0, 243), 7: (0, 3), 4: (0, 7), 32: (0, 244), 3: (0, 10), 2: (0, 11)}, 177: {16: (1, {'@': 143}), 2: (1, {'@': 143}), 34: (1, {'@': 143}), 35: (1, {'@': 143}), 36: (1, {'@': 143}), 20: (1, {'@': 143}), 37: (1, {'@': 143}), 4: (1, {'@': 143}), 38: (1, {'@': 143}), 22: (1, {'@': 143}), 25: (1, {'@': 143}), 39: (1, {'@': 143}), 40: (1, {'@': 143}), 30: (1, {'@': 143}), 41: (1, {'@': 143}), 13: (1, {'@': 143}), 42: (1, {'@': 143}), 43: (1, {'@': 143}), 29: (1, {'@': 143}), 15: (1, {'@': 143}), 32: (1, {'@': 143}), 44: (1, {'@': 143}), 45: (1, {'@': 143}), 46: (1, {'@': 143}), 47: (1, {'@': 143}), 18: (1, {'@': 143}), 19: (1, {'@': 143}), 0: (1, {'@': 143}), 23: (1, {'@': 143}), 24: (1, {'@': 143}), 48: (1, {'@': 143}), 49: (1, {'@': 143}), 26: (1, {'@': 143}), 50: (1, {'@': 143}), 51: (1, {'@': 143}), 27: (1, {'@': 143}), 52: (1, {'@': 143}), 28: (1, {'@': 143}), 3: (1, {'@': 143}), 31: (1, {'@': 143})}, 178: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 6: (0, 245), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 66: (0, 246), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 32: (0, 247), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 179: {32: (0, 248)}, 180: {16: (1, {'@': 144}), 2: (1, {'@': 144}), 34: (1, {'@': 144}), 35: (1, {'@': 144}), 36: (1, {'@': 144}), 20: (1, {'@': 144}), 37: (1, {'@': 144}), 4: (1, {'@': 144}), 38: (1, {'@': 144}), 22: (1, {'@': 144}), 25: (1, {'@': 144}), 39: (1, {'@': 144}), 40: (1, {'@': 144}), 30: (1, {'@': 144}), 41: (1, {'@': 144}), 13: (1, {'@': 144}), 42: (1, {'@': 144}), 43: (1, {'@': 144}), 29: (1, {'@': 144}), 15: (1, {'@': 144}), 32: (1, {'@': 144}), 44: (1, {'@': 144}), 45: (1, {'@': 144}), 46: (1, {'@': 144}), 47: (1, {'@': 144}), 18: (1, {'@': 144}), 19: (1, {'@': 144}), 0: (1, {'@': 144}), 23: (1, {'@': 144}), 24: (1, {'@': 144}), 48: (1, {'@': 144}), 49: (1, {'@': 144}), 26: (1, {'@': 144}), 50: (1, {'@': 144}), 51: (1, {'@': 144}), 27: (1, {'@': 144}), 52: (1, {'@': 144}), 28: (1, {'@': 144}), 3: (1, {'@': 144}), 31: (1, {'@': 144})}, 181: {3: (0, 10), 7: (0, 3), 28: (0, 249), 2: (0, 11), 32: (0, 250), 4: (0, 7), 6: (0, 251)}, 182: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 6: (0, 252), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 253), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 32: (0, 254), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 183: {16: (1, {'@': 145}), 2: (1, {'@': 145}), 34: (1, {'@': 145}), 35: (1, {'@': 145}), 36: (1, {'@': 145}), 20: (1, {'@': 145}), 37: (1, {'@': 145}), 4: (1, {'@': 145}), 38: (1, {'@': 145}), 22: (1, {'@': 145}), 25: (1, {'@': 145}), 39: (1, {'@': 145}), 40: (1, {'@': 145}), 30: (1, {'@': 145}), 41: (1, {'@': 145}), 13: (1, {'@': 145}), 42: (1, {'@': 145}), 43: (1, {'@': 145}), 29: (1, {'@': 145}), 15: (1, {'@': 145}), 32: (1, {'@': 145}), 44: (1, {'@': 145}), 45: (1, {'@': 145}), 46: (1, {'@': 145}), 47: (1, {'@': 145}), 18: (1, {'@': 145}), 19: (1, {'@': 145}), 0: (1, {'@': 145}), 23: (1, {'@': 145}), 24: (1, {'@': 145}), 48: (1, {'@': 145}), 49: (1, {'@': 145}), 26: (1, {'@': 145}), 50: (1, {'@': 145}), 51: (1, {'@': 145}), 27: (1, {'@': 145}), 52: (1, {'@': 145}), 28: (1, {'@': 145}), 3: (1, {'@': 145}), 31: (1, {'@': 145})}, 184: {16: (1, {'@': 146}), 2: (1, {'@': 146}), 34: (1, {'@': 146}), 35: (1, {'@': 146}), 36: (1, {'@': 146}), 20: (1, {'@': 146}), 37: (1, {'@': 146}), 4: (1, {'@': 146}), 38: (1, {'@': 146}), 22: (1, {'@': 146}), 25: (1, {'@': 146}), 39: (1, {'@': 146}), 40: (1, {'@': 146}), 30: (1, {'@': 146}), 41: (1, {'@': 146}), 13: (1, {'@': 146}), 42: (1, {'@': 146}), 43: (1, {'@': 146}), 29: (1, {'@': 146}), 15: (1, {'@': 146}), 32: (1, {'@': 146}), 44: (1, {'@': 146}), 45: (1, {'@': 146}), 46: (1, {'@': 146}), 47: (1, {'@': 146}), 18: (1, {'@': 146}), 19: (1, {'@': 146}), 0: (1, {'@': 146}), 23: (1, {'@': 146}), 24: (1, {'@': 146}), 48: (1, {'@': 146}), 49: (1, {'@': 146}), 26: (1, {'@': 146}), 50: (1, {'@': 146}), 51: (1, {'@': 146}), 27: (1, {'@': 146}), 52: (1, {'@': 146}), 28: (1, {'@': 146}), 3: (1, {'@': 146}), 31: (1, {'@': 146})}, 185: {2: (1, {'@': 147}), 36: (1, {'@': 147}), 28: (1, {'@': 147}), 3: (1, {'@': 147}), 22: (1, {'@': 147}), 4: (1, {'@': 147}), 32: (1, {'@': 147}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 186: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 66: (0, 255), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 32: (0, 256), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 187: {9: (0, 257), 13: (0, 12)}, 188: {21: (0, 258)}, 189: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 66: (0, 259), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 6: (0, 260), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 190: {7: (0, 3), 28: (0, 261), 21: (0, 262), 6: (0, 263), 4: (0, 7), 3: (0, 10), 2: (0, 11)}, 191: {42: (0, 103), 90: (0, 264), 83: (0, 105), 6: (0, 265), 48: (0, 106), 15: (0, 110), 84: (0, 111), 52: (0, 112), 32: (0, 266), 50: (0, 113), 49: (0, 117), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 4: (0, 7), 38: (0, 107), 3: (0, 10), 16: (0, 193), 2: (0, 11), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 192: {3: (0, 10), 7: (0, 3), 16: (0, 193), 2: (0, 11), 90: (0, 267), 32: (0, 268), 4: (0, 7), 6: (0, 269)}, 193: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 6: (0, 270), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 271), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 194: {16: (1, {'@': 148}), 2: (1, {'@': 148}), 34: (1, {'@': 148}), 35: (1, {'@': 148}), 36: (1, {'@': 148}), 20: (1, {'@': 148}), 37: (1, {'@': 148}), 4: (1, {'@': 148}), 38: (1, {'@': 148}), 22: (1, {'@': 148}), 25: (1, {'@': 148}), 39: (1, {'@': 148}), 40: (1, {'@': 148}), 30: (1, {'@': 148}), 41: (1, {'@': 148}), 13: (1, {'@': 148}), 42: (1, {'@': 148}), 43: (1, {'@': 148}), 29: (1, {'@': 148}), 15: (1, {'@': 148}), 32: (1, {'@': 148}), 44: (1, {'@': 148}), 45: (1, {'@': 148}), 46: (1, {'@': 148}), 47: (1, {'@': 148}), 18: (1, {'@': 148}), 19: (1, {'@': 148}), 0: (1, {'@': 148}), 23: (1, {'@': 148}), 24: (1, {'@': 148}), 48: (1, {'@': 148}), 49: (1, {'@': 148}), 26: (1, {'@': 148}), 50: (1, {'@': 148}), 51: (1, {'@': 148}), 27: (1, {'@': 148}), 52: (1, {'@': 148}), 28: (1, {'@': 148}), 3: (1, {'@': 148}), 31: (1, {'@': 148})}, 195: {6: (0, 272), 3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 32: (0, 273)}, 196: {16: (1, {'@': 149}), 52: (1, {'@': 149}), 2: (1, {'@': 149}), 34: (1, {'@': 149}), 35: (1, {'@': 149}), 20: (1, {'@': 149}), 37: (1, {'@': 149}), 4: (1, {'@': 149}), 38: (1, {'@': 149}), 22: (1, {'@': 149}), 25: (1, {'@': 149}), 39: (1, {'@': 149}), 40: (1, {'@': 149}), 30: (1, {'@': 149}), 41: (1, {'@': 149}), 13: (1, {'@': 149}), 42: (1, {'@': 149}), 43: (1, {'@': 149}), 29: (1, {'@': 149}), 15: (1, {'@': 149}), 32: (1, {'@': 149}), 44: (1, {'@': 149}), 45: (1, {'@': 149}), 46: (1, {'@': 149}), 47: (1, {'@': 149}), 18: (1, {'@': 149}), 19: (1, {'@': 149}), 0: (1, {'@': 149}), 23: (1, {'@': 149}), 24: (1, {'@': 149}), 48: (1, {'@': 149}), 49: (1, {'@': 149}), 26: (1, {'@': 149}), 50: (1, {'@': 149}), 51: (1, {'@': 149}), 27: (1, {'@': 149}), 36: (1, {'@': 149}), 28: (1, {'@': 149}), 3: (1, {'@': 149}), 31: (1, {'@': 149})}, 197: {32: (0, 274)}, 198: {16: (1, {'@': 150}), 52: (1, {'@': 150}), 2: (1, {'@': 150}), 34: (1, {'@': 150}), 35: (1, {'@': 150}), 20: (1, {'@': 150}), 37: (1, {'@': 150}), 4: (1, {'@': 150}), 38: (1, {'@': 150}), 22: (1, {'@': 150}), 25: (1, {'@': 150}), 39: (1, {'@': 150}), 40: (1, {'@': 150}), 30: (1, {'@': 150}), 41: (1, {'@': 150}), 13: (1, {'@': 150}), 42: (1, {'@': 150}), 43: (0, 86), 29: (1, {'@': 150}), 15: (1, {'@': 150}), 32: (1, {'@': 150}), 44: (1, {'@': 150}), 45: (1, {'@': 150}), 46: (1, {'@': 150}), 47: (1, {'@': 150}), 18: (0, 275), 19: (1, {'@': 150}), 0: (1, {'@': 150}), 23: (1, {'@': 150}), 24: (1, {'@': 150}), 48: (1, {'@': 150}), 49: (1, {'@': 150}), 26: (1, {'@': 150}), 50: (1, {'@': 150}), 51: (1, {'@': 150}), 27: (1, {'@': 150}), 36: (1, {'@': 150}), 28: (1, {'@': 150}), 3: (1, {'@': 150}), 31: (1, {'@': 150}), 78: (0, 276), 79: (0, 277), 91: (0, 278)}, 199: {35: (0, 102), 42: (0, 103), 7: (0, 3), 44: (0, 104), 6: (0, 279), 83: (0, 105), 4: (0, 7), 32: (0, 280), 48: (0, 106), 38: (0, 107), 3: (0, 10), 2: (0, 11), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 200: {16: (1, {'@': 151}), 2: (1, {'@': 151}), 34: (1, {'@': 151}), 35: (1, {'@': 151}), 36: (1, {'@': 151}), 20: (1, {'@': 151}), 37: (1, {'@': 151}), 4: (1, {'@': 151}), 38: (1, {'@': 151}), 22: (1, {'@': 151}), 25: (1, {'@': 151}), 39: (1, {'@': 151}), 40: (1, {'@': 151}), 30: (1, {'@': 151}), 41: (1, {'@': 151}), 13: (1, {'@': 151}), 42: (1, {'@': 151}), 43: (1, {'@': 151}), 29: (1, {'@': 151}), 15: (1, {'@': 151}), 32: (1, {'@': 151}), 44: (1, {'@': 151}), 45: (1, {'@': 151}), 46: (1, {'@': 151}), 47: (1, {'@': 151}), 18: (1, {'@': 151}), 19: (1, {'@': 151}), 0: (1, {'@': 151}), 23: (1, {'@': 151}), 24: (1, {'@': 151}), 48: (1, {'@': 151}), 49: (1, {'@': 151}), 26: (1, {'@': 151}), 50: (1, {'@': 151}), 51: (1, {'@': 151}), 27: (1, {'@': 151}), 52: (1, {'@': 151}), 28: (1, {'@': 151}), 3: (1, {'@': 151}), 31: (1, {'@': 151})}, 201: {18: (0, 35), 66: (0, 281), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 202: {18: (0, 35), 81: (0, 213), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 66: (0, 91), 9: (0, 92), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 0: (0, 282), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 203: {3: (0, 10), 7: (0, 3), 6: (0, 154), 2: (0, 11), 88: (0, 283), 0: (0, 284), 4: (0, 7), 28: (0, 152)}, 204: {16: (1, {'@': 152}), 2: (1, {'@': 152}), 34: (1, {'@': 152}), 35: (1, {'@': 152}), 36: (1, {'@': 152}), 20: (1, {'@': 152}), 37: (1, {'@': 152}), 4: (1, {'@': 152}), 38: (1, {'@': 152}), 22: (1, {'@': 152}), 25: (1, {'@': 152}), 39: (1, {'@': 152}), 40: (1, {'@': 152}), 30: (1, {'@': 152}), 41: (1, {'@': 152}), 13: (1, {'@': 152}), 42: (1, {'@': 152}), 43: (1, {'@': 152}), 29: (1, {'@': 152}), 15: (1, {'@': 152}), 32: (1, {'@': 152}), 44: (1, {'@': 152}), 45: (1, {'@': 152}), 46: (1, {'@': 152}), 47: (1, {'@': 152}), 18: (1, {'@': 152}), 19: (1, {'@': 152}), 0: (1, {'@': 152}), 23: (1, {'@': 152}), 24: (1, {'@': 152}), 48: (1, {'@': 152}), 49: (1, {'@': 152}), 26: (1, {'@': 152}), 50: (1, {'@': 152}), 51: (1, {'@': 152}), 27: (1, {'@': 152}), 52: (1, {'@': 152}), 28: (1, {'@': 152}), 3: (1, {'@': 152}), 31: (1, {'@': 152})}, 205: {35: (0, 102), 42: (0, 103), 44: (0, 104), 47: (0, 285), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 206: {0: (1, {'@': 153}), 2: (1, {'@': 153}), 28: (1, {'@': 153}), 3: (1, {'@': 153}), 4: (1, {'@': 153}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 207: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 66: (0, 286), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 89: (0, 222), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 6: (0, 223), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 31: (0, 70), 72: (0, 66), 22: (0, 224), 73: (0, 67), 74: (0, 68), 75: (0, 69)}, 208: {4: (0, 7), 3: (0, 10), 22: (0, 158), 2: (0, 11), 36: (0, 218), 42: (0, 103), 28: (0, 219), 83: (0, 105), 85: (0, 220), 48: (0, 106), 6: (0, 287), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 49: (0, 117), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 38: (0, 107), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 209: {0: (1, {'@': 154}), 2: (1, {'@': 154}), 28: (1, {'@': 154}), 3: (1, {'@': 154}), 4: (1, {'@': 154}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 210: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 66: (0, 91), 0: (0, 288), 9: (0, 92), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 81: (0, 289), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 211: {16: (1, {'@': 155}), 2: (1, {'@': 155}), 34: (1, {'@': 155}), 35: (1, {'@': 155}), 36: (1, {'@': 155}), 20: (1, {'@': 155}), 37: (1, {'@': 155}), 4: (1, {'@': 155}), 38: (1, {'@': 155}), 22: (1, {'@': 155}), 25: (1, {'@': 155}), 39: (1, {'@': 155}), 40: (1, {'@': 155}), 30: (1, {'@': 155}), 41: (1, {'@': 155}), 13: (1, {'@': 155}), 42: (1, {'@': 155}), 43: (1, {'@': 155}), 29: (1, {'@': 155}), 15: (1, {'@': 155}), 32: (1, {'@': 155}), 44: (1, {'@': 155}), 45: (1, {'@': 155}), 46: (1, {'@': 155}), 47: (1, {'@': 155}), 18: (1, {'@': 155}), 19: (1, {'@': 155}), 0: (1, {'@': 155}), 23: (1, {'@': 155}), 24: (1, {'@': 155}), 48: (1, {'@': 155}), 49: (1, {'@': 155}), 26: (1, {'@': 155}), 50: (1, {'@': 155}), 51: (1, {'@': 155}), 27: (1, {'@': 155}), 52: (1, {'@': 155}), 28: (1, {'@': 155}), 3: (1, {'@': 155}), 31: (1, {'@': 155})}, 212: {15: (1, {'@': 156}), 23: (1, {'@': 156}), 24: (1, {'@': 156}), 25: (1, {'@': 156}), 26: (1, {'@': 156}), 27: (1, {'@': 156}), 18: (1, {'@': 156}), 19: (1, {'@': 156}), 20: (1, {'@': 156}), 30: (1, {'@': 156}), 29: (1, {'@': 156}), 13: (1, {'@': 156}), 31: (1, {'@': 156}), 0: (1, {'@': 156})}, 213: {0: (1, {'@': 157}), 2: (1, {'@': 157}), 28: (1, {'@': 157}), 3: (1, {'@': 157}), 4: (1, {'@': 157})}, 214: {16: (1, {'@': 158}), 2: (1, {'@': 158}), 34: (1, {'@': 158}), 35: (1, {'@': 158}), 36: (1, {'@': 158}), 20: (1, {'@': 158}), 37: (1, {'@': 158}), 4: (1, {'@': 158}), 38: (1, {'@': 158}), 22: (1, {'@': 158}), 25: (1, {'@': 158}), 39: (1, {'@': 158}), 40: (1, {'@': 158}), 30: (1, {'@': 158}), 41: (1, {'@': 158}), 13: (1, {'@': 158}), 42: (1, {'@': 158}), 43: (1, {'@': 158}), 29: (1, {'@': 158}), 15: (1, {'@': 158}), 32: (1, {'@': 158}), 44: (1, {'@': 158}), 45: (1, {'@': 158}), 46: (1, {'@': 158}), 47: (1, {'@': 158}), 18: (1, {'@': 158}), 19: (1, {'@': 158}), 0: (1, {'@': 158}), 23: (1, {'@': 158}), 24: (1, {'@': 158}), 48: (1, {'@': 158}), 49: (1, {'@': 158}), 26: (1, {'@': 158}), 50: (1, {'@': 158}), 51: (1, {'@': 158}), 27: (1, {'@': 158}), 52: (1, {'@': 158}), 28: (1, {'@': 158}), 3: (1, {'@': 158}), 31: (1, {'@': 158})}, 215: {22: (0, 290)}, 216: {16: (1, {'@': 159}), 52: (1, {'@': 159}), 2: (1, {'@': 159}), 34: (1, {'@': 159}), 35: (1, {'@': 159}), 20: (1, {'@': 159}), 37: (1, {'@': 159}), 4: (1, {'@': 159}), 38: (1, {'@': 159}), 22: (1, {'@': 159}), 25: (1, {'@': 159}), 39: (1, {'@': 159}), 40: (1, {'@': 159}), 30: (1, {'@': 159}), 41: (1, {'@': 159}), 13: (1, {'@': 159}), 42: (1, {'@': 159}), 43: (1, {'@': 159}), 29: (1, {'@': 159}), 15: (1, {'@': 159}), 32: (1, {'@': 159}), 44: (1, {'@': 159}), 45: (1, {'@': 159}), 46: (1, {'@': 159}), 47: (1, {'@': 159}), 18: (1, {'@': 159}), 19: (1, {'@': 159}), 0: (1, {'@': 159}), 23: (1, {'@': 159}), 24: (1, {'@': 159}), 48: (1, {'@': 159}), 49: (1, {'@': 159}), 26: (1, {'@': 159}), 50: (1, {'@': 159}), 51: (1, {'@': 159}), 27: (1, {'@': 159}), 36: (1, {'@': 159}), 28: (1, {'@': 159}), 3: (1, {'@': 159}), 31: (1, {'@': 159})}, 217: {16: (1, {'@': 160}), 52: (1, {'@': 160}), 2: (1, {'@': 160}), 34: (1, {'@': 160}), 35: (1, {'@': 160}), 20: (1, {'@': 160}), 37: (1, {'@': 160}), 4: (1, {'@': 160}), 38: (1, {'@': 160}), 22: (1, {'@': 160}), 25: (1, {'@': 160}), 39: (1, {'@': 160}), 40: (1, {'@': 160}), 30: (1, {'@': 160}), 41: (1, {'@': 160}), 13: (1, {'@': 160}), 42: (1, {'@': 160}), 43: (1, {'@': 160}), 29: (1, {'@': 160}), 15: (1, {'@': 160}), 32: (1, {'@': 160}), 44: (1, {'@': 160}), 45: (1, {'@': 160}), 46: (1, {'@': 160}), 47: (1, {'@': 160}), 18: (1, {'@': 160}), 19: (1, {'@': 160}), 0: (1, {'@': 160}), 23: (1, {'@': 160}), 24: (1, {'@': 160}), 48: (1, {'@': 160}), 49: (1, {'@': 160}), 26: (1, {'@': 160}), 50: (1, {'@': 160}), 51: (1, {'@': 160}), 27: (1, {'@': 160}), 36: (1, {'@': 160}), 28: (1, {'@': 160}), 3: (1, {'@': 160}), 31: (1, {'@': 160})}, 218: {4: (0, 7), 3: (0, 10), 22: (1, {'@': 161}), 2: (0, 11), 7: (0, 3), 6: (0, 291)}, 219: {4: (0, 7), 3: (0, 10), 22: (1, {'@': 162}), 2: (0, 11), 18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 6: (0, 292), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 185), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 220: {4: (0, 7), 3: (0, 10), 22: (1, {'@': 163}), 2: (0, 11), 28: (0, 293), 7: (0, 3), 36: (0, 294), 6: (0, 295)}, 221: {4: (1, {'@': 164}), 3: (1, {'@': 164}), 22: (1, {'@': 164}), 2: (1, {'@': 164}), 28: (0, 296)}, 222: {3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 297), 22: (0, 298), 4: (0, 7)}, 223: {22: (0, 299)}, 224: {16: (1, {'@': 165}), 2: (1, {'@': 165}), 34: (1, {'@': 165}), 35: (1, {'@': 165}), 36: (1, {'@': 165}), 20: (1, {'@': 165}), 37: (1, {'@': 165}), 4: (1, {'@': 165}), 38: (1, {'@': 165}), 22: (1, {'@': 165}), 25: (1, {'@': 165}), 39: (1, {'@': 165}), 40: (1, {'@': 165}), 30: (1, {'@': 165}), 41: (1, {'@': 165}), 13: (1, {'@': 165}), 42: (1, {'@': 165}), 43: (1, {'@': 165}), 29: (1, {'@': 165}), 15: (1, {'@': 165}), 32: (1, {'@': 165}), 44: (1, {'@': 165}), 45: (1, {'@': 165}), 46: (1, {'@': 165}), 47: (1, {'@': 165}), 18: (1, {'@': 165}), 19: (1, {'@': 165}), 0: (1, {'@': 165}), 23: (1, {'@': 165}), 24: (1, {'@': 165}), 48: (1, {'@': 165}), 49: (1, {'@': 165}), 26: (1, {'@': 165}), 50: (1, {'@': 165}), 51: (1, {'@': 165}), 27: (1, {'@': 165}), 52: (1, {'@': 165}), 28: (1, {'@': 165}), 3: (1, {'@': 165}), 31: (1, {'@': 165})}, 225: {22: (0, 300)}, 226: {16: (1, {'@': 166}), 2: (1, {'@': 166}), 34: (1, {'@': 166}), 35: (1, {'@': 166}), 36: (1, {'@': 166}), 20: (1, {'@': 166}), 37: (1, {'@': 166}), 4: (1, {'@': 166}), 38: (1, {'@': 166}), 22: (1, {'@': 166}), 25: (1, {'@': 166}), 39: (1, {'@': 166}), 40: (1, {'@': 166}), 30: (1, {'@': 166}), 41: (1, {'@': 166}), 13: (1, {'@': 166}), 42: (1, {'@': 166}), 43: (1, {'@': 166}), 29: (1, {'@': 166}), 15: (1, {'@': 166}), 32: (1, {'@': 166}), 44: (1, {'@': 166}), 45: (1, {'@': 166}), 46: (1, {'@': 166}), 47: (1, {'@': 166}), 18: (1, {'@': 166}), 19: (1, {'@': 166}), 0: (1, {'@': 166}), 23: (1, {'@': 166}), 24: (1, {'@': 166}), 48: (1, {'@': 166}), 49: (1, {'@': 166}), 26: (1, {'@': 166}), 50: (1, {'@': 166}), 51: (1, {'@': 166}), 27: (1, {'@': 166}), 52: (1, {'@': 166}), 28: (1, {'@': 166}), 3: (1, {'@': 166}), 31: (1, {'@': 166})}, 227: {59: (0, 301), 20: (0, 60)}, 228: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 66: (0, 302), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 229: {16: (1, {'@': 167}), 52: (0, 112), 2: (1, {'@': 167}), 34: (1, {'@': 167}), 35: (0, 102), 20: (1, {'@': 167}), 37: (0, 108), 4: (1, {'@': 167}), 38: (0, 107), 22: (1, {'@': 167}), 25: (1, {'@': 167}), 39: (1, {'@': 167}), 40: (0, 115), 30: (1, {'@': 167}), 41: (0, 116), 13: (1, {'@': 167}), 42: (0, 103), 29: (1, {'@': 167}), 32: (1, {'@': 167}), 15: (0, 110), 44: (0, 104), 45: (0, 114), 46: (0, 118), 47: (1, {'@': 167}), 18: (1, {'@': 167}), 19: (1, {'@': 167}), 0: (1, {'@': 167}), 23: (1, {'@': 167}), 24: (1, {'@': 167}), 48: (0, 106), 49: (0, 117), 26: (1, {'@': 167}), 50: (0, 113), 27: (1, {'@': 167}), 36: (1, {'@': 167}), 28: (1, {'@': 167}), 3: (1, {'@': 167}), 31: (1, {'@': 167}), 83: (0, 105), 84: (0, 111)}, 230: {3: (0, 10), 7: (0, 3), 6: (0, 303), 2: (0, 11), 4: (0, 7)}, 231: {0: (1, {'@': 168}), 3: (1, {'@': 168}), 2: (1, {'@': 168}), 1: (1, {'@': 168}), 13: (1, {'@': 168}), 4: (1, {'@': 168})}, 232: {0: (1, {'@': 169}), 3: (1, {'@': 169}), 2: (1, {'@': 169}), 1: (1, {'@': 169}), 13: (1, {'@': 169}), 4: (1, {'@': 169})}, 233: {16: (1, {'@': 170}), 2: (1, {'@': 170}), 34: (1, {'@': 170}), 35: (1, {'@': 170}), 36: (1, {'@': 170}), 20: (1, {'@': 170}), 37: (1, {'@': 170}), 4: (1, {'@': 170}), 38: (1, {'@': 170}), 22: (1, {'@': 170}), 25: (1, {'@': 170}), 39: (1, {'@': 170}), 40: (1, {'@': 170}), 30: (1, {'@': 170}), 41: (1, {'@': 170}), 13: (1, {'@': 170}), 42: (1, {'@': 170}), 43: (1, {'@': 170}), 29: (1, {'@': 170}), 15: (1, {'@': 170}), 32: (1, {'@': 170}), 44: (1, {'@': 170}), 45: (1, {'@': 170}), 46: (1, {'@': 170}), 47: (1, {'@': 170}), 18: (1, {'@': 170}), 19: (1, {'@': 170}), 0: (1, {'@': 170}), 23: (1, {'@': 170}), 24: (1, {'@': 170}), 48: (1, {'@': 170}), 49: (1, {'@': 170}), 26: (1, {'@': 170}), 50: (1, {'@': 170}), 51: (1, {'@': 170}), 27: (1, {'@': 170}), 52: (1, {'@': 170}), 28: (1, {'@': 170}), 3: (1, {'@': 170}), 31: (1, {'@': 170})}, 234: {6: (0, 304), 3: (0, 10), 7: (0, 3), 16: (0, 193), 32: (0, 305), 90: (0, 306), 2: (0, 11), 4: (0, 7)}, 235: {6: (0, 307), 3: (0, 10), 7: (0, 3), 2: (0, 11), 32: (0, 308), 4: (0, 7)}, 236: {32: (0, 309), 6: (0, 310), 42: (0, 103), 83: (0, 105), 48: (0, 106), 90: (0, 311), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 49: (0, 117), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 4: (0, 7), 38: (0, 107), 3: (0, 10), 16: (0, 193), 2: (0, 11), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 237: {16: (1, {'@': 171}), 2: (1, {'@': 171}), 34: (1, {'@': 171}), 35: (1, {'@': 171}), 36: (1, {'@': 171}), 20: (1, {'@': 171}), 37: (1, {'@': 171}), 4: (1, {'@': 171}), 38: (1, {'@': 171}), 22: (1, {'@': 171}), 25: (1, {'@': 171}), 39: (1, {'@': 171}), 40: (1, {'@': 171}), 30: (1, {'@': 171}), 41: (1, {'@': 171}), 13: (1, {'@': 171}), 42: (1, {'@': 171}), 43: (1, {'@': 171}), 29: (1, {'@': 171}), 15: (1, {'@': 171}), 32: (1, {'@': 171}), 44: (1, {'@': 171}), 45: (1, {'@': 171}), 46: (1, {'@': 171}), 47: (1, {'@': 171}), 18: (1, {'@': 171}), 19: (1, {'@': 171}), 0: (1, {'@': 171}), 23: (1, {'@': 171}), 24: (1, {'@': 171}), 48: (1, {'@': 171}), 49: (1, {'@': 171}), 26: (1, {'@': 171}), 50: (1, {'@': 171}), 51: (1, {'@': 171}), 27: (1, {'@': 171}), 52: (1, {'@': 171}), 28: (1, {'@': 171}), 3: (1, {'@': 171}), 31: (1, {'@': 171})}, 238: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 66: (0, 255), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 32: (0, 312), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 239: {18: (0, 35), 32: (0, 313), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 66: (0, 246), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 6: (0, 314), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 240: {32: (0, 315)}, 241: {16: (1, {'@': 172}), 2: (1, {'@': 172}), 34: (1, {'@': 172}), 35: (1, {'@': 172}), 36: (1, {'@': 172}), 20: (1, {'@': 172}), 37: (1, {'@': 172}), 4: (1, {'@': 172}), 38: (1, {'@': 172}), 22: (1, {'@': 172}), 25: (1, {'@': 172}), 39: (1, {'@': 172}), 40: (1, {'@': 172}), 30: (1, {'@': 172}), 41: (1, {'@': 172}), 13: (1, {'@': 172}), 42: (1, {'@': 172}), 43: (1, {'@': 172}), 29: (1, {'@': 172}), 15: (1, {'@': 172}), 32: (1, {'@': 172}), 44: (1, {'@': 172}), 45: (1, {'@': 172}), 46: (1, {'@': 172}), 47: (1, {'@': 172}), 18: (1, {'@': 172}), 19: (1, {'@': 172}), 0: (1, {'@': 172}), 23: (1, {'@': 172}), 24: (1, {'@': 172}), 48: (1, {'@': 172}), 49: (1, {'@': 172}), 26: (1, {'@': 172}), 50: (1, {'@': 172}), 51: (1, {'@': 172}), 27: (1, {'@': 172}), 52: (1, {'@': 172}), 28: (1, {'@': 172}), 3: (1, {'@': 172}), 31: (1, {'@': 172})}, 242: {28: (0, 316), 3: (0, 10), 7: (0, 3), 32: (0, 317), 2: (0, 11), 4: (0, 7), 6: (0, 318)}, 243: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 32: (0, 319), 6: (0, 320), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 253), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 244: {16: (1, {'@': 173}), 2: (1, {'@': 173}), 34: (1, {'@': 173}), 35: (1, {'@': 173}), 36: (1, {'@': 173}), 20: (1, {'@': 173}), 37: (1, {'@': 173}), 4: (1, {'@': 173}), 38: (1, {'@': 173}), 22: (1, {'@': 173}), 25: (1, {'@': 173}), 39: (1, {'@': 173}), 40: (1, {'@': 173}), 30: (1, {'@': 173}), 41: (1, {'@': 173}), 13: (1, {'@': 173}), 42: (1, {'@': 173}), 43: (1, {'@': 173}), 29: (1, {'@': 173}), 15: (1, {'@': 173}), 32: (1, {'@': 173}), 44: (1, {'@': 173}), 45: (1, {'@': 173}), 46: (1, {'@': 173}), 47: (1, {'@': 173}), 18: (1, {'@': 173}), 19: (1, {'@': 173}), 0: (1, {'@': 173}), 23: (1, {'@': 173}), 24: (1, {'@': 173}), 48: (1, {'@': 173}), 49: (1, {'@': 173}), 26: (1, {'@': 173}), 50: (1, {'@': 173}), 51: (1, {'@': 173}), 27: (1, {'@': 173}), 52: (1, {'@': 173}), 28: (1, {'@': 173}), 3: (1, {'@': 173}), 31: (1, {'@': 173})}, 245: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 32: (0, 321), 65: (0, 53), 66: (0, 322), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 246: {2: (1, {'@': 174}), 36: (1, {'@': 174}), 28: (1, {'@': 174}), 3: (1, {'@': 174}), 22: (1, {'@': 174}), 4: (1, {'@': 174}), 32: (1, {'@': 174}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 247: {16: (1, {'@': 175}), 2: (1, {'@': 175}), 34: (1, {'@': 175}), 35: (1, {'@': 175}), 36: (1, {'@': 175}), 20: (1, {'@': 175}), 37: (1, {'@': 175}), 4: (1, {'@': 175}), 38: (1, {'@': 175}), 22: (1, {'@': 175}), 25: (1, {'@': 175}), 39: (1, {'@': 175}), 40: (1, {'@': 175}), 30: (1, {'@': 175}), 41: (1, {'@': 175}), 13: (1, {'@': 175}), 42: (1, {'@': 175}), 43: (1, {'@': 175}), 29: (1, {'@': 175}), 15: (1, {'@': 175}), 32: (1, {'@': 175}), 44: (1, {'@': 175}), 45: (1, {'@': 175}), 46: (1, {'@': 175}), 47: (1, {'@': 175}), 18: (1, {'@': 175}), 19: (1, {'@': 175}), 0: (1, {'@': 175}), 23: (1, {'@': 175}), 24: (1, {'@': 175}), 48: (1, {'@': 175}), 49: (1, {'@': 175}), 26: (1, {'@': 175}), 50: (1, {'@': 175}), 51: (1, {'@': 175}), 27: (1, {'@': 175}), 52: (1, {'@': 175}), 28: (1, {'@': 175}), 3: (1, {'@': 175}), 31: (1, {'@': 175})}, 248: {16: (1, {'@': 176}), 2: (1, {'@': 176}), 34: (1, {'@': 176}), 35: (1, {'@': 176}), 36: (1, {'@': 176}), 20: (1, {'@': 176}), 37: (1, {'@': 176}), 4: (1, {'@': 176}), 38: (1, {'@': 176}), 22: (1, {'@': 176}), 25: (1, {'@': 176}), 39: (1, {'@': 176}), 40: (1, {'@': 176}), 30: (1, {'@': 176}), 41: (1, {'@': 176}), 13: (1, {'@': 176}), 42: (1, {'@': 176}), 43: (1, {'@': 176}), 29: (1, {'@': 176}), 15: (1, {'@': 176}), 32: (1, {'@': 176}), 44: (1, {'@': 176}), 45: (1, {'@': 176}), 46: (1, {'@': 176}), 47: (1, {'@': 176}), 18: (1, {'@': 176}), 19: (1, {'@': 176}), 0: (1, {'@': 176}), 23: (1, {'@': 176}), 24: (1, {'@': 176}), 48: (1, {'@': 176}), 49: (1, {'@': 176}), 26: (1, {'@': 176}), 50: (1, {'@': 176}), 51: (1, {'@': 176}), 27: (1, {'@': 176}), 52: (1, {'@': 176}), 28: (1, {'@': 176}), 3: (1, {'@': 176}), 31: (1, {'@': 176})}, 249: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 32: (0, 323), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 6: (0, 324), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 325), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 250: {16: (1, {'@': 177}), 2: (1, {'@': 177}), 34: (1, {'@': 177}), 35: (1, {'@': 177}), 36: (1, {'@': 177}), 20: (1, {'@': 177}), 37: (1, {'@': 177}), 4: (1, {'@': 177}), 38: (1, {'@': 177}), 22: (1, {'@': 177}), 25: (1, {'@': 177}), 39: (1, {'@': 177}), 40: (1, {'@': 177}), 30: (1, {'@': 177}), 41: (1, {'@': 177}), 13: (1, {'@': 177}), 42: (1, {'@': 177}), 43: (1, {'@': 177}), 29: (1, {'@': 177}), 15: (1, {'@': 177}), 32: (1, {'@': 177}), 44: (1, {'@': 177}), 45: (1, {'@': 177}), 46: (1, {'@': 177}), 47: (1, {'@': 177}), 18: (1, {'@': 177}), 19: (1, {'@': 177}), 0: (1, {'@': 177}), 23: (1, {'@': 177}), 24: (1, {'@': 177}), 48: (1, {'@': 177}), 49: (1, {'@': 177}), 26: (1, {'@': 177}), 50: (1, {'@': 177}), 51: (1, {'@': 177}), 27: (1, {'@': 177}), 52: (1, {'@': 177}), 28: (1, {'@': 177}), 3: (1, {'@': 177}), 31: (1, {'@': 177})}, 251: {32: (0, 326)}, 252: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 327), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 32: (0, 328), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 253: {2: (1, {'@': 178}), 36: (1, {'@': 178}), 28: (1, {'@': 178}), 3: (1, {'@': 178}), 22: (1, {'@': 178}), 4: (1, {'@': 178}), 32: (1, {'@': 178}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 254: {16: (1, {'@': 179}), 2: (1, {'@': 179}), 34: (1, {'@': 179}), 35: (1, {'@': 179}), 36: (1, {'@': 179}), 20: (1, {'@': 179}), 37: (1, {'@': 179}), 4: (1, {'@': 179}), 38: (1, {'@': 179}), 22: (1, {'@': 179}), 25: (1, {'@': 179}), 39: (1, {'@': 179}), 40: (1, {'@': 179}), 30: (1, {'@': 179}), 41: (1, {'@': 179}), 13: (1, {'@': 179}), 42: (1, {'@': 179}), 43: (1, {'@': 179}), 29: (1, {'@': 179}), 15: (1, {'@': 179}), 32: (1, {'@': 179}), 44: (1, {'@': 179}), 45: (1, {'@': 179}), 46: (1, {'@': 179}), 47: (1, {'@': 179}), 18: (1, {'@': 179}), 19: (1, {'@': 179}), 0: (1, {'@': 179}), 23: (1, {'@': 179}), 24: (1, {'@': 179}), 48: (1, {'@': 179}), 49: (1, {'@': 179}), 26: (1, {'@': 179}), 50: (1, {'@': 179}), 51: (1, {'@': 179}), 27: (1, {'@': 179}), 52: (1, {'@': 179}), 28: (1, {'@': 179}), 3: (1, {'@': 179}), 31: (1, {'@': 179})}, 255: {2: (1, {'@': 180}), 36: (1, {'@': 180}), 28: (1, {'@': 180}), 3: (1, {'@': 180}), 22: (1, {'@': 180}), 4: (1, {'@': 180}), 32: (1, {'@': 180}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 256: {16: (1, {'@': 181}), 2: (1, {'@': 181}), 34: (1, {'@': 181}), 35: (1, {'@': 181}), 36: (1, {'@': 181}), 20: (1, {'@': 181}), 37: (1, {'@': 181}), 4: (1, {'@': 181}), 38: (1, {'@': 181}), 22: (1, {'@': 181}), 25: (1, {'@': 181}), 39: (1, {'@': 181}), 40: (1, {'@': 181}), 30: (1, {'@': 181}), 41: (1, {'@': 181}), 13: (1, {'@': 181}), 42: (1, {'@': 181}), 43: (1, {'@': 181}), 29: (1, {'@': 181}), 15: (1, {'@': 181}), 32: (1, {'@': 181}), 44: (1, {'@': 181}), 45: (1, {'@': 181}), 46: (1, {'@': 181}), 47: (1, {'@': 181}), 18: (1, {'@': 181}), 19: (1, {'@': 181}), 0: (1, {'@': 181}), 23: (1, {'@': 181}), 24: (1, {'@': 181}), 48: (1, {'@': 181}), 49: (1, {'@': 181}), 26: (1, {'@': 181}), 50: (1, {'@': 181}), 51: (1, {'@': 181}), 27: (1, {'@': 181}), 52: (1, {'@': 181}), 28: (1, {'@': 181}), 3: (1, {'@': 181}), 31: (1, {'@': 181})}, 257: {6: (0, 329), 21: (0, 330), 7: (0, 3), 4: (0, 7), 3: (0, 10), 2: (0, 11)}, 258: {18: (0, 35), 66: (0, 331), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 6: (0, 332), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 259: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 39: (0, 333), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 260: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 66: (0, 334), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 261: {9: (0, 335), 13: (0, 12)}, 262: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 336), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 6: (0, 337), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 263: {21: (0, 338)}, 264: {6: (0, 339), 3: (0, 10), 7: (0, 3), 2: (0, 11), 32: (0, 340), 4: (0, 7)}, 265: {16: (0, 193), 6: (0, 341), 3: (0, 10), 7: (0, 3), 32: (0, 342), 90: (0, 343), 2: (0, 11), 4: (0, 7)}, 266: {16: (1, {'@': 182}), 2: (1, {'@': 182}), 34: (1, {'@': 182}), 35: (1, {'@': 182}), 36: (1, {'@': 182}), 20: (1, {'@': 182}), 37: (1, {'@': 182}), 4: (1, {'@': 182}), 38: (1, {'@': 182}), 22: (1, {'@': 182}), 25: (1, {'@': 182}), 39: (1, {'@': 182}), 40: (1, {'@': 182}), 30: (1, {'@': 182}), 41: (1, {'@': 182}), 13: (1, {'@': 182}), 42: (1, {'@': 182}), 43: (1, {'@': 182}), 29: (1, {'@': 182}), 15: (1, {'@': 182}), 32: (1, {'@': 182}), 44: (1, {'@': 182}), 45: (1, {'@': 182}), 46: (1, {'@': 182}), 47: (1, {'@': 182}), 18: (1, {'@': 182}), 19: (1, {'@': 182}), 0: (1, {'@': 182}), 23: (1, {'@': 182}), 24: (1, {'@': 182}), 48: (1, {'@': 182}), 49: (1, {'@': 182}), 26: (1, {'@': 182}), 50: (1, {'@': 182}), 51: (1, {'@': 182}), 27: (1, {'@': 182}), 52: (1, {'@': 182}), 28: (1, {'@': 182}), 3: (1, {'@': 182}), 31: (1, {'@': 182})}, 267: {6: (0, 344), 3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 32: (0, 345)}, 268: {16: (1, {'@': 183}), 2: (1, {'@': 183}), 34: (1, {'@': 183}), 35: (1, {'@': 183}), 36: (1, {'@': 183}), 20: (1, {'@': 183}), 37: (1, {'@': 183}), 4: (1, {'@': 183}), 38: (1, {'@': 183}), 22: (1, {'@': 183}), 25: (1, {'@': 183}), 39: (1, {'@': 183}), 40: (1, {'@': 183}), 30: (1, {'@': 183}), 41: (1, {'@': 183}), 13: (1, {'@': 183}), 42: (1, {'@': 183}), 43: (1, {'@': 183}), 29: (1, {'@': 183}), 15: (1, {'@': 183}), 32: (1, {'@': 183}), 44: (1, {'@': 183}), 45: (1, {'@': 183}), 46: (1, {'@': 183}), 47: (1, {'@': 183}), 18: (1, {'@': 183}), 19: (1, {'@': 183}), 0: (1, {'@': 183}), 23: (1, {'@': 183}), 24: (1, {'@': 183}), 48: (1, {'@': 183}), 49: (1, {'@': 183}), 26: (1, {'@': 183}), 50: (1, {'@': 183}), 51: (1, {'@': 183}), 27: (1, {'@': 183}), 52: (1, {'@': 183}), 28: (1, {'@': 183}), 3: (1, {'@': 183}), 31: (1, {'@': 183})}, 269: {32: (0, 346)}, 270: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 66: (0, 347), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 271: {0: (1, {'@': 184}), 2: (1, {'@': 184}), 3: (1, {'@': 184}), 4: (1, {'@': 184}), 32: (1, {'@': 184}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 272: {32: (0, 348)}, 273: {16: (1, {'@': 185}), 2: (1, {'@': 185}), 34: (1, {'@': 185}), 35: (1, {'@': 185}), 36: (1, {'@': 185}), 20: (1, {'@': 185}), 37: (1, {'@': 185}), 4: (1, {'@': 185}), 38: (1, {'@': 185}), 22: (1, {'@': 185}), 25: (1, {'@': 185}), 39: (1, {'@': 185}), 40: (1, {'@': 185}), 30: (1, {'@': 185}), 41: (1, {'@': 185}), 13: (1, {'@': 185}), 42: (1, {'@': 185}), 43: (1, {'@': 185}), 29: (1, {'@': 185}), 15: (1, {'@': 185}), 32: (1, {'@': 185}), 44: (1, {'@': 185}), 45: (1, {'@': 185}), 46: (1, {'@': 185}), 47: (1, {'@': 185}), 18: (1, {'@': 185}), 19: (1, {'@': 185}), 0: (1, {'@': 185}), 23: (1, {'@': 185}), 24: (1, {'@': 185}), 48: (1, {'@': 185}), 49: (1, {'@': 185}), 26: (1, {'@': 185}), 50: (1, {'@': 185}), 51: (1, {'@': 185}), 27: (1, {'@': 185}), 52: (1, {'@': 185}), 28: (1, {'@': 185}), 3: (1, {'@': 185}), 31: (1, {'@': 185})}, 274: {16: (1, {'@': 186}), 52: (1, {'@': 186}), 2: (1, {'@': 186}), 34: (1, {'@': 186}), 35: (1, {'@': 186}), 20: (1, {'@': 186}), 37: (1, {'@': 186}), 4: (1, {'@': 186}), 38: (1, {'@': 186}), 22: (1, {'@': 186}), 25: (1, {'@': 186}), 39: (1, {'@': 186}), 40: (1, {'@': 186}), 30: (1, {'@': 186}), 41: (1, {'@': 186}), 13: (1, {'@': 186}), 42: (1, {'@': 186}), 43: (1, {'@': 186}), 29: (1, {'@': 186}), 15: (1, {'@': 186}), 32: (1, {'@': 186}), 44: (1, {'@': 186}), 45: (1, {'@': 186}), 46: (1, {'@': 186}), 47: (1, {'@': 186}), 18: (1, {'@': 186}), 19: (1, {'@': 186}), 0: (1, {'@': 186}), 23: (1, {'@': 186}), 24: (1, {'@': 186}), 48: (1, {'@': 186}), 49: (1, {'@': 186}), 26: (1, {'@': 186}), 50: (1, {'@': 186}), 51: (1, {'@': 186}), 27: (1, {'@': 186}), 36: (1, {'@': 186}), 28: (1, {'@': 186}), 3: (1, {'@': 186}), 31: (1, {'@': 186})}, 275: {18: (0, 35), 66: (0, 136), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 6: (0, 138), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 276: {16: (1, {'@': 187}), 2: (1, {'@': 187}), 34: (1, {'@': 187}), 35: (1, {'@': 187}), 36: (1, {'@': 187}), 20: (1, {'@': 187}), 37: (1, {'@': 187}), 4: (1, {'@': 187}), 38: (1, {'@': 187}), 22: (1, {'@': 187}), 25: (1, {'@': 187}), 39: (1, {'@': 187}), 40: (1, {'@': 187}), 30: (1, {'@': 187}), 41: (1, {'@': 187}), 13: (1, {'@': 187}), 42: (1, {'@': 187}), 43: (1, {'@': 187}), 29: (1, {'@': 187}), 15: (1, {'@': 187}), 32: (1, {'@': 187}), 44: (1, {'@': 187}), 45: (1, {'@': 187}), 46: (1, {'@': 187}), 47: (1, {'@': 187}), 18: (1, {'@': 187}), 19: (1, {'@': 187}), 0: (1, {'@': 187}), 23: (1, {'@': 187}), 24: (1, {'@': 187}), 48: (1, {'@': 187}), 49: (1, {'@': 187}), 26: (1, {'@': 187}), 50: (1, {'@': 187}), 51: (1, {'@': 187}), 27: (1, {'@': 187}), 52: (1, {'@': 187}), 28: (1, {'@': 187}), 3: (1, {'@': 187}), 31: (1, {'@': 187})}, 277: {16: (1, {'@': 188}), 2: (1, {'@': 188}), 34: (1, {'@': 188}), 35: (1, {'@': 188}), 36: (1, {'@': 188}), 20: (1, {'@': 188}), 37: (1, {'@': 188}), 4: (1, {'@': 188}), 38: (1, {'@': 188}), 22: (1, {'@': 188}), 25: (1, {'@': 188}), 39: (1, {'@': 188}), 40: (1, {'@': 188}), 30: (1, {'@': 188}), 41: (1, {'@': 188}), 13: (1, {'@': 188}), 42: (1, {'@': 188}), 43: (1, {'@': 188}), 29: (1, {'@': 188}), 15: (1, {'@': 188}), 32: (1, {'@': 188}), 44: (1, {'@': 188}), 45: (1, {'@': 188}), 46: (1, {'@': 188}), 47: (1, {'@': 188}), 18: (1, {'@': 188}), 19: (1, {'@': 188}), 0: (1, {'@': 188}), 23: (1, {'@': 188}), 24: (1, {'@': 188}), 48: (1, {'@': 188}), 49: (1, {'@': 188}), 26: (1, {'@': 188}), 50: (1, {'@': 188}), 51: (1, {'@': 188}), 27: (1, {'@': 188}), 52: (1, {'@': 188}), 28: (1, {'@': 188}), 3: (1, {'@': 188}), 31: (1, {'@': 188})}, 278: {16: (1, {'@': 189}), 52: (1, {'@': 189}), 2: (1, {'@': 189}), 34: (1, {'@': 189}), 35: (1, {'@': 189}), 20: (1, {'@': 189}), 37: (1, {'@': 189}), 4: (1, {'@': 189}), 38: (1, {'@': 189}), 22: (1, {'@': 189}), 25: (1, {'@': 189}), 39: (1, {'@': 189}), 40: (1, {'@': 189}), 30: (1, {'@': 189}), 41: (1, {'@': 189}), 13: (1, {'@': 189}), 42: (1, {'@': 189}), 43: (0, 86), 29: (1, {'@': 189}), 15: (1, {'@': 189}), 32: (1, {'@': 189}), 44: (1, {'@': 189}), 45: (1, {'@': 189}), 46: (1, {'@': 189}), 47: (1, {'@': 189}), 18: (0, 275), 19: (1, {'@': 189}), 0: (1, {'@': 189}), 23: (1, {'@': 189}), 24: (1, {'@': 189}), 48: (1, {'@': 189}), 49: (1, {'@': 189}), 26: (1, {'@': 189}), 50: (1, {'@': 189}), 51: (1, {'@': 189}), 27: (1, {'@': 189}), 36: (1, {'@': 189}), 28: (1, {'@': 189}), 3: (1, {'@': 189}), 31: (1, {'@': 189}), 78: (0, 349), 79: (0, 350)}, 279: {32: (0, 351)}, 280: {16: (1, {'@': 190}), 52: (1, {'@': 190}), 2: (1, {'@': 190}), 34: (1, {'@': 190}), 35: (1, {'@': 190}), 20: (1, {'@': 190}), 37: (1, {'@': 190}), 4: (1, {'@': 190}), 38: (1, {'@': 190}), 22: (1, {'@': 190}), 25: (1, {'@': 190}), 39: (1, {'@': 190}), 40: (1, {'@': 190}), 30: (1, {'@': 190}), 41: (1, {'@': 190}), 13: (1, {'@': 190}), 42: (1, {'@': 190}), 43: (1, {'@': 190}), 29: (1, {'@': 190}), 15: (1, {'@': 190}), 32: (1, {'@': 190}), 44: (1, {'@': 190}), 45: (1, {'@': 190}), 46: (1, {'@': 190}), 47: (1, {'@': 190}), 18: (1, {'@': 190}), 19: (1, {'@': 190}), 0: (1, {'@': 190}), 23: (1, {'@': 190}), 24: (1, {'@': 190}), 48: (1, {'@': 190}), 49: (1, {'@': 190}), 26: (1, {'@': 190}), 50: (1, {'@': 190}), 51: (1, {'@': 190}), 27: (1, {'@': 190}), 36: (1, {'@': 190}), 28: (1, {'@': 190}), 3: (1, {'@': 190}), 31: (1, {'@': 190})}, 281: {90: (0, 352), 42: (0, 103), 36: (0, 353), 6: (0, 354), 83: (0, 105), 48: (0, 106), 16: (0, 193), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 49: (0, 117), 0: (0, 355), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 4: (0, 7), 38: (0, 107), 3: (0, 10), 2: (0, 11), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 282: {16: (1, {'@': 191}), 2: (1, {'@': 191}), 34: (1, {'@': 191}), 35: (1, {'@': 191}), 36: (1, {'@': 191}), 20: (1, {'@': 191}), 37: (1, {'@': 191}), 4: (1, {'@': 191}), 38: (1, {'@': 191}), 22: (1, {'@': 191}), 25: (1, {'@': 191}), 39: (1, {'@': 191}), 40: (1, {'@': 191}), 30: (1, {'@': 191}), 41: (1, {'@': 191}), 13: (1, {'@': 191}), 42: (1, {'@': 191}), 43: (1, {'@': 191}), 29: (1, {'@': 191}), 15: (1, {'@': 191}), 32: (1, {'@': 191}), 44: (1, {'@': 191}), 45: (1, {'@': 191}), 46: (1, {'@': 191}), 47: (1, {'@': 191}), 18: (1, {'@': 191}), 19: (1, {'@': 191}), 0: (1, {'@': 191}), 23: (1, {'@': 191}), 24: (1, {'@': 191}), 48: (1, {'@': 191}), 49: (1, {'@': 191}), 26: (1, {'@': 191}), 50: (1, {'@': 191}), 51: (1, {'@': 191}), 27: (1, {'@': 191}), 52: (1, {'@': 191}), 28: (1, {'@': 191}), 3: (1, {'@': 191}), 31: (1, {'@': 191})}, 283: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 66: (0, 91), 9: (0, 92), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 0: (0, 356), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 81: (0, 289), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 284: {16: (1, {'@': 192}), 2: (1, {'@': 192}), 34: (1, {'@': 192}), 35: (1, {'@': 192}), 36: (1, {'@': 192}), 20: (1, {'@': 192}), 37: (1, {'@': 192}), 4: (1, {'@': 192}), 38: (1, {'@': 192}), 22: (1, {'@': 192}), 25: (1, {'@': 192}), 39: (1, {'@': 192}), 40: (1, {'@': 192}), 30: (1, {'@': 192}), 41: (1, {'@': 192}), 13: (1, {'@': 192}), 42: (1, {'@': 192}), 43: (1, {'@': 192}), 29: (1, {'@': 192}), 15: (1, {'@': 192}), 32: (1, {'@': 192}), 44: (1, {'@': 192}), 45: (1, {'@': 192}), 46: (1, {'@': 192}), 47: (1, {'@': 192}), 18: (1, {'@': 192}), 19: (1, {'@': 192}), 0: (1, {'@': 192}), 23: (1, {'@': 192}), 24: (1, {'@': 192}), 48: (1, {'@': 192}), 49: (1, {'@': 192}), 26: (1, {'@': 192}), 50: (1, {'@': 192}), 51: (1, {'@': 192}), 27: (1, {'@': 192}), 52: (1, {'@': 192}), 28: (1, {'@': 192}), 3: (1, {'@': 192}), 31: (1, {'@': 192})}, 285: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 66: (0, 357), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 286: {4: (0, 7), 3: (0, 10), 22: (0, 216), 2: (0, 11), 36: (0, 218), 42: (0, 103), 6: (0, 358), 28: (0, 219), 83: (0, 105), 85: (0, 220), 48: (0, 106), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 49: (0, 117), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 38: (0, 107), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 287: {4: (1, {'@': 164}), 3: (1, {'@': 164}), 22: (0, 217), 2: (1, {'@': 164}), 28: (0, 296)}, 288: {16: (1, {'@': 193}), 2: (1, {'@': 193}), 34: (1, {'@': 193}), 35: (1, {'@': 193}), 36: (1, {'@': 193}), 20: (1, {'@': 193}), 37: (1, {'@': 193}), 4: (1, {'@': 193}), 38: (1, {'@': 193}), 22: (1, {'@': 193}), 25: (1, {'@': 193}), 39: (1, {'@': 193}), 40: (1, {'@': 193}), 30: (1, {'@': 193}), 41: (1, {'@': 193}), 13: (1, {'@': 193}), 42: (1, {'@': 193}), 43: (1, {'@': 193}), 29: (1, {'@': 193}), 15: (1, {'@': 193}), 32: (1, {'@': 193}), 44: (1, {'@': 193}), 45: (1, {'@': 193}), 46: (1, {'@': 193}), 47: (1, {'@': 193}), 18: (1, {'@': 193}), 19: (1, {'@': 193}), 0: (1, {'@': 193}), 23: (1, {'@': 193}), 24: (1, {'@': 193}), 48: (1, {'@': 193}), 49: (1, {'@': 193}), 26: (1, {'@': 193}), 50: (1, {'@': 193}), 51: (1, {'@': 193}), 27: (1, {'@': 193}), 52: (1, {'@': 193}), 28: (1, {'@': 193}), 3: (1, {'@': 193}), 31: (1, {'@': 193})}, 289: {0: (1, {'@': 194}), 2: (1, {'@': 194}), 28: (1, {'@': 194}), 3: (1, {'@': 194}), 4: (1, {'@': 194})}, 290: {16: (1, {'@': 195}), 52: (1, {'@': 195}), 2: (1, {'@': 195}), 34: (1, {'@': 195}), 35: (1, {'@': 195}), 20: (1, {'@': 195}), 37: (1, {'@': 195}), 4: (1, {'@': 195}), 38: (1, {'@': 195}), 22: (1, {'@': 195}), 25: (1, {'@': 195}), 39: (1, {'@': 195}), 40: (1, {'@': 195}), 30: (1, {'@': 195}), 41: (1, {'@': 195}), 13: (1, {'@': 195}), 42: (1, {'@': 195}), 43: (1, {'@': 195}), 29: (1, {'@': 195}), 15: (1, {'@': 195}), 32: (1, {'@': 195}), 44: (1, {'@': 195}), 45: (1, {'@': 195}), 46: (1, {'@': 195}), 47: (1, {'@': 195}), 18: (1, {'@': 195}), 19: (1, {'@': 195}), 0: (1, {'@': 195}), 23: (1, {'@': 195}), 24: (1, {'@': 195}), 48: (1, {'@': 195}), 49: (1, {'@': 195}), 26: (1, {'@': 195}), 50: (1, {'@': 195}), 51: (1, {'@': 195}), 27: (1, {'@': 195}), 36: (1, {'@': 195}), 28: (1, {'@': 195}), 3: (1, {'@': 195}), 31: (1, {'@': 195})}, 291: {4: (1, {'@': 196}), 3: (1, {'@': 196}), 22: (1, {'@': 196}), 2: (1, {'@': 196})}, 292: {4: (1, {'@': 197}), 3: (1, {'@': 197}), 22: (1, {'@': 197}), 2: (1, {'@': 197}), 18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 66: (0, 255), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 293: {4: (0, 7), 3: (0, 10), 22: (1, {'@': 198}), 2: (0, 11), 18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 6: (0, 359), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 253), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 294: {4: (0, 7), 3: (0, 10), 22: (1, {'@': 199}), 2: (0, 11), 7: (0, 3), 6: (0, 360)}, 295: {4: (1, {'@': 200}), 3: (1, {'@': 200}), 22: (1, {'@': 200}), 2: (1, {'@': 200}), 28: (0, 361)}, 296: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 66: (0, 246), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 6: (0, 362), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 297: {22: (0, 363)}, 298: {16: (1, {'@': 201}), 2: (1, {'@': 201}), 34: (1, {'@': 201}), 35: (1, {'@': 201}), 36: (1, {'@': 201}), 20: (1, {'@': 201}), 37: (1, {'@': 201}), 4: (1, {'@': 201}), 38: (1, {'@': 201}), 22: (1, {'@': 201}), 25: (1, {'@': 201}), 39: (1, {'@': 201}), 40: (1, {'@': 201}), 30: (1, {'@': 201}), 41: (1, {'@': 201}), 13: (1, {'@': 201}), 42: (1, {'@': 201}), 43: (1, {'@': 201}), 29: (1, {'@': 201}), 15: (1, {'@': 201}), 32: (1, {'@': 201}), 44: (1, {'@': 201}), 45: (1, {'@': 201}), 46: (1, {'@': 201}), 47: (1, {'@': 201}), 18: (1, {'@': 201}), 19: (1, {'@': 201}), 0: (1, {'@': 201}), 23: (1, {'@': 201}), 24: (1, {'@': 201}), 48: (1, {'@': 201}), 49: (1, {'@': 201}), 26: (1, {'@': 201}), 50: (1, {'@': 201}), 51: (1, {'@': 201}), 27: (1, {'@': 201}), 52: (1, {'@': 201}), 28: (1, {'@': 201}), 3: (1, {'@': 201}), 31: (1, {'@': 201})}, 299: {16: (1, {'@': 202}), 2: (1, {'@': 202}), 34: (1, {'@': 202}), 35: (1, {'@': 202}), 36: (1, {'@': 202}), 20: (1, {'@': 202}), 37: (1, {'@': 202}), 4: (1, {'@': 202}), 38: (1, {'@': 202}), 22: (1, {'@': 202}), 25: (1, {'@': 202}), 39: (1, {'@': 202}), 40: (1, {'@': 202}), 30: (1, {'@': 202}), 41: (1, {'@': 202}), 13: (1, {'@': 202}), 42: (1, {'@': 202}), 43: (1, {'@': 202}), 29: (1, {'@': 202}), 15: (1, {'@': 202}), 32: (1, {'@': 202}), 44: (1, {'@': 202}), 45: (1, {'@': 202}), 46: (1, {'@': 202}), 47: (1, {'@': 202}), 18: (1, {'@': 202}), 19: (1, {'@': 202}), 0: (1, {'@': 202}), 23: (1, {'@': 202}), 24: (1, {'@': 202}), 48: (1, {'@': 202}), 49: (1, {'@': 202}), 26: (1, {'@': 202}), 50: (1, {'@': 202}), 51: (1, {'@': 202}), 27: (1, {'@': 202}), 52: (1, {'@': 202}), 28: (1, {'@': 202}), 3: (1, {'@': 202}), 31: (1, {'@': 202})}, 300: {16: (1, {'@': 203}), 2: (1, {'@': 203}), 34: (1, {'@': 203}), 35: (1, {'@': 203}), 36: (1, {'@': 203}), 20: (1, {'@': 203}), 37: (1, {'@': 203}), 4: (1, {'@': 203}), 38: (1, {'@': 203}), 22: (1, {'@': 203}), 25: (1, {'@': 203}), 39: (1, {'@': 203}), 40: (1, {'@': 203}), 30: (1, {'@': 203}), 41: (1, {'@': 203}), 13: (1, {'@': 203}), 42: (1, {'@': 203}), 43: (1, {'@': 203}), 29: (1, {'@': 203}), 15: (1, {'@': 203}), 32: (1, {'@': 203}), 44: (1, {'@': 203}), 45: (1, {'@': 203}), 46: (1, {'@': 203}), 47: (1, {'@': 203}), 18: (1, {'@': 203}), 19: (1, {'@': 203}), 0: (1, {'@': 203}), 23: (1, {'@': 203}), 24: (1, {'@': 203}), 48: (1, {'@': 203}), 49: (1, {'@': 203}), 26: (1, {'@': 203}), 50: (1, {'@': 203}), 51: (1, {'@': 203}), 27: (1, {'@': 203}), 52: (1, {'@': 203}), 28: (1, {'@': 203}), 3: (1, {'@': 203}), 31: (1, {'@': 203})}, 301: {16: (1, {'@': 204}), 2: (1, {'@': 204}), 34: (1, {'@': 204}), 35: (1, {'@': 204}), 36: (1, {'@': 204}), 20: (0, 99), 37: (1, {'@': 204}), 4: (1, {'@': 204}), 38: (1, {'@': 204}), 22: (1, {'@': 204}), 25: (1, {'@': 204}), 39: (1, {'@': 204}), 40: (1, {'@': 204}), 30: (1, {'@': 204}), 41: (1, {'@': 204}), 13: (1, {'@': 204}), 42: (1, {'@': 204}), 43: (1, {'@': 204}), 29: (1, {'@': 204}), 15: (1, {'@': 204}), 32: (1, {'@': 204}), 44: (1, {'@': 204}), 45: (1, {'@': 204}), 46: (1, {'@': 204}), 47: (1, {'@': 204}), 18: (1, {'@': 204}), 19: (1, {'@': 204}), 0: (1, {'@': 204}), 23: (1, {'@': 204}), 24: (1, {'@': 204}), 48: (1, {'@': 204}), 49: (1, {'@': 204}), 26: (1, {'@': 204}), 50: (1, {'@': 204}), 51: (1, {'@': 204}), 27: (1, {'@': 204}), 52: (1, {'@': 204}), 28: (1, {'@': 204}), 3: (1, {'@': 204}), 31: (1, {'@': 204})}, 302: {16: (1, {'@': 205}), 52: (0, 112), 2: (1, {'@': 205}), 34: (1, {'@': 205}), 35: (0, 102), 20: (1, {'@': 205}), 37: (0, 108), 4: (1, {'@': 205}), 38: (0, 107), 22: (1, {'@': 205}), 25: (1, {'@': 205}), 39: (1, {'@': 205}), 40: (0, 115), 30: (1, {'@': 205}), 41: (0, 116), 13: (1, {'@': 205}), 42: (0, 103), 29: (1, {'@': 205}), 32: (1, {'@': 205}), 15: (0, 110), 44: (0, 104), 45: (0, 114), 46: (0, 118), 47: (1, {'@': 205}), 18: (1, {'@': 205}), 19: (1, {'@': 205}), 0: (1, {'@': 205}), 23: (1, {'@': 205}), 24: (1, {'@': 205}), 48: (0, 106), 49: (0, 117), 26: (1, {'@': 205}), 50: (0, 113), 27: (1, {'@': 205}), 36: (1, {'@': 205}), 28: (1, {'@': 205}), 3: (1, {'@': 205}), 31: (1, {'@': 205}), 83: (0, 105), 84: (0, 111)}, 303: {0: (1, {'@': 206}), 3: (1, {'@': 206}), 2: (1, {'@': 206}), 1: (1, {'@': 206}), 13: (1, {'@': 206}), 4: (1, {'@': 206})}, 304: {32: (0, 364)}, 305: {16: (1, {'@': 207}), 2: (1, {'@': 207}), 34: (1, {'@': 207}), 35: (1, {'@': 207}), 36: (1, {'@': 207}), 20: (1, {'@': 207}), 37: (1, {'@': 207}), 4: (1, {'@': 207}), 38: (1, {'@': 207}), 22: (1, {'@': 207}), 25: (1, {'@': 207}), 39: (1, {'@': 207}), 40: (1, {'@': 207}), 30: (1, {'@': 207}), 41: (1, {'@': 207}), 13: (1, {'@': 207}), 42: (1, {'@': 207}), 43: (1, {'@': 207}), 29: (1, {'@': 207}), 15: (1, {'@': 207}), 32: (1, {'@': 207}), 44: (1, {'@': 207}), 45: (1, {'@': 207}), 46: (1, {'@': 207}), 47: (1, {'@': 207}), 18: (1, {'@': 207}), 19: (1, {'@': 207}), 0: (1, {'@': 207}), 23: (1, {'@': 207}), 24: (1, {'@': 207}), 48: (1, {'@': 207}), 49: (1, {'@': 207}), 26: (1, {'@': 207}), 50: (1, {'@': 207}), 51: (1, {'@': 207}), 27: (1, {'@': 207}), 52: (1, {'@': 207}), 28: (1, {'@': 207}), 3: (1, {'@': 207}), 31: (1, {'@': 207})}, 306: {3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 365), 32: (0, 366), 4: (0, 7)}, 307: {32: (0, 367)}, 308: {16: (1, {'@': 208}), 2: (1, {'@': 208}), 34: (1, {'@': 208}), 35: (1, {'@': 208}), 36: (1, {'@': 208}), 20: (1, {'@': 208}), 37: (1, {'@': 208}), 4: (1, {'@': 208}), 38: (1, {'@': 208}), 22: (1, {'@': 208}), 25: (1, {'@': 208}), 39: (1, {'@': 208}), 40: (1, {'@': 208}), 30: (1, {'@': 208}), 41: (1, {'@': 208}), 13: (1, {'@': 208}), 42: (1, {'@': 208}), 43: (1, {'@': 208}), 29: (1, {'@': 208}), 15: (1, {'@': 208}), 32: (1, {'@': 208}), 44: (1, {'@': 208}), 45: (1, {'@': 208}), 46: (1, {'@': 208}), 47: (1, {'@': 208}), 18: (1, {'@': 208}), 19: (1, {'@': 208}), 0: (1, {'@': 208}), 23: (1, {'@': 208}), 24: (1, {'@': 208}), 48: (1, {'@': 208}), 49: (1, {'@': 208}), 26: (1, {'@': 208}), 50: (1, {'@': 208}), 51: (1, {'@': 208}), 27: (1, {'@': 208}), 52: (1, {'@': 208}), 28: (1, {'@': 208}), 3: (1, {'@': 208}), 31: (1, {'@': 208})}, 309: {16: (1, {'@': 209}), 2: (1, {'@': 209}), 34: (1, {'@': 209}), 35: (1, {'@': 209}), 36: (1, {'@': 209}), 20: (1, {'@': 209}), 37: (1, {'@': 209}), 4: (1, {'@': 209}), 38: (1, {'@': 209}), 22: (1, {'@': 209}), 25: (1, {'@': 209}), 39: (1, {'@': 209}), 40: (1, {'@': 209}), 30: (1, {'@': 209}), 41: (1, {'@': 209}), 13: (1, {'@': 209}), 42: (1, {'@': 209}), 43: (1, {'@': 209}), 29: (1, {'@': 209}), 15: (1, {'@': 209}), 32: (1, {'@': 209}), 44: (1, {'@': 209}), 45: (1, {'@': 209}), 46: (1, {'@': 209}), 47: (1, {'@': 209}), 18: (1, {'@': 209}), 19: (1, {'@': 209}), 0: (1, {'@': 209}), 23: (1, {'@': 209}), 24: (1, {'@': 209}), 48: (1, {'@': 209}), 49: (1, {'@': 209}), 26: (1, {'@': 209}), 50: (1, {'@': 209}), 51: (1, {'@': 209}), 27: (1, {'@': 209}), 52: (1, {'@': 209}), 28: (1, {'@': 209}), 3: (1, {'@': 209}), 31: (1, {'@': 209})}, 310: {16: (0, 193), 3: (0, 10), 7: (0, 3), 2: (0, 11), 32: (0, 368), 4: (0, 7), 90: (0, 369), 6: (0, 370)}, 311: {6: (0, 371), 3: (0, 10), 7: (0, 3), 2: (0, 11), 32: (0, 372), 4: (0, 7)}, 312: {16: (1, {'@': 210}), 2: (1, {'@': 210}), 34: (1, {'@': 210}), 35: (1, {'@': 210}), 36: (1, {'@': 210}), 20: (1, {'@': 210}), 37: (1, {'@': 210}), 4: (1, {'@': 210}), 38: (1, {'@': 210}), 22: (1, {'@': 210}), 25: (1, {'@': 210}), 39: (1, {'@': 210}), 40: (1, {'@': 210}), 30: (1, {'@': 210}), 41: (1, {'@': 210}), 13: (1, {'@': 210}), 42: (1, {'@': 210}), 43: (1, {'@': 210}), 29: (1, {'@': 210}), 15: (1, {'@': 210}), 32: (1, {'@': 210}), 44: (1, {'@': 210}), 45: (1, {'@': 210}), 46: (1, {'@': 210}), 47: (1, {'@': 210}), 18: (1, {'@': 210}), 19: (1, {'@': 210}), 0: (1, {'@': 210}), 23: (1, {'@': 210}), 24: (1, {'@': 210}), 48: (1, {'@': 210}), 49: (1, {'@': 210}), 26: (1, {'@': 210}), 50: (1, {'@': 210}), 51: (1, {'@': 210}), 27: (1, {'@': 210}), 52: (1, {'@': 210}), 28: (1, {'@': 210}), 3: (1, {'@': 210}), 31: (1, {'@': 210})}, 313: {16: (1, {'@': 211}), 2: (1, {'@': 211}), 34: (1, {'@': 211}), 35: (1, {'@': 211}), 36: (1, {'@': 211}), 20: (1, {'@': 211}), 37: (1, {'@': 211}), 4: (1, {'@': 211}), 38: (1, {'@': 211}), 22: (1, {'@': 211}), 25: (1, {'@': 211}), 39: (1, {'@': 211}), 40: (1, {'@': 211}), 30: (1, {'@': 211}), 41: (1, {'@': 211}), 13: (1, {'@': 211}), 42: (1, {'@': 211}), 43: (1, {'@': 211}), 29: (1, {'@': 211}), 15: (1, {'@': 211}), 32: (1, {'@': 211}), 44: (1, {'@': 211}), 45: (1, {'@': 211}), 46: (1, {'@': 211}), 47: (1, {'@': 211}), 18: (1, {'@': 211}), 19: (1, {'@': 211}), 0: (1, {'@': 211}), 23: (1, {'@': 211}), 24: (1, {'@': 211}), 48: (1, {'@': 211}), 49: (1, {'@': 211}), 26: (1, {'@': 211}), 50: (1, {'@': 211}), 51: (1, {'@': 211}), 27: (1, {'@': 211}), 52: (1, {'@': 211}), 28: (1, {'@': 211}), 3: (1, {'@': 211}), 31: (1, {'@': 211})}, 314: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 322), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 32: (0, 373), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 315: {16: (1, {'@': 212}), 2: (1, {'@': 212}), 34: (1, {'@': 212}), 35: (1, {'@': 212}), 36: (1, {'@': 212}), 20: (1, {'@': 212}), 37: (1, {'@': 212}), 4: (1, {'@': 212}), 38: (1, {'@': 212}), 22: (1, {'@': 212}), 25: (1, {'@': 212}), 39: (1, {'@': 212}), 40: (1, {'@': 212}), 30: (1, {'@': 212}), 41: (1, {'@': 212}), 13: (1, {'@': 212}), 42: (1, {'@': 212}), 43: (1, {'@': 212}), 29: (1, {'@': 212}), 15: (1, {'@': 212}), 32: (1, {'@': 212}), 44: (1, {'@': 212}), 45: (1, {'@': 212}), 46: (1, {'@': 212}), 47: (1, {'@': 212}), 18: (1, {'@': 212}), 19: (1, {'@': 212}), 0: (1, {'@': 212}), 23: (1, {'@': 212}), 24: (1, {'@': 212}), 48: (1, {'@': 212}), 49: (1, {'@': 212}), 26: (1, {'@': 212}), 50: (1, {'@': 212}), 51: (1, {'@': 212}), 27: (1, {'@': 212}), 52: (1, {'@': 212}), 28: (1, {'@': 212}), 3: (1, {'@': 212}), 31: (1, {'@': 212})}, 316: {18: (0, 35), 6: (0, 374), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 325), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 32: (0, 375), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 317: {16: (1, {'@': 213}), 2: (1, {'@': 213}), 34: (1, {'@': 213}), 35: (1, {'@': 213}), 36: (1, {'@': 213}), 20: (1, {'@': 213}), 37: (1, {'@': 213}), 4: (1, {'@': 213}), 38: (1, {'@': 213}), 22: (1, {'@': 213}), 25: (1, {'@': 213}), 39: (1, {'@': 213}), 40: (1, {'@': 213}), 30: (1, {'@': 213}), 41: (1, {'@': 213}), 13: (1, {'@': 213}), 42: (1, {'@': 213}), 43: (1, {'@': 213}), 29: (1, {'@': 213}), 15: (1, {'@': 213}), 32: (1, {'@': 213}), 44: (1, {'@': 213}), 45: (1, {'@': 213}), 46: (1, {'@': 213}), 47: (1, {'@': 213}), 18: (1, {'@': 213}), 19: (1, {'@': 213}), 0: (1, {'@': 213}), 23: (1, {'@': 213}), 24: (1, {'@': 213}), 48: (1, {'@': 213}), 49: (1, {'@': 213}), 26: (1, {'@': 213}), 50: (1, {'@': 213}), 51: (1, {'@': 213}), 27: (1, {'@': 213}), 52: (1, {'@': 213}), 28: (1, {'@': 213}), 3: (1, {'@': 213}), 31: (1, {'@': 213})}, 318: {32: (0, 376)}, 319: {16: (1, {'@': 214}), 2: (1, {'@': 214}), 34: (1, {'@': 214}), 35: (1, {'@': 214}), 36: (1, {'@': 214}), 20: (1, {'@': 214}), 37: (1, {'@': 214}), 4: (1, {'@': 214}), 38: (1, {'@': 214}), 22: (1, {'@': 214}), 25: (1, {'@': 214}), 39: (1, {'@': 214}), 40: (1, {'@': 214}), 30: (1, {'@': 214}), 41: (1, {'@': 214}), 13: (1, {'@': 214}), 42: (1, {'@': 214}), 43: (1, {'@': 214}), 29: (1, {'@': 214}), 15: (1, {'@': 214}), 32: (1, {'@': 214}), 44: (1, {'@': 214}), 45: (1, {'@': 214}), 46: (1, {'@': 214}), 47: (1, {'@': 214}), 18: (1, {'@': 214}), 19: (1, {'@': 214}), 0: (1, {'@': 214}), 23: (1, {'@': 214}), 24: (1, {'@': 214}), 48: (1, {'@': 214}), 49: (1, {'@': 214}), 26: (1, {'@': 214}), 50: (1, {'@': 214}), 51: (1, {'@': 214}), 27: (1, {'@': 214}), 52: (1, {'@': 214}), 28: (1, {'@': 214}), 3: (1, {'@': 214}), 31: (1, {'@': 214})}, 320: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 327), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 32: (0, 377), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 321: {16: (1, {'@': 215}), 2: (1, {'@': 215}), 34: (1, {'@': 215}), 35: (1, {'@': 215}), 36: (1, {'@': 215}), 20: (1, {'@': 215}), 37: (1, {'@': 215}), 4: (1, {'@': 215}), 38: (1, {'@': 215}), 22: (1, {'@': 215}), 25: (1, {'@': 215}), 39: (1, {'@': 215}), 40: (1, {'@': 215}), 30: (1, {'@': 215}), 41: (1, {'@': 215}), 13: (1, {'@': 215}), 42: (1, {'@': 215}), 43: (1, {'@': 215}), 29: (1, {'@': 215}), 15: (1, {'@': 215}), 32: (1, {'@': 215}), 44: (1, {'@': 215}), 45: (1, {'@': 215}), 46: (1, {'@': 215}), 47: (1, {'@': 215}), 18: (1, {'@': 215}), 19: (1, {'@': 215}), 0: (1, {'@': 215}), 23: (1, {'@': 215}), 24: (1, {'@': 215}), 48: (1, {'@': 215}), 49: (1, {'@': 215}), 26: (1, {'@': 215}), 50: (1, {'@': 215}), 51: (1, {'@': 215}), 27: (1, {'@': 215}), 52: (1, {'@': 215}), 28: (1, {'@': 215}), 3: (1, {'@': 215}), 31: (1, {'@': 215})}, 322: {2: (1, {'@': 216}), 36: (1, {'@': 216}), 28: (1, {'@': 216}), 3: (1, {'@': 216}), 22: (1, {'@': 216}), 4: (1, {'@': 216}), 32: (1, {'@': 216}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 323: {16: (1, {'@': 217}), 2: (1, {'@': 217}), 34: (1, {'@': 217}), 35: (1, {'@': 217}), 36: (1, {'@': 217}), 20: (1, {'@': 217}), 37: (1, {'@': 217}), 4: (1, {'@': 217}), 38: (1, {'@': 217}), 22: (1, {'@': 217}), 25: (1, {'@': 217}), 39: (1, {'@': 217}), 40: (1, {'@': 217}), 30: (1, {'@': 217}), 41: (1, {'@': 217}), 13: (1, {'@': 217}), 42: (1, {'@': 217}), 43: (1, {'@': 217}), 29: (1, {'@': 217}), 15: (1, {'@': 217}), 32: (1, {'@': 217}), 44: (1, {'@': 217}), 45: (1, {'@': 217}), 46: (1, {'@': 217}), 47: (1, {'@': 217}), 18: (1, {'@': 217}), 19: (1, {'@': 217}), 0: (1, {'@': 217}), 23: (1, {'@': 217}), 24: (1, {'@': 217}), 48: (1, {'@': 217}), 49: (1, {'@': 217}), 26: (1, {'@': 217}), 50: (1, {'@': 217}), 51: (1, {'@': 217}), 27: (1, {'@': 217}), 52: (1, {'@': 217}), 28: (1, {'@': 217}), 3: (1, {'@': 217}), 31: (1, {'@': 217})}, 324: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 32: (0, 378), 65: (0, 53), 66: (0, 379), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 325: {2: (1, {'@': 218}), 36: (1, {'@': 218}), 28: (1, {'@': 218}), 3: (1, {'@': 218}), 22: (1, {'@': 218}), 4: (1, {'@': 218}), 32: (1, {'@': 218}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 326: {16: (1, {'@': 219}), 2: (1, {'@': 219}), 34: (1, {'@': 219}), 35: (1, {'@': 219}), 36: (1, {'@': 219}), 20: (1, {'@': 219}), 37: (1, {'@': 219}), 4: (1, {'@': 219}), 38: (1, {'@': 219}), 22: (1, {'@': 219}), 25: (1, {'@': 219}), 39: (1, {'@': 219}), 40: (1, {'@': 219}), 30: (1, {'@': 219}), 41: (1, {'@': 219}), 13: (1, {'@': 219}), 42: (1, {'@': 219}), 43: (1, {'@': 219}), 29: (1, {'@': 219}), 15: (1, {'@': 219}), 32: (1, {'@': 219}), 44: (1, {'@': 219}), 45: (1, {'@': 219}), 46: (1, {'@': 219}), 47: (1, {'@': 219}), 18: (1, {'@': 219}), 19: (1, {'@': 219}), 0: (1, {'@': 219}), 23: (1, {'@': 219}), 24: (1, {'@': 219}), 48: (1, {'@': 219}), 49: (1, {'@': 219}), 26: (1, {'@': 219}), 50: (1, {'@': 219}), 51: (1, {'@': 219}), 27: (1, {'@': 219}), 52: (1, {'@': 219}), 28: (1, {'@': 219}), 3: (1, {'@': 219}), 31: (1, {'@': 219})}, 327: {2: (1, {'@': 220}), 36: (1, {'@': 220}), 28: (1, {'@': 220}), 3: (1, {'@': 220}), 22: (1, {'@': 220}), 4: (1, {'@': 220}), 32: (1, {'@': 220}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 328: {16: (1, {'@': 221}), 2: (1, {'@': 221}), 34: (1, {'@': 221}), 35: (1, {'@': 221}), 36: (1, {'@': 221}), 20: (1, {'@': 221}), 37: (1, {'@': 221}), 4: (1, {'@': 221}), 38: (1, {'@': 221}), 22: (1, {'@': 221}), 25: (1, {'@': 221}), 39: (1, {'@': 221}), 40: (1, {'@': 221}), 30: (1, {'@': 221}), 41: (1, {'@': 221}), 13: (1, {'@': 221}), 42: (1, {'@': 221}), 43: (1, {'@': 221}), 29: (1, {'@': 221}), 15: (1, {'@': 221}), 32: (1, {'@': 221}), 44: (1, {'@': 221}), 45: (1, {'@': 221}), 46: (1, {'@': 221}), 47: (1, {'@': 221}), 18: (1, {'@': 221}), 19: (1, {'@': 221}), 0: (1, {'@': 221}), 23: (1, {'@': 221}), 24: (1, {'@': 221}), 48: (1, {'@': 221}), 49: (1, {'@': 221}), 26: (1, {'@': 221}), 50: (1, {'@': 221}), 51: (1, {'@': 221}), 27: (1, {'@': 221}), 52: (1, {'@': 221}), 28: (1, {'@': 221}), 3: (1, {'@': 221}), 31: (1, {'@': 221})}, 329: {3: (0, 10), 7: (0, 3), 21: (0, 380), 2: (0, 11), 6: (0, 381), 4: (0, 7)}, 330: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 6: (0, 382), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 383), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 331: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 39: (0, 384), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 332: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 66: (0, 385), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 333: {15: (1, {'@': 222}), 13: (1, {'@': 222}), 2: (0, 11), 18: (1, {'@': 222}), 19: (1, {'@': 222}), 20: (1, {'@': 222}), 4: (0, 7), 23: (1, {'@': 222}), 24: (1, {'@': 222}), 25: (1, {'@': 222}), 26: (1, {'@': 222}), 27: (1, {'@': 222}), 29: (1, {'@': 222}), 30: (1, {'@': 222}), 3: (0, 10), 31: (1, {'@': 222}), 7: (0, 3), 6: (0, 386)}, 334: {35: (0, 102), 42: (0, 103), 44: (0, 104), 39: (0, 387), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 335: {6: (0, 388), 7: (0, 3), 21: (0, 389), 4: (0, 7), 3: (0, 10), 2: (0, 11)}, 336: {35: (0, 102), 42: (0, 103), 44: (0, 104), 39: (0, 390), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 337: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 391), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 338: {18: (0, 35), 66: (0, 392), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 6: (0, 393), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 339: {32: (0, 394)}, 340: {16: (1, {'@': 223}), 2: (1, {'@': 223}), 34: (1, {'@': 223}), 35: (1, {'@': 223}), 36: (1, {'@': 223}), 20: (1, {'@': 223}), 37: (1, {'@': 223}), 4: (1, {'@': 223}), 38: (1, {'@': 223}), 22: (1, {'@': 223}), 25: (1, {'@': 223}), 39: (1, {'@': 223}), 40: (1, {'@': 223}), 30: (1, {'@': 223}), 41: (1, {'@': 223}), 13: (1, {'@': 223}), 42: (1, {'@': 223}), 43: (1, {'@': 223}), 29: (1, {'@': 223}), 15: (1, {'@': 223}), 32: (1, {'@': 223}), 44: (1, {'@': 223}), 45: (1, {'@': 223}), 46: (1, {'@': 223}), 47: (1, {'@': 223}), 18: (1, {'@': 223}), 19: (1, {'@': 223}), 0: (1, {'@': 223}), 23: (1, {'@': 223}), 24: (1, {'@': 223}), 48: (1, {'@': 223}), 49: (1, {'@': 223}), 26: (1, {'@': 223}), 50: (1, {'@': 223}), 51: (1, {'@': 223}), 27: (1, {'@': 223}), 52: (1, {'@': 223}), 28: (1, {'@': 223}), 3: (1, {'@': 223}), 31: (1, {'@': 223})}, 341: {32: (0, 395)}, 342: {16: (1, {'@': 224}), 2: (1, {'@': 224}), 34: (1, {'@': 224}), 35: (1, {'@': 224}), 36: (1, {'@': 224}), 20: (1, {'@': 224}), 37: (1, {'@': 224}), 4: (1, {'@': 224}), 38: (1, {'@': 224}), 22: (1, {'@': 224}), 25: (1, {'@': 224}), 39: (1, {'@': 224}), 40: (1, {'@': 224}), 30: (1, {'@': 224}), 41: (1, {'@': 224}), 13: (1, {'@': 224}), 42: (1, {'@': 224}), 43: (1, {'@': 224}), 29: (1, {'@': 224}), 15: (1, {'@': 224}), 32: (1, {'@': 224}), 44: (1, {'@': 224}), 45: (1, {'@': 224}), 46: (1, {'@': 224}), 47: (1, {'@': 224}), 18: (1, {'@': 224}), 19: (1, {'@': 224}), 0: (1, {'@': 224}), 23: (1, {'@': 224}), 24: (1, {'@': 224}), 48: (1, {'@': 224}), 49: (1, {'@': 224}), 26: (1, {'@': 224}), 50: (1, {'@': 224}), 51: (1, {'@': 224}), 27: (1, {'@': 224}), 52: (1, {'@': 224}), 28: (1, {'@': 224}), 3: (1, {'@': 224}), 31: (1, {'@': 224})}, 343: {3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 396), 32: (0, 397), 4: (0, 7)}, 344: {32: (0, 398)}, 345: {16: (1, {'@': 225}), 2: (1, {'@': 225}), 34: (1, {'@': 225}), 35: (1, {'@': 225}), 36: (1, {'@': 225}), 20: (1, {'@': 225}), 37: (1, {'@': 225}), 4: (1, {'@': 225}), 38: (1, {'@': 225}), 22: (1, {'@': 225}), 25: (1, {'@': 225}), 39: (1, {'@': 225}), 40: (1, {'@': 225}), 30: (1, {'@': 225}), 41: (1, {'@': 225}), 13: (1, {'@': 225}), 42: (1, {'@': 225}), 43: (1, {'@': 225}), 29: (1, {'@': 225}), 15: (1, {'@': 225}), 32: (1, {'@': 225}), 44: (1, {'@': 225}), 45: (1, {'@': 225}), 46: (1, {'@': 225}), 47: (1, {'@': 225}), 18: (1, {'@': 225}), 19: (1, {'@': 225}), 0: (1, {'@': 225}), 23: (1, {'@': 225}), 24: (1, {'@': 225}), 48: (1, {'@': 225}), 49: (1, {'@': 225}), 26: (1, {'@': 225}), 50: (1, {'@': 225}), 51: (1, {'@': 225}), 27: (1, {'@': 225}), 52: (1, {'@': 225}), 28: (1, {'@': 225}), 3: (1, {'@': 225}), 31: (1, {'@': 225})}, 346: {16: (1, {'@': 226}), 2: (1, {'@': 226}), 34: (1, {'@': 226}), 35: (1, {'@': 226}), 36: (1, {'@': 226}), 20: (1, {'@': 226}), 37: (1, {'@': 226}), 4: (1, {'@': 226}), 38: (1, {'@': 226}), 22: (1, {'@': 226}), 25: (1, {'@': 226}), 39: (1, {'@': 226}), 40: (1, {'@': 226}), 30: (1, {'@': 226}), 41: (1, {'@': 226}), 13: (1, {'@': 226}), 42: (1, {'@': 226}), 43: (1, {'@': 226}), 29: (1, {'@': 226}), 15: (1, {'@': 226}), 32: (1, {'@': 226}), 44: (1, {'@': 226}), 45: (1, {'@': 226}), 46: (1, {'@': 226}), 47: (1, {'@': 226}), 18: (1, {'@': 226}), 19: (1, {'@': 226}), 0: (1, {'@': 226}), 23: (1, {'@': 226}), 24: (1, {'@': 226}), 48: (1, {'@': 226}), 49: (1, {'@': 226}), 26: (1, {'@': 226}), 50: (1, {'@': 226}), 51: (1, {'@': 226}), 27: (1, {'@': 226}), 52: (1, {'@': 226}), 28: (1, {'@': 226}), 3: (1, {'@': 226}), 31: (1, {'@': 226})}, 347: {0: (1, {'@': 227}), 2: (1, {'@': 227}), 3: (1, {'@': 227}), 4: (1, {'@': 227}), 32: (1, {'@': 227}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 348: {16: (1, {'@': 228}), 2: (1, {'@': 228}), 34: (1, {'@': 228}), 35: (1, {'@': 228}), 36: (1, {'@': 228}), 20: (1, {'@': 228}), 37: (1, {'@': 228}), 4: (1, {'@': 228}), 38: (1, {'@': 228}), 22: (1, {'@': 228}), 25: (1, {'@': 228}), 39: (1, {'@': 228}), 40: (1, {'@': 228}), 30: (1, {'@': 228}), 41: (1, {'@': 228}), 13: (1, {'@': 228}), 42: (1, {'@': 228}), 43: (1, {'@': 228}), 29: (1, {'@': 228}), 15: (1, {'@': 228}), 32: (1, {'@': 228}), 44: (1, {'@': 228}), 45: (1, {'@': 228}), 46: (1, {'@': 228}), 47: (1, {'@': 228}), 18: (1, {'@': 228}), 19: (1, {'@': 228}), 0: (1, {'@': 228}), 23: (1, {'@': 228}), 24: (1, {'@': 228}), 48: (1, {'@': 228}), 49: (1, {'@': 228}), 26: (1, {'@': 228}), 50: (1, {'@': 228}), 51: (1, {'@': 228}), 27: (1, {'@': 228}), 52: (1, {'@': 228}), 28: (1, {'@': 228}), 3: (1, {'@': 228}), 31: (1, {'@': 228})}, 349: {16: (1, {'@': 229}), 2: (1, {'@': 229}), 34: (1, {'@': 229}), 35: (1, {'@': 229}), 36: (1, {'@': 229}), 20: (1, {'@': 229}), 37: (1, {'@': 229}), 4: (1, {'@': 229}), 38: (1, {'@': 229}), 22: (1, {'@': 229}), 25: (1, {'@': 229}), 39: (1, {'@': 229}), 40: (1, {'@': 229}), 30: (1, {'@': 229}), 41: (1, {'@': 229}), 13: (1, {'@': 229}), 42: (1, {'@': 229}), 43: (1, {'@': 229}), 29: (1, {'@': 229}), 15: (1, {'@': 229}), 32: (1, {'@': 229}), 44: (1, {'@': 229}), 45: (1, {'@': 229}), 46: (1, {'@': 229}), 47: (1, {'@': 229}), 18: (1, {'@': 229}), 19: (1, {'@': 229}), 0: (1, {'@': 229}), 23: (1, {'@': 229}), 24: (1, {'@': 229}), 48: (1, {'@': 229}), 49: (1, {'@': 229}), 26: (1, {'@': 229}), 50: (1, {'@': 229}), 51: (1, {'@': 229}), 27: (1, {'@': 229}), 52: (1, {'@': 229}), 28: (1, {'@': 229}), 3: (1, {'@': 229}), 31: (1, {'@': 229})}, 350: {16: (1, {'@': 230}), 2: (1, {'@': 230}), 34: (1, {'@': 230}), 35: (1, {'@': 230}), 36: (1, {'@': 230}), 20: (1, {'@': 230}), 37: (1, {'@': 230}), 4: (1, {'@': 230}), 38: (1, {'@': 230}), 22: (1, {'@': 230}), 25: (1, {'@': 230}), 39: (1, {'@': 230}), 40: (1, {'@': 230}), 30: (1, {'@': 230}), 41: (1, {'@': 230}), 13: (1, {'@': 230}), 42: (1, {'@': 230}), 43: (1, {'@': 230}), 29: (1, {'@': 230}), 15: (1, {'@': 230}), 32: (1, {'@': 230}), 44: (1, {'@': 230}), 45: (1, {'@': 230}), 46: (1, {'@': 230}), 47: (1, {'@': 230}), 18: (1, {'@': 230}), 19: (1, {'@': 230}), 0: (1, {'@': 230}), 23: (1, {'@': 230}), 24: (1, {'@': 230}), 48: (1, {'@': 230}), 49: (1, {'@': 230}), 26: (1, {'@': 230}), 50: (1, {'@': 230}), 51: (1, {'@': 230}), 27: (1, {'@': 230}), 52: (1, {'@': 230}), 28: (1, {'@': 230}), 3: (1, {'@': 230}), 31: (1, {'@': 230})}, 351: {16: (1, {'@': 231}), 52: (1, {'@': 231}), 2: (1, {'@': 231}), 34: (1, {'@': 231}), 35: (1, {'@': 231}), 20: (1, {'@': 231}), 37: (1, {'@': 231}), 4: (1, {'@': 231}), 38: (1, {'@': 231}), 22: (1, {'@': 231}), 25: (1, {'@': 231}), 39: (1, {'@': 231}), 40: (1, {'@': 231}), 30: (1, {'@': 231}), 41: (1, {'@': 231}), 13: (1, {'@': 231}), 42: (1, {'@': 231}), 43: (1, {'@': 231}), 29: (1, {'@': 231}), 15: (1, {'@': 231}), 32: (1, {'@': 231}), 44: (1, {'@': 231}), 45: (1, {'@': 231}), 46: (1, {'@': 231}), 47: (1, {'@': 231}), 18: (1, {'@': 231}), 19: (1, {'@': 231}), 0: (1, {'@': 231}), 23: (1, {'@': 231}), 24: (1, {'@': 231}), 48: (1, {'@': 231}), 49: (1, {'@': 231}), 26: (1, {'@': 231}), 50: (1, {'@': 231}), 51: (1, {'@': 231}), 27: (1, {'@': 231}), 36: (1, {'@': 231}), 28: (1, {'@': 231}), 3: (1, {'@': 231}), 31: (1, {'@': 231})}, 352: {3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 399), 4: (0, 7), 0: (0, 400)}, 353: {6: (0, 401), 7: (0, 3), 4: (0, 7), 90: (0, 402), 16: (0, 193), 3: (0, 10), 0: (0, 403), 2: (0, 11)}, 354: {16: (0, 193), 3: (0, 10), 7: (0, 3), 2: (0, 11), 90: (0, 404), 4: (0, 7), 0: (0, 405), 6: (0, 406)}, 355: {16: (1, {'@': 232}), 2: (1, {'@': 232}), 34: (1, {'@': 232}), 35: (1, {'@': 232}), 36: (1, {'@': 232}), 20: (1, {'@': 232}), 37: (1, {'@': 232}), 4: (1, {'@': 232}), 38: (1, {'@': 232}), 22: (1, {'@': 232}), 25: (1, {'@': 232}), 39: (1, {'@': 232}), 40: (1, {'@': 232}), 30: (1, {'@': 232}), 41: (1, {'@': 232}), 13: (1, {'@': 232}), 42: (1, {'@': 232}), 43: (1, {'@': 232}), 29: (1, {'@': 232}), 15: (1, {'@': 232}), 32: (1, {'@': 232}), 44: (1, {'@': 232}), 45: (1, {'@': 232}), 46: (1, {'@': 232}), 47: (1, {'@': 232}), 18: (1, {'@': 232}), 19: (1, {'@': 232}), 0: (1, {'@': 232}), 23: (1, {'@': 232}), 24: (1, {'@': 232}), 48: (1, {'@': 232}), 49: (1, {'@': 232}), 26: (1, {'@': 232}), 50: (1, {'@': 232}), 51: (1, {'@': 232}), 27: (1, {'@': 232}), 52: (1, {'@': 232}), 28: (1, {'@': 232}), 3: (1, {'@': 232}), 31: (1, {'@': 232})}, 356: {16: (1, {'@': 233}), 2: (1, {'@': 233}), 34: (1, {'@': 233}), 35: (1, {'@': 233}), 36: (1, {'@': 233}), 20: (1, {'@': 233}), 37: (1, {'@': 233}), 4: (1, {'@': 233}), 38: (1, {'@': 233}), 22: (1, {'@': 233}), 25: (1, {'@': 233}), 39: (1, {'@': 233}), 40: (1, {'@': 233}), 30: (1, {'@': 233}), 41: (1, {'@': 233}), 13: (1, {'@': 233}), 42: (1, {'@': 233}), 43: (1, {'@': 233}), 29: (1, {'@': 233}), 15: (1, {'@': 233}), 32: (1, {'@': 233}), 44: (1, {'@': 233}), 45: (1, {'@': 233}), 46: (1, {'@': 233}), 47: (1, {'@': 233}), 18: (1, {'@': 233}), 19: (1, {'@': 233}), 0: (1, {'@': 233}), 23: (1, {'@': 233}), 24: (1, {'@': 233}), 48: (1, {'@': 233}), 49: (1, {'@': 233}), 26: (1, {'@': 233}), 50: (1, {'@': 233}), 51: (1, {'@': 233}), 27: (1, {'@': 233}), 52: (1, {'@': 233}), 28: (1, {'@': 233}), 3: (1, {'@': 233}), 31: (1, {'@': 233})}, 357: {42: (0, 103), 83: (0, 105), 6: (0, 407), 0: (0, 408), 48: (0, 106), 36: (0, 409), 15: (0, 110), 90: (0, 410), 84: (0, 111), 52: (0, 112), 49: (0, 117), 50: (0, 113), 46: (0, 118), 35: (0, 102), 7: (0, 3), 44: (0, 104), 4: (0, 7), 38: (0, 107), 3: (0, 10), 16: (0, 193), 2: (0, 11), 37: (0, 108), 40: (0, 115), 45: (0, 114), 41: (0, 116)}, 358: {4: (1, {'@': 164}), 3: (1, {'@': 164}), 22: (0, 290), 2: (1, {'@': 164}), 28: (0, 296)}, 359: {4: (1, {'@': 234}), 3: (1, {'@': 234}), 22: (1, {'@': 234}), 2: (1, {'@': 234}), 18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 327), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 360: {4: (1, {'@': 235}), 3: (1, {'@': 235}), 22: (1, {'@': 235}), 2: (1, {'@': 235})}, 361: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 325), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 6: (0, 411), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 362: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 322), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 363: {16: (1, {'@': 236}), 2: (1, {'@': 236}), 34: (1, {'@': 236}), 35: (1, {'@': 236}), 36: (1, {'@': 236}), 20: (1, {'@': 236}), 37: (1, {'@': 236}), 4: (1, {'@': 236}), 38: (1, {'@': 236}), 22: (1, {'@': 236}), 25: (1, {'@': 236}), 39: (1, {'@': 236}), 40: (1, {'@': 236}), 30: (1, {'@': 236}), 41: (1, {'@': 236}), 13: (1, {'@': 236}), 42: (1, {'@': 236}), 43: (1, {'@': 236}), 29: (1, {'@': 236}), 15: (1, {'@': 236}), 32: (1, {'@': 236}), 44: (1, {'@': 236}), 45: (1, {'@': 236}), 46: (1, {'@': 236}), 47: (1, {'@': 236}), 18: (1, {'@': 236}), 19: (1, {'@': 236}), 0: (1, {'@': 236}), 23: (1, {'@': 236}), 24: (1, {'@': 236}), 48: (1, {'@': 236}), 49: (1, {'@': 236}), 26: (1, {'@': 236}), 50: (1, {'@': 236}), 51: (1, {'@': 236}), 27: (1, {'@': 236}), 52: (1, {'@': 236}), 28: (1, {'@': 236}), 3: (1, {'@': 236}), 31: (1, {'@': 236})}, 364: {16: (1, {'@': 237}), 2: (1, {'@': 237}), 34: (1, {'@': 237}), 35: (1, {'@': 237}), 36: (1, {'@': 237}), 20: (1, {'@': 237}), 37: (1, {'@': 237}), 4: (1, {'@': 237}), 38: (1, {'@': 237}), 22: (1, {'@': 237}), 25: (1, {'@': 237}), 39: (1, {'@': 237}), 40: (1, {'@': 237}), 30: (1, {'@': 237}), 41: (1, {'@': 237}), 13: (1, {'@': 237}), 42: (1, {'@': 237}), 43: (1, {'@': 237}), 29: (1, {'@': 237}), 15: (1, {'@': 237}), 32: (1, {'@': 237}), 44: (1, {'@': 237}), 45: (1, {'@': 237}), 46: (1, {'@': 237}), 47: (1, {'@': 237}), 18: (1, {'@': 237}), 19: (1, {'@': 237}), 0: (1, {'@': 237}), 23: (1, {'@': 237}), 24: (1, {'@': 237}), 48: (1, {'@': 237}), 49: (1, {'@': 237}), 26: (1, {'@': 237}), 50: (1, {'@': 237}), 51: (1, {'@': 237}), 27: (1, {'@': 237}), 52: (1, {'@': 237}), 28: (1, {'@': 237}), 3: (1, {'@': 237}), 31: (1, {'@': 237})}, 365: {32: (0, 412)}, 366: {16: (1, {'@': 238}), 2: (1, {'@': 238}), 34: (1, {'@': 238}), 35: (1, {'@': 238}), 36: (1, {'@': 238}), 20: (1, {'@': 238}), 37: (1, {'@': 238}), 4: (1, {'@': 238}), 38: (1, {'@': 238}), 22: (1, {'@': 238}), 25: (1, {'@': 238}), 39: (1, {'@': 238}), 40: (1, {'@': 238}), 30: (1, {'@': 238}), 41: (1, {'@': 238}), 13: (1, {'@': 238}), 42: (1, {'@': 238}), 43: (1, {'@': 238}), 29: (1, {'@': 238}), 15: (1, {'@': 238}), 32: (1, {'@': 238}), 44: (1, {'@': 238}), 45: (1, {'@': 238}), 46: (1, {'@': 238}), 47: (1, {'@': 238}), 18: (1, {'@': 238}), 19: (1, {'@': 238}), 0: (1, {'@': 238}), 23: (1, {'@': 238}), 24: (1, {'@': 238}), 48: (1, {'@': 238}), 49: (1, {'@': 238}), 26: (1, {'@': 238}), 50: (1, {'@': 238}), 51: (1, {'@': 238}), 27: (1, {'@': 238}), 52: (1, {'@': 238}), 28: (1, {'@': 238}), 3: (1, {'@': 238}), 31: (1, {'@': 238})}, 367: {16: (1, {'@': 239}), 2: (1, {'@': 239}), 34: (1, {'@': 239}), 35: (1, {'@': 239}), 36: (1, {'@': 239}), 20: (1, {'@': 239}), 37: (1, {'@': 239}), 4: (1, {'@': 239}), 38: (1, {'@': 239}), 22: (1, {'@': 239}), 25: (1, {'@': 239}), 39: (1, {'@': 239}), 40: (1, {'@': 239}), 30: (1, {'@': 239}), 41: (1, {'@': 239}), 13: (1, {'@': 239}), 42: (1, {'@': 239}), 43: (1, {'@': 239}), 29: (1, {'@': 239}), 15: (1, {'@': 239}), 32: (1, {'@': 239}), 44: (1, {'@': 239}), 45: (1, {'@': 239}), 46: (1, {'@': 239}), 47: (1, {'@': 239}), 18: (1, {'@': 239}), 19: (1, {'@': 239}), 0: (1, {'@': 239}), 23: (1, {'@': 239}), 24: (1, {'@': 239}), 48: (1, {'@': 239}), 49: (1, {'@': 239}), 26: (1, {'@': 239}), 50: (1, {'@': 239}), 51: (1, {'@': 239}), 27: (1, {'@': 239}), 52: (1, {'@': 239}), 28: (1, {'@': 239}), 3: (1, {'@': 239}), 31: (1, {'@': 239})}, 368: {16: (1, {'@': 240}), 2: (1, {'@': 240}), 34: (1, {'@': 240}), 35: (1, {'@': 240}), 36: (1, {'@': 240}), 20: (1, {'@': 240}), 37: (1, {'@': 240}), 4: (1, {'@': 240}), 38: (1, {'@': 240}), 22: (1, {'@': 240}), 25: (1, {'@': 240}), 39: (1, {'@': 240}), 40: (1, {'@': 240}), 30: (1, {'@': 240}), 41: (1, {'@': 240}), 13: (1, {'@': 240}), 42: (1, {'@': 240}), 43: (1, {'@': 240}), 29: (1, {'@': 240}), 15: (1, {'@': 240}), 32: (1, {'@': 240}), 44: (1, {'@': 240}), 45: (1, {'@': 240}), 46: (1, {'@': 240}), 47: (1, {'@': 240}), 18: (1, {'@': 240}), 19: (1, {'@': 240}), 0: (1, {'@': 240}), 23: (1, {'@': 240}), 24: (1, {'@': 240}), 48: (1, {'@': 240}), 49: (1, {'@': 240}), 26: (1, {'@': 240}), 50: (1, {'@': 240}), 51: (1, {'@': 240}), 27: (1, {'@': 240}), 52: (1, {'@': 240}), 28: (1, {'@': 240}), 3: (1, {'@': 240}), 31: (1, {'@': 240})}, 369: {3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 6: (0, 413), 32: (0, 414)}, 370: {32: (0, 415)}, 371: {32: (0, 416)}, 372: {16: (1, {'@': 241}), 2: (1, {'@': 241}), 34: (1, {'@': 241}), 35: (1, {'@': 241}), 36: (1, {'@': 241}), 20: (1, {'@': 241}), 37: (1, {'@': 241}), 4: (1, {'@': 241}), 38: (1, {'@': 241}), 22: (1, {'@': 241}), 25: (1, {'@': 241}), 39: (1, {'@': 241}), 40: (1, {'@': 241}), 30: (1, {'@': 241}), 41: (1, {'@': 241}), 13: (1, {'@': 241}), 42: (1, {'@': 241}), 43: (1, {'@': 241}), 29: (1, {'@': 241}), 15: (1, {'@': 241}), 32: (1, {'@': 241}), 44: (1, {'@': 241}), 45: (1, {'@': 241}), 46: (1, {'@': 241}), 47: (1, {'@': 241}), 18: (1, {'@': 241}), 19: (1, {'@': 241}), 0: (1, {'@': 241}), 23: (1, {'@': 241}), 24: (1, {'@': 241}), 48: (1, {'@': 241}), 49: (1, {'@': 241}), 26: (1, {'@': 241}), 50: (1, {'@': 241}), 51: (1, {'@': 241}), 27: (1, {'@': 241}), 52: (1, {'@': 241}), 28: (1, {'@': 241}), 3: (1, {'@': 241}), 31: (1, {'@': 241})}, 373: {16: (1, {'@': 242}), 2: (1, {'@': 242}), 34: (1, {'@': 242}), 35: (1, {'@': 242}), 36: (1, {'@': 242}), 20: (1, {'@': 242}), 37: (1, {'@': 242}), 4: (1, {'@': 242}), 38: (1, {'@': 242}), 22: (1, {'@': 242}), 25: (1, {'@': 242}), 39: (1, {'@': 242}), 40: (1, {'@': 242}), 30: (1, {'@': 242}), 41: (1, {'@': 242}), 13: (1, {'@': 242}), 42: (1, {'@': 242}), 43: (1, {'@': 242}), 29: (1, {'@': 242}), 15: (1, {'@': 242}), 32: (1, {'@': 242}), 44: (1, {'@': 242}), 45: (1, {'@': 242}), 46: (1, {'@': 242}), 47: (1, {'@': 242}), 18: (1, {'@': 242}), 19: (1, {'@': 242}), 0: (1, {'@': 242}), 23: (1, {'@': 242}), 24: (1, {'@': 242}), 48: (1, {'@': 242}), 49: (1, {'@': 242}), 26: (1, {'@': 242}), 50: (1, {'@': 242}), 51: (1, {'@': 242}), 27: (1, {'@': 242}), 52: (1, {'@': 242}), 28: (1, {'@': 242}), 3: (1, {'@': 242}), 31: (1, {'@': 242})}, 374: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 32: (0, 417), 27: (0, 52), 65: (0, 53), 66: (0, 379), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 375: {16: (1, {'@': 243}), 2: (1, {'@': 243}), 34: (1, {'@': 243}), 35: (1, {'@': 243}), 36: (1, {'@': 243}), 20: (1, {'@': 243}), 37: (1, {'@': 243}), 4: (1, {'@': 243}), 38: (1, {'@': 243}), 22: (1, {'@': 243}), 25: (1, {'@': 243}), 39: (1, {'@': 243}), 40: (1, {'@': 243}), 30: (1, {'@': 243}), 41: (1, {'@': 243}), 13: (1, {'@': 243}), 42: (1, {'@': 243}), 43: (1, {'@': 243}), 29: (1, {'@': 243}), 15: (1, {'@': 243}), 32: (1, {'@': 243}), 44: (1, {'@': 243}), 45: (1, {'@': 243}), 46: (1, {'@': 243}), 47: (1, {'@': 243}), 18: (1, {'@': 243}), 19: (1, {'@': 243}), 0: (1, {'@': 243}), 23: (1, {'@': 243}), 24: (1, {'@': 243}), 48: (1, {'@': 243}), 49: (1, {'@': 243}), 26: (1, {'@': 243}), 50: (1, {'@': 243}), 51: (1, {'@': 243}), 27: (1, {'@': 243}), 52: (1, {'@': 243}), 28: (1, {'@': 243}), 3: (1, {'@': 243}), 31: (1, {'@': 243})}, 376: {16: (1, {'@': 244}), 2: (1, {'@': 244}), 34: (1, {'@': 244}), 35: (1, {'@': 244}), 36: (1, {'@': 244}), 20: (1, {'@': 244}), 37: (1, {'@': 244}), 4: (1, {'@': 244}), 38: (1, {'@': 244}), 22: (1, {'@': 244}), 25: (1, {'@': 244}), 39: (1, {'@': 244}), 40: (1, {'@': 244}), 30: (1, {'@': 244}), 41: (1, {'@': 244}), 13: (1, {'@': 244}), 42: (1, {'@': 244}), 43: (1, {'@': 244}), 29: (1, {'@': 244}), 15: (1, {'@': 244}), 32: (1, {'@': 244}), 44: (1, {'@': 244}), 45: (1, {'@': 244}), 46: (1, {'@': 244}), 47: (1, {'@': 244}), 18: (1, {'@': 244}), 19: (1, {'@': 244}), 0: (1, {'@': 244}), 23: (1, {'@': 244}), 24: (1, {'@': 244}), 48: (1, {'@': 244}), 49: (1, {'@': 244}), 26: (1, {'@': 244}), 50: (1, {'@': 244}), 51: (1, {'@': 244}), 27: (1, {'@': 244}), 52: (1, {'@': 244}), 28: (1, {'@': 244}), 3: (1, {'@': 244}), 31: (1, {'@': 244})}, 377: {16: (1, {'@': 245}), 2: (1, {'@': 245}), 34: (1, {'@': 245}), 35: (1, {'@': 245}), 36: (1, {'@': 245}), 20: (1, {'@': 245}), 37: (1, {'@': 245}), 4: (1, {'@': 245}), 38: (1, {'@': 245}), 22: (1, {'@': 245}), 25: (1, {'@': 245}), 39: (1, {'@': 245}), 40: (1, {'@': 245}), 30: (1, {'@': 245}), 41: (1, {'@': 245}), 13: (1, {'@': 245}), 42: (1, {'@': 245}), 43: (1, {'@': 245}), 29: (1, {'@': 245}), 15: (1, {'@': 245}), 32: (1, {'@': 245}), 44: (1, {'@': 245}), 45: (1, {'@': 245}), 46: (1, {'@': 245}), 47: (1, {'@': 245}), 18: (1, {'@': 245}), 19: (1, {'@': 245}), 0: (1, {'@': 245}), 23: (1, {'@': 245}), 24: (1, {'@': 245}), 48: (1, {'@': 245}), 49: (1, {'@': 245}), 26: (1, {'@': 245}), 50: (1, {'@': 245}), 51: (1, {'@': 245}), 27: (1, {'@': 245}), 52: (1, {'@': 245}), 28: (1, {'@': 245}), 3: (1, {'@': 245}), 31: (1, {'@': 245})}, 378: {16: (1, {'@': 246}), 2: (1, {'@': 246}), 34: (1, {'@': 246}), 35: (1, {'@': 246}), 36: (1, {'@': 246}), 20: (1, {'@': 246}), 37: (1, {'@': 246}), 4: (1, {'@': 246}), 38: (1, {'@': 246}), 22: (1, {'@': 246}), 25: (1, {'@': 246}), 39: (1, {'@': 246}), 40: (1, {'@': 246}), 30: (1, {'@': 246}), 41: (1, {'@': 246}), 13: (1, {'@': 246}), 42: (1, {'@': 246}), 43: (1, {'@': 246}), 29: (1, {'@': 246}), 15: (1, {'@': 246}), 32: (1, {'@': 246}), 44: (1, {'@': 246}), 45: (1, {'@': 246}), 46: (1, {'@': 246}), 47: (1, {'@': 246}), 18: (1, {'@': 246}), 19: (1, {'@': 246}), 0: (1, {'@': 246}), 23: (1, {'@': 246}), 24: (1, {'@': 246}), 48: (1, {'@': 246}), 49: (1, {'@': 246}), 26: (1, {'@': 246}), 50: (1, {'@': 246}), 51: (1, {'@': 246}), 27: (1, {'@': 246}), 52: (1, {'@': 246}), 28: (1, {'@': 246}), 3: (1, {'@': 246}), 31: (1, {'@': 246})}, 379: {2: (1, {'@': 247}), 36: (1, {'@': 247}), 28: (1, {'@': 247}), 3: (1, {'@': 247}), 22: (1, {'@': 247}), 4: (1, {'@': 247}), 32: (1, {'@': 247}), 35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 380: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 66: (0, 418), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 6: (0, 419), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 381: {21: (0, 420)}, 382: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 421), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 383: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 39: (0, 422), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 384: {15: (1, {'@': 248}), 13: (1, {'@': 248}), 2: (0, 11), 18: (1, {'@': 248}), 19: (1, {'@': 248}), 20: (1, {'@': 248}), 4: (0, 7), 23: (1, {'@': 248}), 24: (1, {'@': 248}), 25: (1, {'@': 248}), 26: (1, {'@': 248}), 27: (1, {'@': 248}), 29: (1, {'@': 248}), 30: (1, {'@': 248}), 3: (0, 10), 31: (1, {'@': 248}), 7: (0, 3), 6: (0, 423)}, 385: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 39: (0, 424), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 386: {15: (1, {'@': 249}), 13: (1, {'@': 249}), 2: (1, {'@': 249}), 18: (1, {'@': 249}), 19: (1, {'@': 249}), 20: (1, {'@': 249}), 4: (1, {'@': 249}), 23: (1, {'@': 249}), 24: (1, {'@': 249}), 25: (1, {'@': 249}), 26: (1, {'@': 249}), 27: (1, {'@': 249}), 29: (1, {'@': 249}), 30: (1, {'@': 249}), 3: (1, {'@': 249}), 31: (1, {'@': 249})}, 387: {15: (1, {'@': 250}), 13: (1, {'@': 250}), 2: (0, 11), 18: (1, {'@': 250}), 19: (1, {'@': 250}), 20: (1, {'@': 250}), 4: (0, 7), 23: (1, {'@': 250}), 24: (1, {'@': 250}), 25: (1, {'@': 250}), 26: (1, {'@': 250}), 27: (1, {'@': 250}), 29: (1, {'@': 250}), 30: (1, {'@': 250}), 3: (0, 10), 31: (1, {'@': 250}), 7: (0, 3), 6: (0, 425)}, 388: {6: (0, 426), 3: (0, 10), 7: (0, 3), 21: (0, 427), 2: (0, 11), 4: (0, 7)}, 389: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 6: (0, 428), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 429), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 390: {15: (1, {'@': 251}), 13: (1, {'@': 251}), 2: (0, 11), 18: (1, {'@': 251}), 19: (1, {'@': 251}), 20: (1, {'@': 251}), 4: (0, 7), 23: (1, {'@': 251}), 24: (1, {'@': 251}), 25: (1, {'@': 251}), 26: (1, {'@': 251}), 27: (1, {'@': 251}), 29: (1, {'@': 251}), 30: (1, {'@': 251}), 3: (0, 10), 31: (1, {'@': 251}), 7: (0, 3), 6: (0, 430)}, 391: {35: (0, 102), 39: (0, 431), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 392: {35: (0, 102), 39: (0, 432), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 393: {66: (0, 433), 18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 394: {16: (1, {'@': 252}), 2: (1, {'@': 252}), 34: (1, {'@': 252}), 35: (1, {'@': 252}), 36: (1, {'@': 252}), 20: (1, {'@': 252}), 37: (1, {'@': 252}), 4: (1, {'@': 252}), 38: (1, {'@': 252}), 22: (1, {'@': 252}), 25: (1, {'@': 252}), 39: (1, {'@': 252}), 40: (1, {'@': 252}), 30: (1, {'@': 252}), 41: (1, {'@': 252}), 13: (1, {'@': 252}), 42: (1, {'@': 252}), 43: (1, {'@': 252}), 29: (1, {'@': 252}), 15: (1, {'@': 252}), 32: (1, {'@': 252}), 44: (1, {'@': 252}), 45: (1, {'@': 252}), 46: (1, {'@': 252}), 47: (1, {'@': 252}), 18: (1, {'@': 252}), 19: (1, {'@': 252}), 0: (1, {'@': 252}), 23: (1, {'@': 252}), 24: (1, {'@': 252}), 48: (1, {'@': 252}), 49: (1, {'@': 252}), 26: (1, {'@': 252}), 50: (1, {'@': 252}), 51: (1, {'@': 252}), 27: (1, {'@': 252}), 52: (1, {'@': 252}), 28: (1, {'@': 252}), 3: (1, {'@': 252}), 31: (1, {'@': 252})}, 395: {16: (1, {'@': 253}), 2: (1, {'@': 253}), 34: (1, {'@': 253}), 35: (1, {'@': 253}), 36: (1, {'@': 253}), 20: (1, {'@': 253}), 37: (1, {'@': 253}), 4: (1, {'@': 253}), 38: (1, {'@': 253}), 22: (1, {'@': 253}), 25: (1, {'@': 253}), 39: (1, {'@': 253}), 40: (1, {'@': 253}), 30: (1, {'@': 253}), 41: (1, {'@': 253}), 13: (1, {'@': 253}), 42: (1, {'@': 253}), 43: (1, {'@': 253}), 29: (1, {'@': 253}), 15: (1, {'@': 253}), 32: (1, {'@': 253}), 44: (1, {'@': 253}), 45: (1, {'@': 253}), 46: (1, {'@': 253}), 47: (1, {'@': 253}), 18: (1, {'@': 253}), 19: (1, {'@': 253}), 0: (1, {'@': 253}), 23: (1, {'@': 253}), 24: (1, {'@': 253}), 48: (1, {'@': 253}), 49: (1, {'@': 253}), 26: (1, {'@': 253}), 50: (1, {'@': 253}), 51: (1, {'@': 253}), 27: (1, {'@': 253}), 52: (1, {'@': 253}), 28: (1, {'@': 253}), 3: (1, {'@': 253}), 31: (1, {'@': 253})}, 396: {32: (0, 434)}, 397: {16: (1, {'@': 254}), 2: (1, {'@': 254}), 34: (1, {'@': 254}), 35: (1, {'@': 254}), 36: (1, {'@': 254}), 20: (1, {'@': 254}), 37: (1, {'@': 254}), 4: (1, {'@': 254}), 38: (1, {'@': 254}), 22: (1, {'@': 254}), 25: (1, {'@': 254}), 39: (1, {'@': 254}), 40: (1, {'@': 254}), 30: (1, {'@': 254}), 41: (1, {'@': 254}), 13: (1, {'@': 254}), 42: (1, {'@': 254}), 43: (1, {'@': 254}), 29: (1, {'@': 254}), 15: (1, {'@': 254}), 32: (1, {'@': 254}), 44: (1, {'@': 254}), 45: (1, {'@': 254}), 46: (1, {'@': 254}), 47: (1, {'@': 254}), 18: (1, {'@': 254}), 19: (1, {'@': 254}), 0: (1, {'@': 254}), 23: (1, {'@': 254}), 24: (1, {'@': 254}), 48: (1, {'@': 254}), 49: (1, {'@': 254}), 26: (1, {'@': 254}), 50: (1, {'@': 254}), 51: (1, {'@': 254}), 27: (1, {'@': 254}), 52: (1, {'@': 254}), 28: (1, {'@': 254}), 3: (1, {'@': 254}), 31: (1, {'@': 254})}, 398: {16: (1, {'@': 255}), 2: (1, {'@': 255}), 34: (1, {'@': 255}), 35: (1, {'@': 255}), 36: (1, {'@': 255}), 20: (1, {'@': 255}), 37: (1, {'@': 255}), 4: (1, {'@': 255}), 38: (1, {'@': 255}), 22: (1, {'@': 255}), 25: (1, {'@': 255}), 39: (1, {'@': 255}), 40: (1, {'@': 255}), 30: (1, {'@': 255}), 41: (1, {'@': 255}), 13: (1, {'@': 255}), 42: (1, {'@': 255}), 43: (1, {'@': 255}), 29: (1, {'@': 255}), 15: (1, {'@': 255}), 32: (1, {'@': 255}), 44: (1, {'@': 255}), 45: (1, {'@': 255}), 46: (1, {'@': 255}), 47: (1, {'@': 255}), 18: (1, {'@': 255}), 19: (1, {'@': 255}), 0: (1, {'@': 255}), 23: (1, {'@': 255}), 24: (1, {'@': 255}), 48: (1, {'@': 255}), 49: (1, {'@': 255}), 26: (1, {'@': 255}), 50: (1, {'@': 255}), 51: (1, {'@': 255}), 27: (1, {'@': 255}), 52: (1, {'@': 255}), 28: (1, {'@': 255}), 3: (1, {'@': 255}), 31: (1, {'@': 255})}, 399: {0: (0, 435)}, 400: {16: (1, {'@': 256}), 2: (1, {'@': 256}), 34: (1, {'@': 256}), 35: (1, {'@': 256}), 36: (1, {'@': 256}), 20: (1, {'@': 256}), 37: (1, {'@': 256}), 4: (1, {'@': 256}), 38: (1, {'@': 256}), 22: (1, {'@': 256}), 25: (1, {'@': 256}), 39: (1, {'@': 256}), 40: (1, {'@': 256}), 30: (1, {'@': 256}), 41: (1, {'@': 256}), 13: (1, {'@': 256}), 42: (1, {'@': 256}), 43: (1, {'@': 256}), 29: (1, {'@': 256}), 15: (1, {'@': 256}), 32: (1, {'@': 256}), 44: (1, {'@': 256}), 45: (1, {'@': 256}), 46: (1, {'@': 256}), 47: (1, {'@': 256}), 18: (1, {'@': 256}), 19: (1, {'@': 256}), 0: (1, {'@': 256}), 23: (1, {'@': 256}), 24: (1, {'@': 256}), 48: (1, {'@': 256}), 49: (1, {'@': 256}), 26: (1, {'@': 256}), 50: (1, {'@': 256}), 51: (1, {'@': 256}), 27: (1, {'@': 256}), 52: (1, {'@': 256}), 28: (1, {'@': 256}), 3: (1, {'@': 256}), 31: (1, {'@': 256})}, 401: {90: (0, 436), 0: (0, 437), 3: (0, 10), 7: (0, 3), 16: (0, 193), 2: (0, 11), 4: (0, 7), 6: (0, 438)}, 402: {3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 0: (0, 439), 6: (0, 440)}, 403: {16: (1, {'@': 257}), 2: (1, {'@': 257}), 34: (1, {'@': 257}), 35: (1, {'@': 257}), 36: (1, {'@': 257}), 20: (1, {'@': 257}), 37: (1, {'@': 257}), 4: (1, {'@': 257}), 38: (1, {'@': 257}), 22: (1, {'@': 257}), 25: (1, {'@': 257}), 39: (1, {'@': 257}), 40: (1, {'@': 257}), 30: (1, {'@': 257}), 41: (1, {'@': 257}), 13: (1, {'@': 257}), 42: (1, {'@': 257}), 43: (1, {'@': 257}), 29: (1, {'@': 257}), 15: (1, {'@': 257}), 32: (1, {'@': 257}), 44: (1, {'@': 257}), 45: (1, {'@': 257}), 46: (1, {'@': 257}), 47: (1, {'@': 257}), 18: (1, {'@': 257}), 19: (1, {'@': 257}), 0: (1, {'@': 257}), 23: (1, {'@': 257}), 24: (1, {'@': 257}), 48: (1, {'@': 257}), 49: (1, {'@': 257}), 26: (1, {'@': 257}), 50: (1, {'@': 257}), 51: (1, {'@': 257}), 27: (1, {'@': 257}), 52: (1, {'@': 257}), 28: (1, {'@': 257}), 3: (1, {'@': 257}), 31: (1, {'@': 257})}, 404: {3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 441), 4: (0, 7), 0: (0, 442)}, 405: {16: (1, {'@': 258}), 2: (1, {'@': 258}), 34: (1, {'@': 258}), 35: (1, {'@': 258}), 36: (1, {'@': 258}), 20: (1, {'@': 258}), 37: (1, {'@': 258}), 4: (1, {'@': 258}), 38: (1, {'@': 258}), 22: (1, {'@': 258}), 25: (1, {'@': 258}), 39: (1, {'@': 258}), 40: (1, {'@': 258}), 30: (1, {'@': 258}), 41: (1, {'@': 258}), 13: (1, {'@': 258}), 42: (1, {'@': 258}), 43: (1, {'@': 258}), 29: (1, {'@': 258}), 15: (1, {'@': 258}), 32: (1, {'@': 258}), 44: (1, {'@': 258}), 45: (1, {'@': 258}), 46: (1, {'@': 258}), 47: (1, {'@': 258}), 18: (1, {'@': 258}), 19: (1, {'@': 258}), 0: (1, {'@': 258}), 23: (1, {'@': 258}), 24: (1, {'@': 258}), 48: (1, {'@': 258}), 49: (1, {'@': 258}), 26: (1, {'@': 258}), 50: (1, {'@': 258}), 51: (1, {'@': 258}), 27: (1, {'@': 258}), 52: (1, {'@': 258}), 28: (1, {'@': 258}), 3: (1, {'@': 258}), 31: (1, {'@': 258})}, 406: {0: (0, 443)}, 407: {7: (0, 3), 16: (0, 193), 3: (0, 10), 2: (0, 11), 0: (0, 444), 4: (0, 7), 6: (0, 445), 90: (0, 446)}, 408: {16: (1, {'@': 259}), 2: (1, {'@': 259}), 34: (1, {'@': 259}), 35: (1, {'@': 259}), 36: (1, {'@': 259}), 20: (1, {'@': 259}), 37: (1, {'@': 259}), 4: (1, {'@': 259}), 38: (1, {'@': 259}), 22: (1, {'@': 259}), 25: (1, {'@': 259}), 39: (1, {'@': 259}), 40: (1, {'@': 259}), 30: (1, {'@': 259}), 41: (1, {'@': 259}), 13: (1, {'@': 259}), 42: (1, {'@': 259}), 43: (1, {'@': 259}), 29: (1, {'@': 259}), 15: (1, {'@': 259}), 32: (1, {'@': 259}), 44: (1, {'@': 259}), 45: (1, {'@': 259}), 46: (1, {'@': 259}), 47: (1, {'@': 259}), 18: (1, {'@': 259}), 19: (1, {'@': 259}), 0: (1, {'@': 259}), 23: (1, {'@': 259}), 24: (1, {'@': 259}), 48: (1, {'@': 259}), 49: (1, {'@': 259}), 26: (1, {'@': 259}), 50: (1, {'@': 259}), 51: (1, {'@': 259}), 27: (1, {'@': 259}), 52: (1, {'@': 259}), 28: (1, {'@': 259}), 3: (1, {'@': 259}), 31: (1, {'@': 259})}, 409: {0: (0, 447), 7: (0, 3), 6: (0, 448), 90: (0, 449), 4: (0, 7), 16: (0, 193), 3: (0, 10), 2: (0, 11)}, 410: {3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 0: (0, 450), 6: (0, 451)}, 411: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 66: (0, 379), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 412: {16: (1, {'@': 260}), 2: (1, {'@': 260}), 34: (1, {'@': 260}), 35: (1, {'@': 260}), 36: (1, {'@': 260}), 20: (1, {'@': 260}), 37: (1, {'@': 260}), 4: (1, {'@': 260}), 38: (1, {'@': 260}), 22: (1, {'@': 260}), 25: (1, {'@': 260}), 39: (1, {'@': 260}), 40: (1, {'@': 260}), 30: (1, {'@': 260}), 41: (1, {'@': 260}), 13: (1, {'@': 260}), 42: (1, {'@': 260}), 43: (1, {'@': 260}), 29: (1, {'@': 260}), 15: (1, {'@': 260}), 32: (1, {'@': 260}), 44: (1, {'@': 260}), 45: (1, {'@': 260}), 46: (1, {'@': 260}), 47: (1, {'@': 260}), 18: (1, {'@': 260}), 19: (1, {'@': 260}), 0: (1, {'@': 260}), 23: (1, {'@': 260}), 24: (1, {'@': 260}), 48: (1, {'@': 260}), 49: (1, {'@': 260}), 26: (1, {'@': 260}), 50: (1, {'@': 260}), 51: (1, {'@': 260}), 27: (1, {'@': 260}), 52: (1, {'@': 260}), 28: (1, {'@': 260}), 3: (1, {'@': 260}), 31: (1, {'@': 260})}, 413: {32: (0, 452)}, 414: {16: (1, {'@': 261}), 2: (1, {'@': 261}), 34: (1, {'@': 261}), 35: (1, {'@': 261}), 36: (1, {'@': 261}), 20: (1, {'@': 261}), 37: (1, {'@': 261}), 4: (1, {'@': 261}), 38: (1, {'@': 261}), 22: (1, {'@': 261}), 25: (1, {'@': 261}), 39: (1, {'@': 261}), 40: (1, {'@': 261}), 30: (1, {'@': 261}), 41: (1, {'@': 261}), 13: (1, {'@': 261}), 42: (1, {'@': 261}), 43: (1, {'@': 261}), 29: (1, {'@': 261}), 15: (1, {'@': 261}), 32: (1, {'@': 261}), 44: (1, {'@': 261}), 45: (1, {'@': 261}), 46: (1, {'@': 261}), 47: (1, {'@': 261}), 18: (1, {'@': 261}), 19: (1, {'@': 261}), 0: (1, {'@': 261}), 23: (1, {'@': 261}), 24: (1, {'@': 261}), 48: (1, {'@': 261}), 49: (1, {'@': 261}), 26: (1, {'@': 261}), 50: (1, {'@': 261}), 51: (1, {'@': 261}), 27: (1, {'@': 261}), 52: (1, {'@': 261}), 28: (1, {'@': 261}), 3: (1, {'@': 261}), 31: (1, {'@': 261})}, 415: {16: (1, {'@': 262}), 2: (1, {'@': 262}), 34: (1, {'@': 262}), 35: (1, {'@': 262}), 36: (1, {'@': 262}), 20: (1, {'@': 262}), 37: (1, {'@': 262}), 4: (1, {'@': 262}), 38: (1, {'@': 262}), 22: (1, {'@': 262}), 25: (1, {'@': 262}), 39: (1, {'@': 262}), 40: (1, {'@': 262}), 30: (1, {'@': 262}), 41: (1, {'@': 262}), 13: (1, {'@': 262}), 42: (1, {'@': 262}), 43: (1, {'@': 262}), 29: (1, {'@': 262}), 15: (1, {'@': 262}), 32: (1, {'@': 262}), 44: (1, {'@': 262}), 45: (1, {'@': 262}), 46: (1, {'@': 262}), 47: (1, {'@': 262}), 18: (1, {'@': 262}), 19: (1, {'@': 262}), 0: (1, {'@': 262}), 23: (1, {'@': 262}), 24: (1, {'@': 262}), 48: (1, {'@': 262}), 49: (1, {'@': 262}), 26: (1, {'@': 262}), 50: (1, {'@': 262}), 51: (1, {'@': 262}), 27: (1, {'@': 262}), 52: (1, {'@': 262}), 28: (1, {'@': 262}), 3: (1, {'@': 262}), 31: (1, {'@': 262})}, 416: {16: (1, {'@': 263}), 2: (1, {'@': 263}), 34: (1, {'@': 263}), 35: (1, {'@': 263}), 36: (1, {'@': 263}), 20: (1, {'@': 263}), 37: (1, {'@': 263}), 4: (1, {'@': 263}), 38: (1, {'@': 263}), 22: (1, {'@': 263}), 25: (1, {'@': 263}), 39: (1, {'@': 263}), 40: (1, {'@': 263}), 30: (1, {'@': 263}), 41: (1, {'@': 263}), 13: (1, {'@': 263}), 42: (1, {'@': 263}), 43: (1, {'@': 263}), 29: (1, {'@': 263}), 15: (1, {'@': 263}), 32: (1, {'@': 263}), 44: (1, {'@': 263}), 45: (1, {'@': 263}), 46: (1, {'@': 263}), 47: (1, {'@': 263}), 18: (1, {'@': 263}), 19: (1, {'@': 263}), 0: (1, {'@': 263}), 23: (1, {'@': 263}), 24: (1, {'@': 263}), 48: (1, {'@': 263}), 49: (1, {'@': 263}), 26: (1, {'@': 263}), 50: (1, {'@': 263}), 51: (1, {'@': 263}), 27: (1, {'@': 263}), 52: (1, {'@': 263}), 28: (1, {'@': 263}), 3: (1, {'@': 263}), 31: (1, {'@': 263})}, 417: {16: (1, {'@': 264}), 2: (1, {'@': 264}), 34: (1, {'@': 264}), 35: (1, {'@': 264}), 36: (1, {'@': 264}), 20: (1, {'@': 264}), 37: (1, {'@': 264}), 4: (1, {'@': 264}), 38: (1, {'@': 264}), 22: (1, {'@': 264}), 25: (1, {'@': 264}), 39: (1, {'@': 264}), 40: (1, {'@': 264}), 30: (1, {'@': 264}), 41: (1, {'@': 264}), 13: (1, {'@': 264}), 42: (1, {'@': 264}), 43: (1, {'@': 264}), 29: (1, {'@': 264}), 15: (1, {'@': 264}), 32: (1, {'@': 264}), 44: (1, {'@': 264}), 45: (1, {'@': 264}), 46: (1, {'@': 264}), 47: (1, {'@': 264}), 18: (1, {'@': 264}), 19: (1, {'@': 264}), 0: (1, {'@': 264}), 23: (1, {'@': 264}), 24: (1, {'@': 264}), 48: (1, {'@': 264}), 49: (1, {'@': 264}), 26: (1, {'@': 264}), 50: (1, {'@': 264}), 51: (1, {'@': 264}), 27: (1, {'@': 264}), 52: (1, {'@': 264}), 28: (1, {'@': 264}), 3: (1, {'@': 264}), 31: (1, {'@': 264})}, 418: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 39: (0, 453), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 419: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 66: (0, 454), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 420: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 66: (0, 455), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 6: (0, 456), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 421: {35: (0, 102), 42: (0, 103), 44: (0, 104), 39: (0, 457), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 422: {15: (1, {'@': 265}), 13: (1, {'@': 265}), 2: (0, 11), 18: (1, {'@': 265}), 19: (1, {'@': 265}), 20: (1, {'@': 265}), 4: (0, 7), 23: (1, {'@': 265}), 24: (1, {'@': 265}), 25: (1, {'@': 265}), 26: (1, {'@': 265}), 27: (1, {'@': 265}), 29: (1, {'@': 265}), 30: (1, {'@': 265}), 3: (0, 10), 31: (1, {'@': 265}), 6: (0, 458), 7: (0, 3)}, 423: {15: (1, {'@': 266}), 13: (1, {'@': 266}), 2: (1, {'@': 266}), 18: (1, {'@': 266}), 19: (1, {'@': 266}), 20: (1, {'@': 266}), 4: (1, {'@': 266}), 23: (1, {'@': 266}), 24: (1, {'@': 266}), 25: (1, {'@': 266}), 26: (1, {'@': 266}), 27: (1, {'@': 266}), 29: (1, {'@': 266}), 30: (1, {'@': 266}), 3: (1, {'@': 266}), 31: (1, {'@': 266})}, 424: {15: (1, {'@': 267}), 13: (1, {'@': 267}), 2: (0, 11), 18: (1, {'@': 267}), 19: (1, {'@': 267}), 20: (1, {'@': 267}), 4: (0, 7), 23: (1, {'@': 267}), 24: (1, {'@': 267}), 25: (1, {'@': 267}), 26: (1, {'@': 267}), 27: (1, {'@': 267}), 29: (1, {'@': 267}), 30: (1, {'@': 267}), 3: (0, 10), 31: (1, {'@': 267}), 6: (0, 459), 7: (0, 3)}, 425: {15: (1, {'@': 268}), 13: (1, {'@': 268}), 2: (1, {'@': 268}), 18: (1, {'@': 268}), 19: (1, {'@': 268}), 20: (1, {'@': 268}), 4: (1, {'@': 268}), 23: (1, {'@': 268}), 24: (1, {'@': 268}), 25: (1, {'@': 268}), 26: (1, {'@': 268}), 27: (1, {'@': 268}), 29: (1, {'@': 268}), 30: (1, {'@': 268}), 3: (1, {'@': 268}), 31: (1, {'@': 268})}, 426: {21: (0, 460)}, 427: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 66: (0, 461), 63: (0, 50), 64: (0, 51), 6: (0, 462), 27: (0, 52), 4: (0, 7), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 428: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 66: (0, 463), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 429: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 39: (0, 464), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 430: {15: (1, {'@': 269}), 13: (1, {'@': 269}), 2: (1, {'@': 269}), 18: (1, {'@': 269}), 19: (1, {'@': 269}), 20: (1, {'@': 269}), 4: (1, {'@': 269}), 23: (1, {'@': 269}), 24: (1, {'@': 269}), 25: (1, {'@': 269}), 26: (1, {'@': 269}), 27: (1, {'@': 269}), 29: (1, {'@': 269}), 30: (1, {'@': 269}), 3: (1, {'@': 269}), 31: (1, {'@': 269})}, 431: {15: (1, {'@': 270}), 13: (1, {'@': 270}), 2: (0, 11), 18: (1, {'@': 270}), 19: (1, {'@': 270}), 20: (1, {'@': 270}), 4: (0, 7), 23: (1, {'@': 270}), 24: (1, {'@': 270}), 25: (1, {'@': 270}), 26: (1, {'@': 270}), 27: (1, {'@': 270}), 29: (1, {'@': 270}), 30: (1, {'@': 270}), 3: (0, 10), 31: (1, {'@': 270}), 6: (0, 465), 7: (0, 3)}, 432: {15: (1, {'@': 271}), 13: (1, {'@': 271}), 2: (0, 11), 18: (1, {'@': 271}), 19: (1, {'@': 271}), 20: (1, {'@': 271}), 4: (0, 7), 23: (1, {'@': 271}), 24: (1, {'@': 271}), 25: (1, {'@': 271}), 26: (1, {'@': 271}), 27: (1, {'@': 271}), 29: (1, {'@': 271}), 30: (1, {'@': 271}), 3: (0, 10), 31: (1, {'@': 271}), 6: (0, 466), 7: (0, 3)}, 433: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 39: (0, 467), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 434: {16: (1, {'@': 272}), 2: (1, {'@': 272}), 34: (1, {'@': 272}), 35: (1, {'@': 272}), 36: (1, {'@': 272}), 20: (1, {'@': 272}), 37: (1, {'@': 272}), 4: (1, {'@': 272}), 38: (1, {'@': 272}), 22: (1, {'@': 272}), 25: (1, {'@': 272}), 39: (1, {'@': 272}), 40: (1, {'@': 272}), 30: (1, {'@': 272}), 41: (1, {'@': 272}), 13: (1, {'@': 272}), 42: (1, {'@': 272}), 43: (1, {'@': 272}), 29: (1, {'@': 272}), 15: (1, {'@': 272}), 32: (1, {'@': 272}), 44: (1, {'@': 272}), 45: (1, {'@': 272}), 46: (1, {'@': 272}), 47: (1, {'@': 272}), 18: (1, {'@': 272}), 19: (1, {'@': 272}), 0: (1, {'@': 272}), 23: (1, {'@': 272}), 24: (1, {'@': 272}), 48: (1, {'@': 272}), 49: (1, {'@': 272}), 26: (1, {'@': 272}), 50: (1, {'@': 272}), 51: (1, {'@': 272}), 27: (1, {'@': 272}), 52: (1, {'@': 272}), 28: (1, {'@': 272}), 3: (1, {'@': 272}), 31: (1, {'@': 272})}, 435: {16: (1, {'@': 273}), 2: (1, {'@': 273}), 34: (1, {'@': 273}), 35: (1, {'@': 273}), 36: (1, {'@': 273}), 20: (1, {'@': 273}), 37: (1, {'@': 273}), 4: (1, {'@': 273}), 38: (1, {'@': 273}), 22: (1, {'@': 273}), 25: (1, {'@': 273}), 39: (1, {'@': 273}), 40: (1, {'@': 273}), 30: (1, {'@': 273}), 41: (1, {'@': 273}), 13: (1, {'@': 273}), 42: (1, {'@': 273}), 43: (1, {'@': 273}), 29: (1, {'@': 273}), 15: (1, {'@': 273}), 32: (1, {'@': 273}), 44: (1, {'@': 273}), 45: (1, {'@': 273}), 46: (1, {'@': 273}), 47: (1, {'@': 273}), 18: (1, {'@': 273}), 19: (1, {'@': 273}), 0: (1, {'@': 273}), 23: (1, {'@': 273}), 24: (1, {'@': 273}), 48: (1, {'@': 273}), 49: (1, {'@': 273}), 26: (1, {'@': 273}), 50: (1, {'@': 273}), 51: (1, {'@': 273}), 27: (1, {'@': 273}), 52: (1, {'@': 273}), 28: (1, {'@': 273}), 3: (1, {'@': 273}), 31: (1, {'@': 273})}, 436: {3: (0, 10), 7: (0, 3), 0: (0, 468), 2: (0, 11), 4: (0, 7), 6: (0, 469)}, 437: {16: (1, {'@': 274}), 2: (1, {'@': 274}), 34: (1, {'@': 274}), 35: (1, {'@': 274}), 36: (1, {'@': 274}), 20: (1, {'@': 274}), 37: (1, {'@': 274}), 4: (1, {'@': 274}), 38: (1, {'@': 274}), 22: (1, {'@': 274}), 25: (1, {'@': 274}), 39: (1, {'@': 274}), 40: (1, {'@': 274}), 30: (1, {'@': 274}), 41: (1, {'@': 274}), 13: (1, {'@': 274}), 42: (1, {'@': 274}), 43: (1, {'@': 274}), 29: (1, {'@': 274}), 15: (1, {'@': 274}), 32: (1, {'@': 274}), 44: (1, {'@': 274}), 45: (1, {'@': 274}), 46: (1, {'@': 274}), 47: (1, {'@': 274}), 18: (1, {'@': 274}), 19: (1, {'@': 274}), 0: (1, {'@': 274}), 23: (1, {'@': 274}), 24: (1, {'@': 274}), 48: (1, {'@': 274}), 49: (1, {'@': 274}), 26: (1, {'@': 274}), 50: (1, {'@': 274}), 51: (1, {'@': 274}), 27: (1, {'@': 274}), 52: (1, {'@': 274}), 28: (1, {'@': 274}), 3: (1, {'@': 274}), 31: (1, {'@': 274})}, 438: {0: (0, 470)}, 439: {16: (1, {'@': 275}), 2: (1, {'@': 275}), 34: (1, {'@': 275}), 35: (1, {'@': 275}), 36: (1, {'@': 275}), 20: (1, {'@': 275}), 37: (1, {'@': 275}), 4: (1, {'@': 275}), 38: (1, {'@': 275}), 22: (1, {'@': 275}), 25: (1, {'@': 275}), 39: (1, {'@': 275}), 40: (1, {'@': 275}), 30: (1, {'@': 275}), 41: (1, {'@': 275}), 13: (1, {'@': 275}), 42: (1, {'@': 275}), 43: (1, {'@': 275}), 29: (1, {'@': 275}), 15: (1, {'@': 275}), 32: (1, {'@': 275}), 44: (1, {'@': 275}), 45: (1, {'@': 275}), 46: (1, {'@': 275}), 47: (1, {'@': 275}), 18: (1, {'@': 275}), 19: (1, {'@': 275}), 0: (1, {'@': 275}), 23: (1, {'@': 275}), 24: (1, {'@': 275}), 48: (1, {'@': 275}), 49: (1, {'@': 275}), 26: (1, {'@': 275}), 50: (1, {'@': 275}), 51: (1, {'@': 275}), 27: (1, {'@': 275}), 52: (1, {'@': 275}), 28: (1, {'@': 275}), 3: (1, {'@': 275}), 31: (1, {'@': 275})}, 440: {0: (0, 471)}, 441: {0: (0, 472)}, 442: {16: (1, {'@': 276}), 2: (1, {'@': 276}), 34: (1, {'@': 276}), 35: (1, {'@': 276}), 36: (1, {'@': 276}), 20: (1, {'@': 276}), 37: (1, {'@': 276}), 4: (1, {'@': 276}), 38: (1, {'@': 276}), 22: (1, {'@': 276}), 25: (1, {'@': 276}), 39: (1, {'@': 276}), 40: (1, {'@': 276}), 30: (1, {'@': 276}), 41: (1, {'@': 276}), 13: (1, {'@': 276}), 42: (1, {'@': 276}), 43: (1, {'@': 276}), 29: (1, {'@': 276}), 15: (1, {'@': 276}), 32: (1, {'@': 276}), 44: (1, {'@': 276}), 45: (1, {'@': 276}), 46: (1, {'@': 276}), 47: (1, {'@': 276}), 18: (1, {'@': 276}), 19: (1, {'@': 276}), 0: (1, {'@': 276}), 23: (1, {'@': 276}), 24: (1, {'@': 276}), 48: (1, {'@': 276}), 49: (1, {'@': 276}), 26: (1, {'@': 276}), 50: (1, {'@': 276}), 51: (1, {'@': 276}), 27: (1, {'@': 276}), 52: (1, {'@': 276}), 28: (1, {'@': 276}), 3: (1, {'@': 276}), 31: (1, {'@': 276})}, 443: {16: (1, {'@': 277}), 2: (1, {'@': 277}), 34: (1, {'@': 277}), 35: (1, {'@': 277}), 36: (1, {'@': 277}), 20: (1, {'@': 277}), 37: (1, {'@': 277}), 4: (1, {'@': 277}), 38: (1, {'@': 277}), 22: (1, {'@': 277}), 25: (1, {'@': 277}), 39: (1, {'@': 277}), 40: (1, {'@': 277}), 30: (1, {'@': 277}), 41: (1, {'@': 277}), 13: (1, {'@': 277}), 42: (1, {'@': 277}), 43: (1, {'@': 277}), 29: (1, {'@': 277}), 15: (1, {'@': 277}), 32: (1, {'@': 277}), 44: (1, {'@': 277}), 45: (1, {'@': 277}), 46: (1, {'@': 277}), 47: (1, {'@': 277}), 18: (1, {'@': 277}), 19: (1, {'@': 277}), 0: (1, {'@': 277}), 23: (1, {'@': 277}), 24: (1, {'@': 277}), 48: (1, {'@': 277}), 49: (1, {'@': 277}), 26: (1, {'@': 277}), 50: (1, {'@': 277}), 51: (1, {'@': 277}), 27: (1, {'@': 277}), 52: (1, {'@': 277}), 28: (1, {'@': 277}), 3: (1, {'@': 277}), 31: (1, {'@': 277})}, 444: {16: (1, {'@': 278}), 2: (1, {'@': 278}), 34: (1, {'@': 278}), 35: (1, {'@': 278}), 36: (1, {'@': 278}), 20: (1, {'@': 278}), 37: (1, {'@': 278}), 4: (1, {'@': 278}), 38: (1, {'@': 278}), 22: (1, {'@': 278}), 25: (1, {'@': 278}), 39: (1, {'@': 278}), 40: (1, {'@': 278}), 30: (1, {'@': 278}), 41: (1, {'@': 278}), 13: (1, {'@': 278}), 42: (1, {'@': 278}), 43: (1, {'@': 278}), 29: (1, {'@': 278}), 15: (1, {'@': 278}), 32: (1, {'@': 278}), 44: (1, {'@': 278}), 45: (1, {'@': 278}), 46: (1, {'@': 278}), 47: (1, {'@': 278}), 18: (1, {'@': 278}), 19: (1, {'@': 278}), 0: (1, {'@': 278}), 23: (1, {'@': 278}), 24: (1, {'@': 278}), 48: (1, {'@': 278}), 49: (1, {'@': 278}), 26: (1, {'@': 278}), 50: (1, {'@': 278}), 51: (1, {'@': 278}), 27: (1, {'@': 278}), 52: (1, {'@': 278}), 28: (1, {'@': 278}), 3: (1, {'@': 278}), 31: (1, {'@': 278})}, 445: {0: (0, 473)}, 446: {3: (0, 10), 7: (0, 3), 2: (0, 11), 6: (0, 474), 0: (0, 475), 4: (0, 7)}, 447: {16: (1, {'@': 279}), 2: (1, {'@': 279}), 34: (1, {'@': 279}), 35: (1, {'@': 279}), 36: (1, {'@': 279}), 20: (1, {'@': 279}), 37: (1, {'@': 279}), 4: (1, {'@': 279}), 38: (1, {'@': 279}), 22: (1, {'@': 279}), 25: (1, {'@': 279}), 39: (1, {'@': 279}), 40: (1, {'@': 279}), 30: (1, {'@': 279}), 41: (1, {'@': 279}), 13: (1, {'@': 279}), 42: (1, {'@': 279}), 43: (1, {'@': 279}), 29: (1, {'@': 279}), 15: (1, {'@': 279}), 32: (1, {'@': 279}), 44: (1, {'@': 279}), 45: (1, {'@': 279}), 46: (1, {'@': 279}), 47: (1, {'@': 279}), 18: (1, {'@': 279}), 19: (1, {'@': 279}), 0: (1, {'@': 279}), 23: (1, {'@': 279}), 24: (1, {'@': 279}), 48: (1, {'@': 279}), 49: (1, {'@': 279}), 26: (1, {'@': 279}), 50: (1, {'@': 279}), 51: (1, {'@': 279}), 27: (1, {'@': 279}), 52: (1, {'@': 279}), 28: (1, {'@': 279}), 3: (1, {'@': 279}), 31: (1, {'@': 279})}, 448: {7: (0, 3), 3: (0, 10), 16: (0, 193), 2: (0, 11), 6: (0, 476), 4: (0, 7), 90: (0, 477), 0: (0, 478)}, 449: {3: (0, 10), 7: (0, 3), 2: (0, 11), 0: (0, 479), 4: (0, 7), 6: (0, 480)}, 450: {16: (1, {'@': 280}), 2: (1, {'@': 280}), 34: (1, {'@': 280}), 35: (1, {'@': 280}), 36: (1, {'@': 280}), 20: (1, {'@': 280}), 37: (1, {'@': 280}), 4: (1, {'@': 280}), 38: (1, {'@': 280}), 22: (1, {'@': 280}), 25: (1, {'@': 280}), 39: (1, {'@': 280}), 40: (1, {'@': 280}), 30: (1, {'@': 280}), 41: (1, {'@': 280}), 13: (1, {'@': 280}), 42: (1, {'@': 280}), 43: (1, {'@': 280}), 29: (1, {'@': 280}), 15: (1, {'@': 280}), 32: (1, {'@': 280}), 44: (1, {'@': 280}), 45: (1, {'@': 280}), 46: (1, {'@': 280}), 47: (1, {'@': 280}), 18: (1, {'@': 280}), 19: (1, {'@': 280}), 0: (1, {'@': 280}), 23: (1, {'@': 280}), 24: (1, {'@': 280}), 48: (1, {'@': 280}), 49: (1, {'@': 280}), 26: (1, {'@': 280}), 50: (1, {'@': 280}), 51: (1, {'@': 280}), 27: (1, {'@': 280}), 52: (1, {'@': 280}), 28: (1, {'@': 280}), 3: (1, {'@': 280}), 31: (1, {'@': 280})}, 451: {0: (0, 481)}, 452: {16: (1, {'@': 281}), 2: (1, {'@': 281}), 34: (1, {'@': 281}), 35: (1, {'@': 281}), 36: (1, {'@': 281}), 20: (1, {'@': 281}), 37: (1, {'@': 281}), 4: (1, {'@': 281}), 38: (1, {'@': 281}), 22: (1, {'@': 281}), 25: (1, {'@': 281}), 39: (1, {'@': 281}), 40: (1, {'@': 281}), 30: (1, {'@': 281}), 41: (1, {'@': 281}), 13: (1, {'@': 281}), 42: (1, {'@': 281}), 43: (1, {'@': 281}), 29: (1, {'@': 281}), 15: (1, {'@': 281}), 32: (1, {'@': 281}), 44: (1, {'@': 281}), 45: (1, {'@': 281}), 46: (1, {'@': 281}), 47: (1, {'@': 281}), 18: (1, {'@': 281}), 19: (1, {'@': 281}), 0: (1, {'@': 281}), 23: (1, {'@': 281}), 24: (1, {'@': 281}), 48: (1, {'@': 281}), 49: (1, {'@': 281}), 26: (1, {'@': 281}), 50: (1, {'@': 281}), 51: (1, {'@': 281}), 27: (1, {'@': 281}), 52: (1, {'@': 281}), 28: (1, {'@': 281}), 3: (1, {'@': 281}), 31: (1, {'@': 281})}, 453: {15: (1, {'@': 282}), 13: (1, {'@': 282}), 2: (0, 11), 18: (1, {'@': 282}), 19: (1, {'@': 282}), 20: (1, {'@': 282}), 4: (0, 7), 23: (1, {'@': 282}), 24: (1, {'@': 282}), 25: (1, {'@': 282}), 26: (1, {'@': 282}), 27: (1, {'@': 282}), 29: (1, {'@': 282}), 30: (1, {'@': 282}), 3: (0, 10), 31: (1, {'@': 282}), 7: (0, 3), 6: (0, 482)}, 454: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 39: (0, 483), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 455: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 39: (0, 484), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 456: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 66: (0, 485), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 457: {15: (1, {'@': 283}), 13: (1, {'@': 283}), 2: (0, 11), 18: (1, {'@': 283}), 19: (1, {'@': 283}), 20: (1, {'@': 283}), 4: (0, 7), 23: (1, {'@': 283}), 24: (1, {'@': 283}), 25: (1, {'@': 283}), 26: (1, {'@': 283}), 27: (1, {'@': 283}), 29: (1, {'@': 283}), 30: (1, {'@': 283}), 3: (0, 10), 31: (1, {'@': 283}), 7: (0, 3), 6: (0, 486)}, 458: {15: (1, {'@': 284}), 13: (1, {'@': 284}), 2: (1, {'@': 284}), 18: (1, {'@': 284}), 19: (1, {'@': 284}), 20: (1, {'@': 284}), 4: (1, {'@': 284}), 23: (1, {'@': 284}), 24: (1, {'@': 284}), 25: (1, {'@': 284}), 26: (1, {'@': 284}), 27: (1, {'@': 284}), 29: (1, {'@': 284}), 30: (1, {'@': 284}), 3: (1, {'@': 284}), 31: (1, {'@': 284})}, 459: {15: (1, {'@': 285}), 13: (1, {'@': 285}), 2: (1, {'@': 285}), 18: (1, {'@': 285}), 19: (1, {'@': 285}), 20: (1, {'@': 285}), 4: (1, {'@': 285}), 23: (1, {'@': 285}), 24: (1, {'@': 285}), 25: (1, {'@': 285}), 26: (1, {'@': 285}), 27: (1, {'@': 285}), 29: (1, {'@': 285}), 30: (1, {'@': 285}), 3: (1, {'@': 285}), 31: (1, {'@': 285})}, 460: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 7: (0, 3), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 6: (0, 487), 27: (0, 52), 4: (0, 7), 65: (0, 53), 66: (0, 488), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 3: (0, 10), 2: (0, 11), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 461: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 39: (0, 489), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 462: {18: (0, 35), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 66: (0, 490), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 463: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 39: (0, 491), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 464: {15: (1, {'@': 286}), 13: (1, {'@': 286}), 2: (0, 11), 18: (1, {'@': 286}), 19: (1, {'@': 286}), 20: (1, {'@': 286}), 4: (0, 7), 23: (1, {'@': 286}), 24: (1, {'@': 286}), 25: (1, {'@': 286}), 26: (1, {'@': 286}), 27: (1, {'@': 286}), 29: (1, {'@': 286}), 30: (1, {'@': 286}), 3: (0, 10), 31: (1, {'@': 286}), 7: (0, 3), 6: (0, 492)}, 465: {15: (1, {'@': 287}), 13: (1, {'@': 287}), 2: (1, {'@': 287}), 18: (1, {'@': 287}), 19: (1, {'@': 287}), 20: (1, {'@': 287}), 4: (1, {'@': 287}), 23: (1, {'@': 287}), 24: (1, {'@': 287}), 25: (1, {'@': 287}), 26: (1, {'@': 287}), 27: (1, {'@': 287}), 29: (1, {'@': 287}), 30: (1, {'@': 287}), 3: (1, {'@': 287}), 31: (1, {'@': 287})}, 466: {15: (1, {'@': 288}), 13: (1, {'@': 288}), 2: (1, {'@': 288}), 18: (1, {'@': 288}), 19: (1, {'@': 288}), 20: (1, {'@': 288}), 4: (1, {'@': 288}), 23: (1, {'@': 288}), 24: (1, {'@': 288}), 25: (1, {'@': 288}), 26: (1, {'@': 288}), 27: (1, {'@': 288}), 29: (1, {'@': 288}), 30: (1, {'@': 288}), 3: (1, {'@': 288}), 31: (1, {'@': 288})}, 467: {15: (1, {'@': 289}), 13: (1, {'@': 289}), 2: (0, 11), 18: (1, {'@': 289}), 19: (1, {'@': 289}), 20: (1, {'@': 289}), 4: (0, 7), 23: (1, {'@': 289}), 24: (1, {'@': 289}), 25: (1, {'@': 289}), 26: (1, {'@': 289}), 27: (1, {'@': 289}), 29: (1, {'@': 289}), 30: (1, {'@': 289}), 3: (0, 10), 31: (1, {'@': 289}), 7: (0, 3), 6: (0, 493)}, 468: {16: (1, {'@': 290}), 2: (1, {'@': 290}), 34: (1, {'@': 290}), 35: (1, {'@': 290}), 36: (1, {'@': 290}), 20: (1, {'@': 290}), 37: (1, {'@': 290}), 4: (1, {'@': 290}), 38: (1, {'@': 290}), 22: (1, {'@': 290}), 25: (1, {'@': 290}), 39: (1, {'@': 290}), 40: (1, {'@': 290}), 30: (1, {'@': 290}), 41: (1, {'@': 290}), 13: (1, {'@': 290}), 42: (1, {'@': 290}), 43: (1, {'@': 290}), 29: (1, {'@': 290}), 15: (1, {'@': 290}), 32: (1, {'@': 290}), 44: (1, {'@': 290}), 45: (1, {'@': 290}), 46: (1, {'@': 290}), 47: (1, {'@': 290}), 18: (1, {'@': 290}), 19: (1, {'@': 290}), 0: (1, {'@': 290}), 23: (1, {'@': 290}), 24: (1, {'@': 290}), 48: (1, {'@': 290}), 49: (1, {'@': 290}), 26: (1, {'@': 290}), 50: (1, {'@': 290}), 51: (1, {'@': 290}), 27: (1, {'@': 290}), 52: (1, {'@': 290}), 28: (1, {'@': 290}), 3: (1, {'@': 290}), 31: (1, {'@': 290})}, 469: {0: (0, 494)}, 470: {16: (1, {'@': 291}), 2: (1, {'@': 291}), 34: (1, {'@': 291}), 35: (1, {'@': 291}), 36: (1, {'@': 291}), 20: (1, {'@': 291}), 37: (1, {'@': 291}), 4: (1, {'@': 291}), 38: (1, {'@': 291}), 22: (1, {'@': 291}), 25: (1, {'@': 291}), 39: (1, {'@': 291}), 40: (1, {'@': 291}), 30: (1, {'@': 291}), 41: (1, {'@': 291}), 13: (1, {'@': 291}), 42: (1, {'@': 291}), 43: (1, {'@': 291}), 29: (1, {'@': 291}), 15: (1, {'@': 291}), 32: (1, {'@': 291}), 44: (1, {'@': 291}), 45: (1, {'@': 291}), 46: (1, {'@': 291}), 47: (1, {'@': 291}), 18: (1, {'@': 291}), 19: (1, {'@': 291}), 0: (1, {'@': 291}), 23: (1, {'@': 291}), 24: (1, {'@': 291}), 48: (1, {'@': 291}), 49: (1, {'@': 291}), 26: (1, {'@': 291}), 50: (1, {'@': 291}), 51: (1, {'@': 291}), 27: (1, {'@': 291}), 52: (1, {'@': 291}), 28: (1, {'@': 291}), 3: (1, {'@': 291}), 31: (1, {'@': 291})}, 471: {16: (1, {'@': 292}), 2: (1, {'@': 292}), 34: (1, {'@': 292}), 35: (1, {'@': 292}), 36: (1, {'@': 292}), 20: (1, {'@': 292}), 37: (1, {'@': 292}), 4: (1, {'@': 292}), 38: (1, {'@': 292}), 22: (1, {'@': 292}), 25: (1, {'@': 292}), 39: (1, {'@': 292}), 40: (1, {'@': 292}), 30: (1, {'@': 292}), 41: (1, {'@': 292}), 13: (1, {'@': 292}), 42: (1, {'@': 292}), 43: (1, {'@': 292}), 29: (1, {'@': 292}), 15: (1, {'@': 292}), 32: (1, {'@': 292}), 44: (1, {'@': 292}), 45: (1, {'@': 292}), 46: (1, {'@': 292}), 47: (1, {'@': 292}), 18: (1, {'@': 292}), 19: (1, {'@': 292}), 0: (1, {'@': 292}), 23: (1, {'@': 292}), 24: (1, {'@': 292}), 48: (1, {'@': 292}), 49: (1, {'@': 292}), 26: (1, {'@': 292}), 50: (1, {'@': 292}), 51: (1, {'@': 292}), 27: (1, {'@': 292}), 52: (1, {'@': 292}), 28: (1, {'@': 292}), 3: (1, {'@': 292}), 31: (1, {'@': 292})}, 472: {16: (1, {'@': 293}), 2: (1, {'@': 293}), 34: (1, {'@': 293}), 35: (1, {'@': 293}), 36: (1, {'@': 293}), 20: (1, {'@': 293}), 37: (1, {'@': 293}), 4: (1, {'@': 293}), 38: (1, {'@': 293}), 22: (1, {'@': 293}), 25: (1, {'@': 293}), 39: (1, {'@': 293}), 40: (1, {'@': 293}), 30: (1, {'@': 293}), 41: (1, {'@': 293}), 13: (1, {'@': 293}), 42: (1, {'@': 293}), 43: (1, {'@': 293}), 29: (1, {'@': 293}), 15: (1, {'@': 293}), 32: (1, {'@': 293}), 44: (1, {'@': 293}), 45: (1, {'@': 293}), 46: (1, {'@': 293}), 47: (1, {'@': 293}), 18: (1, {'@': 293}), 19: (1, {'@': 293}), 0: (1, {'@': 293}), 23: (1, {'@': 293}), 24: (1, {'@': 293}), 48: (1, {'@': 293}), 49: (1, {'@': 293}), 26: (1, {'@': 293}), 50: (1, {'@': 293}), 51: (1, {'@': 293}), 27: (1, {'@': 293}), 52: (1, {'@': 293}), 28: (1, {'@': 293}), 3: (1, {'@': 293}), 31: (1, {'@': 293})}, 473: {16: (1, {'@': 294}), 2: (1, {'@': 294}), 34: (1, {'@': 294}), 35: (1, {'@': 294}), 36: (1, {'@': 294}), 20: (1, {'@': 294}), 37: (1, {'@': 294}), 4: (1, {'@': 294}), 38: (1, {'@': 294}), 22: (1, {'@': 294}), 25: (1, {'@': 294}), 39: (1, {'@': 294}), 40: (1, {'@': 294}), 30: (1, {'@': 294}), 41: (1, {'@': 294}), 13: (1, {'@': 294}), 42: (1, {'@': 294}), 43: (1, {'@': 294}), 29: (1, {'@': 294}), 15: (1, {'@': 294}), 32: (1, {'@': 294}), 44: (1, {'@': 294}), 45: (1, {'@': 294}), 46: (1, {'@': 294}), 47: (1, {'@': 294}), 18: (1, {'@': 294}), 19: (1, {'@': 294}), 0: (1, {'@': 294}), 23: (1, {'@': 294}), 24: (1, {'@': 294}), 48: (1, {'@': 294}), 49: (1, {'@': 294}), 26: (1, {'@': 294}), 50: (1, {'@': 294}), 51: (1, {'@': 294}), 27: (1, {'@': 294}), 52: (1, {'@': 294}), 28: (1, {'@': 294}), 3: (1, {'@': 294}), 31: (1, {'@': 294})}, 474: {0: (0, 495)}, 475: {16: (1, {'@': 295}), 2: (1, {'@': 295}), 34: (1, {'@': 295}), 35: (1, {'@': 295}), 36: (1, {'@': 295}), 20: (1, {'@': 295}), 37: (1, {'@': 295}), 4: (1, {'@': 295}), 38: (1, {'@': 295}), 22: (1, {'@': 295}), 25: (1, {'@': 295}), 39: (1, {'@': 295}), 40: (1, {'@': 295}), 30: (1, {'@': 295}), 41: (1, {'@': 295}), 13: (1, {'@': 295}), 42: (1, {'@': 295}), 43: (1, {'@': 295}), 29: (1, {'@': 295}), 15: (1, {'@': 295}), 32: (1, {'@': 295}), 44: (1, {'@': 295}), 45: (1, {'@': 295}), 46: (1, {'@': 295}), 47: (1, {'@': 295}), 18: (1, {'@': 295}), 19: (1, {'@': 295}), 0: (1, {'@': 295}), 23: (1, {'@': 295}), 24: (1, {'@': 295}), 48: (1, {'@': 295}), 49: (1, {'@': 295}), 26: (1, {'@': 295}), 50: (1, {'@': 295}), 51: (1, {'@': 295}), 27: (1, {'@': 295}), 52: (1, {'@': 295}), 28: (1, {'@': 295}), 3: (1, {'@': 295}), 31: (1, {'@': 295})}, 476: {0: (0, 496)}, 477: {3: (0, 10), 7: (0, 3), 2: (0, 11), 4: (0, 7), 0: (0, 497), 6: (0, 498)}, 478: {16: (1, {'@': 296}), 2: (1, {'@': 296}), 34: (1, {'@': 296}), 35: (1, {'@': 296}), 36: (1, {'@': 296}), 20: (1, {'@': 296}), 37: (1, {'@': 296}), 4: (1, {'@': 296}), 38: (1, {'@': 296}), 22: (1, {'@': 296}), 25: (1, {'@': 296}), 39: (1, {'@': 296}), 40: (1, {'@': 296}), 30: (1, {'@': 296}), 41: (1, {'@': 296}), 13: (1, {'@': 296}), 42: (1, {'@': 296}), 43: (1, {'@': 296}), 29: (1, {'@': 296}), 15: (1, {'@': 296}), 32: (1, {'@': 296}), 44: (1, {'@': 296}), 45: (1, {'@': 296}), 46: (1, {'@': 296}), 47: (1, {'@': 296}), 18: (1, {'@': 296}), 19: (1, {'@': 296}), 0: (1, {'@': 296}), 23: (1, {'@': 296}), 24: (1, {'@': 296}), 48: (1, {'@': 296}), 49: (1, {'@': 296}), 26: (1, {'@': 296}), 50: (1, {'@': 296}), 51: (1, {'@': 296}), 27: (1, {'@': 296}), 52: (1, {'@': 296}), 28: (1, {'@': 296}), 3: (1, {'@': 296}), 31: (1, {'@': 296})}, 479: {16: (1, {'@': 297}), 2: (1, {'@': 297}), 34: (1, {'@': 297}), 35: (1, {'@': 297}), 36: (1, {'@': 297}), 20: (1, {'@': 297}), 37: (1, {'@': 297}), 4: (1, {'@': 297}), 38: (1, {'@': 297}), 22: (1, {'@': 297}), 25: (1, {'@': 297}), 39: (1, {'@': 297}), 40: (1, {'@': 297}), 30: (1, {'@': 297}), 41: (1, {'@': 297}), 13: (1, {'@': 297}), 42: (1, {'@': 297}), 43: (1, {'@': 297}), 29: (1, {'@': 297}), 15: (1, {'@': 297}), 32: (1, {'@': 297}), 44: (1, {'@': 297}), 45: (1, {'@': 297}), 46: (1, {'@': 297}), 47: (1, {'@': 297}), 18: (1, {'@': 297}), 19: (1, {'@': 297}), 0: (1, {'@': 297}), 23: (1, {'@': 297}), 24: (1, {'@': 297}), 48: (1, {'@': 297}), 49: (1, {'@': 297}), 26: (1, {'@': 297}), 50: (1, {'@': 297}), 51: (1, {'@': 297}), 27: (1, {'@': 297}), 52: (1, {'@': 297}), 28: (1, {'@': 297}), 3: (1, {'@': 297}), 31: (1, {'@': 297})}, 480: {0: (0, 499)}, 481: {16: (1, {'@': 298}), 2: (1, {'@': 298}), 34: (1, {'@': 298}), 35: (1, {'@': 298}), 36: (1, {'@': 298}), 20: (1, {'@': 298}), 37: (1, {'@': 298}), 4: (1, {'@': 298}), 38: (1, {'@': 298}), 22: (1, {'@': 298}), 25: (1, {'@': 298}), 39: (1, {'@': 298}), 40: (1, {'@': 298}), 30: (1, {'@': 298}), 41: (1, {'@': 298}), 13: (1, {'@': 298}), 42: (1, {'@': 298}), 43: (1, {'@': 298}), 29: (1, {'@': 298}), 15: (1, {'@': 298}), 32: (1, {'@': 298}), 44: (1, {'@': 298}), 45: (1, {'@': 298}), 46: (1, {'@': 298}), 47: (1, {'@': 298}), 18: (1, {'@': 298}), 19: (1, {'@': 298}), 0: (1, {'@': 298}), 23: (1, {'@': 298}), 24: (1, {'@': 298}), 48: (1, {'@': 298}), 49: (1, {'@': 298}), 26: (1, {'@': 298}), 50: (1, {'@': 298}), 51: (1, {'@': 298}), 27: (1, {'@': 298}), 52: (1, {'@': 298}), 28: (1, {'@': 298}), 3: (1, {'@': 298}), 31: (1, {'@': 298})}, 482: {15: (1, {'@': 299}), 13: (1, {'@': 299}), 2: (1, {'@': 299}), 18: (1, {'@': 299}), 19: (1, {'@': 299}), 20: (1, {'@': 299}), 4: (1, {'@': 299}), 23: (1, {'@': 299}), 24: (1, {'@': 299}), 25: (1, {'@': 299}), 26: (1, {'@': 299}), 27: (1, {'@': 299}), 29: (1, {'@': 299}), 30: (1, {'@': 299}), 3: (1, {'@': 299}), 31: (1, {'@': 299})}, 483: {15: (1, {'@': 300}), 13: (1, {'@': 300}), 2: (0, 11), 18: (1, {'@': 300}), 19: (1, {'@': 300}), 20: (1, {'@': 300}), 4: (0, 7), 23: (1, {'@': 300}), 24: (1, {'@': 300}), 25: (1, {'@': 300}), 26: (1, {'@': 300}), 27: (1, {'@': 300}), 29: (1, {'@': 300}), 30: (1, {'@': 300}), 3: (0, 10), 31: (1, {'@': 300}), 7: (0, 3), 6: (0, 500)}, 484: {15: (1, {'@': 301}), 13: (1, {'@': 301}), 2: (0, 11), 18: (1, {'@': 301}), 19: (1, {'@': 301}), 20: (1, {'@': 301}), 4: (0, 7), 23: (1, {'@': 301}), 24: (1, {'@': 301}), 25: (1, {'@': 301}), 26: (1, {'@': 301}), 27: (1, {'@': 301}), 29: (1, {'@': 301}), 30: (1, {'@': 301}), 3: (0, 10), 31: (1, {'@': 301}), 7: (0, 3), 6: (0, 501)}, 485: {35: (0, 102), 42: (0, 103), 44: (0, 104), 39: (0, 502), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 486: {15: (1, {'@': 302}), 13: (1, {'@': 302}), 2: (1, {'@': 302}), 18: (1, {'@': 302}), 19: (1, {'@': 302}), 20: (1, {'@': 302}), 4: (1, {'@': 302}), 23: (1, {'@': 302}), 24: (1, {'@': 302}), 25: (1, {'@': 302}), 26: (1, {'@': 302}), 27: (1, {'@': 302}), 29: (1, {'@': 302}), 30: (1, {'@': 302}), 3: (1, {'@': 302}), 31: (1, {'@': 302})}, 487: {18: (0, 35), 66: (0, 503), 53: (0, 36), 54: (0, 37), 55: (0, 38), 19: (0, 39), 56: (0, 40), 30: (0, 41), 57: (0, 42), 9: (0, 43), 58: (0, 44), 59: (0, 45), 15: (0, 46), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 27: (0, 52), 65: (0, 53), 29: (0, 55), 67: (0, 56), 26: (0, 57), 25: (0, 58), 24: (0, 59), 20: (0, 60), 68: (0, 61), 69: (0, 62), 70: (0, 63), 13: (0, 12), 23: (0, 64), 71: (0, 65), 72: (0, 66), 73: (0, 67), 74: (0, 68), 75: (0, 69), 31: (0, 70)}, 488: {35: (0, 102), 39: (0, 504), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 489: {15: (1, {'@': 303}), 13: (1, {'@': 303}), 2: (0, 11), 18: (1, {'@': 303}), 19: (1, {'@': 303}), 20: (1, {'@': 303}), 4: (0, 7), 23: (1, {'@': 303}), 24: (1, {'@': 303}), 25: (1, {'@': 303}), 26: (1, {'@': 303}), 27: (1, {'@': 303}), 29: (1, {'@': 303}), 30: (1, {'@': 303}), 3: (0, 10), 31: (1, {'@': 303}), 6: (0, 505), 7: (0, 3)}, 490: {35: (0, 102), 39: (0, 506), 42: (0, 103), 44: (0, 104), 83: (0, 105), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 491: {15: (1, {'@': 304}), 13: (1, {'@': 304}), 2: (0, 11), 18: (1, {'@': 304}), 19: (1, {'@': 304}), 20: (1, {'@': 304}), 4: (0, 7), 23: (1, {'@': 304}), 24: (1, {'@': 304}), 25: (1, {'@': 304}), 26: (1, {'@': 304}), 27: (1, {'@': 304}), 29: (1, {'@': 304}), 30: (1, {'@': 304}), 3: (0, 10), 31: (1, {'@': 304}), 6: (0, 507), 7: (0, 3)}, 492: {15: (1, {'@': 305}), 13: (1, {'@': 305}), 2: (1, {'@': 305}), 18: (1, {'@': 305}), 19: (1, {'@': 305}), 20: (1, {'@': 305}), 4: (1, {'@': 305}), 23: (1, {'@': 305}), 24: (1, {'@': 305}), 25: (1, {'@': 305}), 26: (1, {'@': 305}), 27: (1, {'@': 305}), 29: (1, {'@': 305}), 30: (1, {'@': 305}), 3: (1, {'@': 305}), 31: (1, {'@': 305})}, 493: {15: (1, {'@': 306}), 13: (1, {'@': 306}), 2: (1, {'@': 306}), 18: (1, {'@': 306}), 19: (1, {'@': 306}), 20: (1, {'@': 306}), 4: (1, {'@': 306}), 23: (1, {'@': 306}), 24: (1, {'@': 306}), 25: (1, {'@': 306}), 26: (1, {'@': 306}), 27: (1, {'@': 306}), 29: (1, {'@': 306}), 30: (1, {'@': 306}), 3: (1, {'@': 306}), 31: (1, {'@': 306})}, 494: {16: (1, {'@': 307}), 2: (1, {'@': 307}), 34: (1, {'@': 307}), 35: (1, {'@': 307}), 36: (1, {'@': 307}), 20: (1, {'@': 307}), 37: (1, {'@': 307}), 4: (1, {'@': 307}), 38: (1, {'@': 307}), 22: (1, {'@': 307}), 25: (1, {'@': 307}), 39: (1, {'@': 307}), 40: (1, {'@': 307}), 30: (1, {'@': 307}), 41: (1, {'@': 307}), 13: (1, {'@': 307}), 42: (1, {'@': 307}), 43: (1, {'@': 307}), 29: (1, {'@': 307}), 15: (1, {'@': 307}), 32: (1, {'@': 307}), 44: (1, {'@': 307}), 45: (1, {'@': 307}), 46: (1, {'@': 307}), 47: (1, {'@': 307}), 18: (1, {'@': 307}), 19: (1, {'@': 307}), 0: (1, {'@': 307}), 23: (1, {'@': 307}), 24: (1, {'@': 307}), 48: (1, {'@': 307}), 49: (1, {'@': 307}), 26: (1, {'@': 307}), 50: (1, {'@': 307}), 51: (1, {'@': 307}), 27: (1, {'@': 307}), 52: (1, {'@': 307}), 28: (1, {'@': 307}), 3: (1, {'@': 307}), 31: (1, {'@': 307})}, 495: {16: (1, {'@': 308}), 2: (1, {'@': 308}), 34: (1, {'@': 308}), 35: (1, {'@': 308}), 36: (1, {'@': 308}), 20: (1, {'@': 308}), 37: (1, {'@': 308}), 4: (1, {'@': 308}), 38: (1, {'@': 308}), 22: (1, {'@': 308}), 25: (1, {'@': 308}), 39: (1, {'@': 308}), 40: (1, {'@': 308}), 30: (1, {'@': 308}), 41: (1, {'@': 308}), 13: (1, {'@': 308}), 42: (1, {'@': 308}), 43: (1, {'@': 308}), 29: (1, {'@': 308}), 15: (1, {'@': 308}), 32: (1, {'@': 308}), 44: (1, {'@': 308}), 45: (1, {'@': 308}), 46: (1, {'@': 308}), 47: (1, {'@': 308}), 18: (1, {'@': 308}), 19: (1, {'@': 308}), 0: (1, {'@': 308}), 23: (1, {'@': 308}), 24: (1, {'@': 308}), 48: (1, {'@': 308}), 49: (1, {'@': 308}), 26: (1, {'@': 308}), 50: (1, {'@': 308}), 51: (1, {'@': 308}), 27: (1, {'@': 308}), 52: (1, {'@': 308}), 28: (1, {'@': 308}), 3: (1, {'@': 308}), 31: (1, {'@': 308})}, 496: {16: (1, {'@': 309}), 2: (1, {'@': 309}), 34: (1, {'@': 309}), 35: (1, {'@': 309}), 36: (1, {'@': 309}), 20: (1, {'@': 309}), 37: (1, {'@': 309}), 4: (1, {'@': 309}), 38: (1, {'@': 309}), 22: (1, {'@': 309}), 25: (1, {'@': 309}), 39: (1, {'@': 309}), 40: (1, {'@': 309}), 30: (1, {'@': 309}), 41: (1, {'@': 309}), 13: (1, {'@': 309}), 42: (1, {'@': 309}), 43: (1, {'@': 309}), 29: (1, {'@': 309}), 15: (1, {'@': 309}), 32: (1, {'@': 309}), 44: (1, {'@': 309}), 45: (1, {'@': 309}), 46: (1, {'@': 309}), 47: (1, {'@': 309}), 18: (1, {'@': 309}), 19: (1, {'@': 309}), 0: (1, {'@': 309}), 23: (1, {'@': 309}), 24: (1, {'@': 309}), 48: (1, {'@': 309}), 49: (1, {'@': 309}), 26: (1, {'@': 309}), 50: (1, {'@': 309}), 51: (1, {'@': 309}), 27: (1, {'@': 309}), 52: (1, {'@': 309}), 28: (1, {'@': 309}), 3: (1, {'@': 309}), 31: (1, {'@': 309})}, 497: {16: (1, {'@': 310}), 2: (1, {'@': 310}), 34: (1, {'@': 310}), 35: (1, {'@': 310}), 36: (1, {'@': 310}), 20: (1, {'@': 310}), 37: (1, {'@': 310}), 4: (1, {'@': 310}), 38: (1, {'@': 310}), 22: (1, {'@': 310}), 25: (1, {'@': 310}), 39: (1, {'@': 310}), 40: (1, {'@': 310}), 30: (1, {'@': 310}), 41: (1, {'@': 310}), 13: (1, {'@': 310}), 42: (1, {'@': 310}), 43: (1, {'@': 310}), 29: (1, {'@': 310}), 15: (1, {'@': 310}), 32: (1, {'@': 310}), 44: (1, {'@': 310}), 45: (1, {'@': 310}), 46: (1, {'@': 310}), 47: (1, {'@': 310}), 18: (1, {'@': 310}), 19: (1, {'@': 310}), 0: (1, {'@': 310}), 23: (1, {'@': 310}), 24: (1, {'@': 310}), 48: (1, {'@': 310}), 49: (1, {'@': 310}), 26: (1, {'@': 310}), 50: (1, {'@': 310}), 51: (1, {'@': 310}), 27: (1, {'@': 310}), 52: (1, {'@': 310}), 28: (1, {'@': 310}), 3: (1, {'@': 310}), 31: (1, {'@': 310})}, 498: {0: (0, 508)}, 499: {16: (1, {'@': 311}), 2: (1, {'@': 311}), 34: (1, {'@': 311}), 35: (1, {'@': 311}), 36: (1, {'@': 311}), 20: (1, {'@': 311}), 37: (1, {'@': 311}), 4: (1, {'@': 311}), 38: (1, {'@': 311}), 22: (1, {'@': 311}), 25: (1, {'@': 311}), 39: (1, {'@': 311}), 40: (1, {'@': 311}), 30: (1, {'@': 311}), 41: (1, {'@': 311}), 13: (1, {'@': 311}), 42: (1, {'@': 311}), 43: (1, {'@': 311}), 29: (1, {'@': 311}), 15: (1, {'@': 311}), 32: (1, {'@': 311}), 44: (1, {'@': 311}), 45: (1, {'@': 311}), 46: (1, {'@': 311}), 47: (1, {'@': 311}), 18: (1, {'@': 311}), 19: (1, {'@': 311}), 0: (1, {'@': 311}), 23: (1, {'@': 311}), 24: (1, {'@': 311}), 48: (1, {'@': 311}), 49: (1, {'@': 311}), 26: (1, {'@': 311}), 50: (1, {'@': 311}), 51: (1, {'@': 311}), 27: (1, {'@': 311}), 52: (1, {'@': 311}), 28: (1, {'@': 311}), 3: (1, {'@': 311}), 31: (1, {'@': 311})}, 500: {15: (1, {'@': 312}), 13: (1, {'@': 312}), 2: (1, {'@': 312}), 18: (1, {'@': 312}), 19: (1, {'@': 312}), 20: (1, {'@': 312}), 4: (1, {'@': 312}), 23: (1, {'@': 312}), 24: (1, {'@': 312}), 25: (1, {'@': 312}), 26: (1, {'@': 312}), 27: (1, {'@': 312}), 29: (1, {'@': 312}), 30: (1, {'@': 312}), 3: (1, {'@': 312}), 31: (1, {'@': 312})}, 501: {15: (1, {'@': 313}), 13: (1, {'@': 313}), 2: (1, {'@': 313}), 18: (1, {'@': 313}), 19: (1, {'@': 313}), 20: (1, {'@': 313}), 4: (1, {'@': 313}), 23: (1, {'@': 313}), 24: (1, {'@': 313}), 25: (1, {'@': 313}), 26: (1, {'@': 313}), 27: (1, {'@': 313}), 29: (1, {'@': 313}), 30: (1, {'@': 313}), 3: (1, {'@': 313}), 31: (1, {'@': 313})}, 502: {15: (1, {'@': 314}), 13: (1, {'@': 314}), 2: (0, 11), 18: (1, {'@': 314}), 19: (1, {'@': 314}), 20: (1, {'@': 314}), 4: (0, 7), 23: (1, {'@': 314}), 24: (1, {'@': 314}), 25: (1, {'@': 314}), 26: (1, {'@': 314}), 27: (1, {'@': 314}), 29: (1, {'@': 314}), 30: (1, {'@': 314}), 3: (0, 10), 31: (1, {'@': 314}), 7: (0, 3), 6: (0, 509)}, 503: {35: (0, 102), 42: (0, 103), 44: (0, 104), 83: (0, 105), 39: (0, 510), 48: (0, 106), 38: (0, 107), 37: (0, 108), 15: (0, 110), 84: (0, 111), 52: (0, 112), 50: (0, 113), 45: (0, 114), 40: (0, 115), 41: (0, 116), 49: (0, 117), 46: (0, 118)}, 504: {15: (1, {'@': 315}), 13: (1, {'@': 315}), 2: (0, 11), 18: (1, {'@': 315}), 19: (1, {'@': 315}), 20: (1, {'@': 315}), 4: (0, 7), 23: (1, {'@': 315}), 24: (1, {'@': 315}), 25: (1, {'@': 315}), 26: (1, {'@': 315}), 27: (1, {'@': 315}), 29: (1, {'@': 315}), 30: (1, {'@': 315}), 3: (0, 10), 31: (1, {'@': 315}), 6: (0, 511), 7: (0, 3)}, 505: {15: (1, {'@': 316}), 13: (1, {'@': 316}), 2: (1, {'@': 316}), 18: (1, {'@': 316}), 19: (1, {'@': 316}), 20: (1, {'@': 316}), 4: (1, {'@': 316}), 23: (1, {'@': 316}), 24: (1, {'@': 316}), 25: (1, {'@': 316}), 26: (1, {'@': 316}), 27: (1, {'@': 316}), 29: (1, {'@': 316}), 30: (1, {'@': 316}), 3: (1, {'@': 316}), 31: (1, {'@': 316})}, 506: {15: (1, {'@': 317}), 13: (1, {'@': 317}), 2: (0, 11), 18: (1, {'@': 317}), 19: (1, {'@': 317}), 20: (1, {'@': 317}), 4: (0, 7), 23: (1, {'@': 317}), 24: (1, {'@': 317}), 25: (1, {'@': 317}), 26: (1, {'@': 317}), 27: (1, {'@': 317}), 29: (1, {'@': 317}), 30: (1, {'@': 317}), 3: (0, 10), 31: (1, {'@': 317}), 7: (0, 3), 6: (0, 512)}, 507: {15: (1, {'@': 318}), 13: (1, {'@': 318}), 2: (1, {'@': 318}), 18: (1, {'@': 318}), 19: (1, {'@': 318}), 20: (1, {'@': 318}), 4: (1, {'@': 318}), 23: (1, {'@': 318}), 24: (1, {'@': 318}), 25: (1, {'@': 318}), 26: (1, {'@': 318}), 27: (1, {'@': 318}), 29: (1, {'@': 318}), 30: (1, {'@': 318}), 3: (1, {'@': 318}), 31: (1, {'@': 318})}, 508: {16: (1, {'@': 319}), 2: (1, {'@': 319}), 34: (1, {'@': 319}), 35: (1, {'@': 319}), 36: (1, {'@': 319}), 20: (1, {'@': 319}), 37: (1, {'@': 319}), 4: (1, {'@': 319}), 38: (1, {'@': 319}), 22: (1, {'@': 319}), 25: (1, {'@': 319}), 39: (1, {'@': 319}), 40: (1, {'@': 319}), 30: (1, {'@': 319}), 41: (1, {'@': 319}), 13: (1, {'@': 319}), 42: (1, {'@': 319}), 43: (1, {'@': 319}), 29: (1, {'@': 319}), 15: (1, {'@': 319}), 32: (1, {'@': 319}), 44: (1, {'@': 319}), 45: (1, {'@': 319}), 46: (1, {'@': 319}), 47: (1, {'@': 319}), 18: (1, {'@': 319}), 19: (1, {'@': 319}), 0: (1, {'@': 319}), 23: (1, {'@': 319}), 24: (1, {'@': 319}), 48: (1, {'@': 319}), 49: (1, {'@': 319}), 26: (1, {'@': 319}), 50: (1, {'@': 319}), 51: (1, {'@': 319}), 27: (1, {'@': 319}), 52: (1, {'@': 319}), 28: (1, {'@': 319}), 3: (1, {'@': 319}), 31: (1, {'@': 319})}, 509: {15: (1, {'@': 320}), 13: (1, {'@': 320}), 2: (1, {'@': 320}), 18: (1, {'@': 320}), 19: (1, {'@': 320}), 20: (1, {'@': 320}), 4: (1, {'@': 320}), 23: (1, {'@': 320}), 24: (1, {'@': 320}), 25: (1, {'@': 320}), 26: (1, {'@': 320}), 27: (1, {'@': 320}), 29: (1, {'@': 320}), 30: (1, {'@': 320}), 3: (1, {'@': 320}), 31: (1, {'@': 320})}, 510: {15: (1, {'@': 321}), 13: (1, {'@': 321}), 2: (0, 11), 18: (1, {'@': 321}), 19: (1, {'@': 321}), 20: (1, {'@': 321}), 4: (0, 7), 23: (1, {'@': 321}), 24: (1, {'@': 321}), 25: (1, {'@': 321}), 26: (1, {'@': 321}), 27: (1, {'@': 321}), 29: (1, {'@': 321}), 30: (1, {'@': 321}), 3: (0, 10), 31: (1, {'@': 321}), 7: (0, 3), 6: (0, 513)}, 511: {15: (1, {'@': 322}), 13: (1, {'@': 322}), 2: (1, {'@': 322}), 18: (1, {'@': 322}), 19: (1, {'@': 322}), 20: (1, {'@': 322}), 4: (1, {'@': 322}), 23: (1, {'@': 322}), 24: (1, {'@': 322}), 25: (1, {'@': 322}), 26: (1, {'@': 322}), 27: (1, {'@': 322}), 29: (1, {'@': 322}), 30: (1, {'@': 322}), 3: (1, {'@': 322}), 31: (1, {'@': 322})}, 512: {15: (1, {'@': 323}), 13: (1, {'@': 323}), 2: (1, {'@': 323}), 18: (1, {'@': 323}), 19: (1, {'@': 323}), 20: (1, {'@': 323}), 4: (1, {'@': 323}), 23: (1, {'@': 323}), 24: (1, {'@': 323}), 25: (1, {'@': 323}), 26: (1, {'@': 323}), 27: (1, {'@': 323}), 29: (1, {'@': 323}), 30: (1, {'@': 323}), 3: (1, {'@': 323}), 31: (1, {'@': 323})}, 513: {15: (1, {'@': 324}), 13: (1, {'@': 324}), 2: (1, {'@': 324}), 18: (1, {'@': 324}), 19: (1, {'@': 324}), 20: (1, {'@': 324}), 4: (1, {'@': 324}), 23: (1, {'@': 324}), 24: (1, {'@': 324}), 25: (1, {'@': 324}), 26: (1, {'@': 324}), 27: (1, {'@': 324}), 29: (1, {'@': 324}), 30: (1, {'@': 324}), 3: (1, {'@': 324}), 31: (1, {'@': 324})}}, 'start_states': {'start': 0}, 'end_states': {'start': 26}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 66}, {'@': 59}, {'@': 65}, {'@': 50}, {'@': 46}, {'@': 45}, {'@': 114}, {'@': 168}, {'@': 142}, {'@': 206}, {'@': 125}, {'@': 169}, {'@': 99}, {'@': 134}, {'@': 133}, {'@': 156}, {'@': 47}, {'@': 54}, {'@': 70}, {'@': 83}, {'@': 95}, {'@': 205}, {'@': 85}, {'@': 77}, {'@': 108}, {'@': 124}, {'@': 116}, {'@': 121}, {'@': 118}, {'@': 119}, {'@': 109}, {'@': 113}, {'@': 110}, {'@': 115}, {'@': 123}, {'@': 112}, {'@': 111}, {'@': 117}, {'@': 120}, {'@': 122}, {'@': 167}, {'@': 141}, {'@': 195}, {'@': 159}, {'@': 160}, {'@': 136}, {'@': 78}, {'@': 94}, {'@': 97}, {'@': 90}, {'@': 93}, {'@': 86}, {'@': 96}, {'@': 72}, {'@': 81}, {'@': 91}, {'@': 92}, {'@': 74}, {'@': 80}, {'@': 73}, {'@': 69}, {'@': 75}, {'@': 79}, {'@': 71}, {'@': 87}, {'@': 98}, {'@': 88}, {'@': 76}, {'@': 204}, {'@': 140}, {'@': 139}, {'@': 264}, {'@': 243}, {'@': 244}, {'@': 213}, {'@': 245}, {'@': 214}, {'@': 173}, {'@': 242}, {'@': 211}, {'@': 212}, {'@': 172}, {'@': 210}, {'@': 171}, {'@': 143}, {'@': 246}, {'@': 217}, {'@': 219}, {'@': 177}, {'@': 221}, {'@': 179}, {'@': 145}, {'@': 215}, {'@': 175}, {'@': 176}, {'@': 144}, {'@': 181}, {'@': 146}, {'@': 127}, {'@': 126}, {'@': 100}, {'@': 233}, {'@': 192}, {'@': 191}, {'@': 152}, {'@': 193}, {'@': 155}, {'@': 158}, {'@': 135}, {'@': 106}, {'@': 154}, {'@': 132}, {'@': 153}, {'@': 131}, {'@': 84}, {'@': 82}, {'@': 236}, {'@': 201}, {'@': 202}, {'@': 165}, {'@': 203}, {'@': 166}, {'@': 138}, {'@': 234}, {'@': 198}, {'@': 235}, {'@': 199}, {'@': 200}, {'@': 163}, {'@': 197}, {'@': 162}, {'@': 196}, {'@': 161}, {'@': 164}, {'@': 137}, {'@': 103}, {'@': 104}, {'@': 101}, {'@': 105}, {'@': 231}, {'@': 190}, {'@': 186}, {'@': 149}, {'@': 130}, {'@': 129}, {'@': 102}, {'@': 189}, {'@': 150}, {'@': 281}, {'@': 261}, {'@': 262}, {'@': 240}, {'@': 263}, {'@': 241}, {'@': 209}, {'@': 260}, {'@': 238}, {'@': 237}, {'@': 207}, {'@': 239}, {'@': 208}, {'@': 170}, {'@': 272}, {'@': 254}, {'@': 253}, {'@': 224}, {'@': 252}, {'@': 223}, {'@': 182}, {'@': 255}, {'@': 225}, {'@': 226}, {'@': 183}, {'@': 228}, {'@': 185}, {'@': 148}, {'@': 319}, {'@': 310}, {'@': 309}, {'@': 296}, {'@': 311}, {'@': 297}, {'@': 279}, {'@': 308}, {'@': 295}, {'@': 294}, {'@': 278}, {'@': 298}, {'@': 280}, {'@': 259}, {'@': 307}, {'@': 290}, {'@': 291}, {'@': 274}, {'@': 292}, {'@': 275}, {'@': 257}, {'@': 293}, {'@': 276}, {'@': 277}, {'@': 258}, {'@': 273}, {'@': 256}, {'@': 232}, {'@': 324}, {'@': 321}, {'@': 322}, {'@': 315}, {'@': 323}, {'@': 317}, {'@': 316}, {'@': 303}, {'@': 318}, {'@': 304}, {'@': 305}, {'@': 286}, {'@': 306}, {'@': 289}, {'@': 288}, {'@': 271}, {'@': 287}, {'@': 270}, {'@': 269}, {'@': 251}, {'@': 320}, {'@': 314}, {'@': 313}, {'@': 301}, {'@': 312}, {'@': 300}, {'@': 299}, {'@': 282}, {'@': 302}, {'@': 283}, {'@': 284}, {'@': 265}, {'@': 285}, {'@': 267}, {'@': 266}, {'@': 248}, {'@': 268}, {'@': 250}, {'@': 249}, {'@': 222}, {'@': 227}, {'@': 184}, {'@': 51}, {'@': 55}, {'@': 48}, {'@': 57}, {'@': 56}, {'@': 58}, {'@': 64}, {'@': 63}, {'@': 68}, {'@': 67}, {'@': 53}, {'@': 49}, {'@': 52}, {'@': 60}, {'@': 62}, {'@': 61}, {'@': 89}, {'@': 107}, {'@': 216}, {'@': 174}, {'@': 180}, {'@': 147}, {'@': 247}, {'@': 218}, {'@': 220}, {'@': 178}, {'@': 157}, {'@': 194}, {'@': 128}, {'@': 151}, {'@': 188}, {'@': 187}, {'@': 230}, {'@': 229}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'STRING_LIT', 'pattern': {'value': '\\"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{[^}]+\\}))*\\"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_3', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_4', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_5', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_6', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_7', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_8', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_9', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_10', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_11', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_12', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_13', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_14', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 47: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 48: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 49: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 50: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 51: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 54: {'origin': {'name': 'identifier', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 63: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 64: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 65: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 66: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 67: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 68: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 69: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 90: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 96: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 97: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 108: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 129: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 145: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 148: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 151: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 152: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 158: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 167: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 172: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 175: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 177: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 179: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 181: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 184: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 187: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 188: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 189: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 195: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 196: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 198: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 202: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 217: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 219: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 221: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 223: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 226: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 227: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 228: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 230: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 231: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 234: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 235: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 248: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 317: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 318: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 319: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 320: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 321: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 322: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 323: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 324: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

